searchData={"items":[{"type":"module","doc":"Documentation for `ExStreamClient`.","title":"ExStreamClient","ref":"ExStreamClient.html"},{"type":"module","doc":"Configuration for the Stream client.","title":"ExStreamClient.Config","ref":"ExStreamClient.Config.html"},{"type":"function","doc":"","title":"ExStreamClient.Config.api_key/0","ref":"ExStreamClient.Config.html#api_key/0"},{"type":"function","doc":"","title":"ExStreamClient.Config.api_key_secret/0","ref":"ExStreamClient.Config.html#api_key_secret/0"},{"type":"function","doc":"","title":"ExStreamClient.Config.endpoint/0","ref":"ExStreamClient.Config.html#endpoint/0"},{"type":"function","doc":"Returns the logging configuration.","title":"ExStreamClient.Config.log/0","ref":"ExStreamClient.Config.html#log/0"},{"type":"function","doc":"Checks if logging is enabled for a specific category and touchpoint.","title":"ExStreamClient.Config.log_enabled?/2","ref":"ExStreamClient.Config.html#log_enabled?/2"},{"type":"function","doc":"log_enabled?(:request, :url)    # Check if request URL logging is enabled\n    log_enabled?(:request, :body)   # Check if request body logging is enabled\n    log_enabled?(:response, :body)  # Check if response body logging is enabled","title":"Examples - ExStreamClient.Config.log_enabled?/2","ref":"ExStreamClient.Config.html#log_enabled?/2-examples"},{"type":"function","doc":"Returns the log level.","title":"ExStreamClient.Config.log_level/0","ref":"ExStreamClient.Config.html#log_level/0"},{"type":"module","doc":"Client for making requests to the Stream API.","title":"ExStreamClient.Http","ref":"ExStreamClient.Http.html"},{"type":"function","doc":"Makes a request to the Stream API. This function is called by the generated operations modules.","title":"ExStreamClient.Http.request/2","ref":"ExStreamClient.Http.html#request/2"},{"type":"behaviour","doc":"","title":"ExStreamClient.Http.Behavior","ref":"ExStreamClient.Http.Behavior.html"},{"type":"callback","doc":"","title":"ExStreamClient.Http.Behavior.request/2","ref":"ExStreamClient.Http.Behavior.html#c:request/2"},{"type":"module","doc":"Provides JSON encoding for OpenAPI-generated structs,\nconverting snake_case fields to camelCase JSON keys.","title":"ExStreamClient.JSON","ref":"ExStreamClient.JSON.html"},{"type":"module","doc":"","title":"ExStreamClient.Token.Server","ref":"ExStreamClient.Token.Server.html"},{"type":"function","doc":"Combines `generate_claims/1` and `encode_and_sign/2`","title":"ExStreamClient.Token.Server.generate_and_sign/2","ref":"ExStreamClient.Token.Server.html#generate_and_sign/2"},{"type":"function","doc":"Same as `generate_and_sign/2` but raises if error","title":"ExStreamClient.Token.Server.generate_and_sign!/2","ref":"ExStreamClient.Token.Server.html#generate_and_sign!/2"},{"type":"function","doc":"Gets a server token using the default API key from config.\nTokens are cached per API key to avoid regenerating them unnecessarily.","title":"ExStreamClient.Token.Server.get/0","ref":"ExStreamClient.Token.Server.html#get/0"},{"type":"function","doc":"Gets a server token for the specified API key and API key secret.\nTokens are cached per API key to avoid regenerating them unnecessarily.","title":"ExStreamClient.Token.Server.get/2","ref":"ExStreamClient.Token.Server.html#get/2"},{"type":"function","doc":"Returns the signer used for server tokens.","title":"ExStreamClient.Token.Server.signer/0","ref":"ExStreamClient.Token.Server.html#signer/0"},{"type":"function","doc":"Returns the signer used for server tokens with a specific API key secret.","title":"ExStreamClient.Token.Server.signer/1","ref":"ExStreamClient.Token.Server.html#signer/1"},{"type":"function","doc":"Combines `verify/2` and `validate/2`","title":"ExStreamClient.Token.Server.verify_and_validate/3","ref":"ExStreamClient.Token.Server.html#verify_and_validate/3"},{"type":"function","doc":"Same as `verify_and_validate/2` but raises if error","title":"ExStreamClient.Token.Server.verify_and_validate!/3","ref":"ExStreamClient.Token.Server.html#verify_and_validate!/3"},{"type":"module","doc":"","title":"ExStreamClient.Token.User","ref":"ExStreamClient.Token.User.html"},{"type":"function","doc":"Combines `generate_claims/1` and `encode_and_sign/2`","title":"ExStreamClient.Token.User.generate_and_sign/2","ref":"ExStreamClient.Token.User.html#generate_and_sign/2"},{"type":"function","doc":"Same as `generate_and_sign/2` but raises if error","title":"ExStreamClient.Token.User.generate_and_sign!/2","ref":"ExStreamClient.Token.User.html#generate_and_sign!/2"},{"type":"function","doc":"Generates a user token for the given user ID.","title":"ExStreamClient.Token.User.get/3","ref":"ExStreamClient.Token.User.html#get/3"},{"type":"function","doc":"- `user_id`: The user ID to generate a token for.","title":"Arguments - ExStreamClient.Token.User.get/3","ref":"ExStreamClient.Token.User.html#get/3-arguments"},{"type":"function","doc":"- `expires_at`: The expiration time for the token as a `DateTime` struct. If not provided, the token will not expire.","title":"Options - ExStreamClient.Token.User.get/3","ref":"ExStreamClient.Token.User.html#get/3-options"},{"type":"function","doc":"Returns the signer used for user tokens.","title":"ExStreamClient.Token.User.signer/0","ref":"ExStreamClient.Token.User.html#signer/0"},{"type":"function","doc":"Returns the signer used for user tokens.","title":"ExStreamClient.Token.User.signer/1","ref":"ExStreamClient.Token.User.html#signer/1"},{"type":"function","doc":"Combines `verify/2` and `validate/2`","title":"ExStreamClient.Token.User.verify_and_validate/3","ref":"ExStreamClient.Token.User.html#verify_and_validate/3"},{"type":"function","doc":"Same as `verify_and_validate/2` but raises if error","title":"ExStreamClient.Token.User.verify_and_validate!/3","ref":"ExStreamClient.Token.User.html#verify_and_validate!/3"},{"type":"module","doc":"Provides a macro for automatically interning typespec atoms at runtime.","title":"ExStreamClient.TypeInterner","ref":"ExStreamClient.TypeInterner.html"},{"type":"module","doc":"Modules for interacting with the `chat/campaigns` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Campaigns","ref":"ExStreamClient.Operations.Chat.Campaigns.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Campaigns","ref":"ExStreamClient.Operations.Chat.Campaigns.html#module-shared-options"},{"type":"function","doc":"Get campaign by ID.","title":"ExStreamClient.Operations.Chat.Campaigns.get_campaign/2","ref":"ExStreamClient.Operations.Chat.Campaigns.html#get_campaign/2"},{"type":"function","doc":"- `id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Campaigns.get_campaign/2","ref":"ExStreamClient.Operations.Chat.Campaigns.html#get_campaign/2-required-arguments"},{"type":"function","doc":"- `limit`\n- `next`\n- `prev`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Campaigns.get_campaign/2","ref":"ExStreamClient.Operations.Chat.Campaigns.html#get_campaign/2-optional-arguments"},{"type":"function","doc":"Query campaigns with filter query","title":"ExStreamClient.Operations.Chat.Campaigns.query_campaigns/2","ref":"ExStreamClient.Operations.Chat.Campaigns.html#query_campaigns/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryCampaignsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Campaigns.query_campaigns/2","ref":"ExStreamClient.Operations.Chat.Campaigns.html#query_campaigns/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Campaigns.query_campaigns/2","ref":"ExStreamClient.Operations.Chat.Campaigns.html#query_campaigns/2-optional-arguments"},{"type":"function","doc":"Stops a campaign","title":"ExStreamClient.Operations.Chat.Campaigns.schedule_campaign/3","ref":"ExStreamClient.Operations.Chat.Campaigns.html#schedule_campaign/3"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.StopCampaignRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Campaigns.schedule_campaign/3","ref":"ExStreamClient.Operations.Chat.Campaigns.html#schedule_campaign/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Campaigns.schedule_campaign/3","ref":"ExStreamClient.Operations.Chat.Campaigns.html#schedule_campaign/3-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Campaigns.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Campaigns.html#t:shared_opts/0"},{"type":"function","doc":"Starts or schedules a campaign","title":"ExStreamClient.Operations.Chat.Campaigns.start_campaign/3","ref":"ExStreamClient.Operations.Chat.Campaigns.html#start_campaign/3"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.StartCampaignRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Campaigns.start_campaign/3","ref":"ExStreamClient.Operations.Chat.Campaigns.html#start_campaign/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Campaigns.start_campaign/3","ref":"ExStreamClient.Operations.Chat.Campaigns.html#start_campaign/3-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/channels` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Channels","ref":"ExStreamClient.Operations.Chat.Channels.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Channels","ref":"ExStreamClient.Operations.Chat.Channels.html#module-shared-options"},{"type":"function","doc":"Deletes channel","title":"ExStreamClient.Operations.Chat.Channels.delete_channel/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channel/3"},{"type":"function","doc":"- `channel.deleted`\n- `channel.deleted`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.delete_channel/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channel/3-sends-events"},{"type":"function","doc":"- `type`\n- `id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.delete_channel/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channel/3-required-arguments"},{"type":"function","doc":"- `hard_delete`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.delete_channel/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channel/3-optional-arguments"},{"type":"function","doc":"Allows to delete several channels at once asynchronously","title":"ExStreamClient.Operations.Chat.Channels.delete_channels/2","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channels/2"},{"type":"function","doc":"- `channel.deleted`\n- `channel.deleted`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.delete_channels/2","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channels/2-sends-events"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.DeleteChannelsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.delete_channels/2","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channels/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.delete_channels/2","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channels/2-optional-arguments"},{"type":"function","doc":"Deletes a draft","title":"ExStreamClient.Operations.Chat.Channels.delete_draft/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_draft/3"},{"type":"function","doc":"- `draft.deleted`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.delete_draft/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_draft/3-sends-events"},{"type":"function","doc":"- `type`\n- `id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.delete_draft/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_draft/3-required-arguments"},{"type":"function","doc":"- `parent_id`\n- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.delete_draft/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_draft/3-optional-arguments"},{"type":"function","doc":"Deletes previously uploaded file","title":"ExStreamClient.Operations.Chat.Channels.delete_file/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_file/3"},{"type":"function","doc":"- `type`\n- `id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.delete_file/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_file/3-required-arguments"},{"type":"function","doc":"- `url`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.delete_file/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_file/3-optional-arguments"},{"type":"function","doc":"Deletes previously uploaded image","title":"ExStreamClient.Operations.Chat.Channels.delete_image/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_image/3"},{"type":"function","doc":"- `type`\n- `id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.delete_image/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_image/3-required-arguments"},{"type":"function","doc":"- `url`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.delete_image/3","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_image/3-optional-arguments"},{"type":"function","doc":"Get a draft","title":"ExStreamClient.Operations.Chat.Channels.get_draft/3","ref":"ExStreamClient.Operations.Chat.Channels.html#get_draft/3"},{"type":"function","doc":"- `type`\n- `id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.get_draft/3","ref":"ExStreamClient.Operations.Chat.Channels.html#get_draft/3-required-arguments"},{"type":"function","doc":"- `parent_id`\n- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.get_draft/3","ref":"ExStreamClient.Operations.Chat.Channels.html#get_draft/3-optional-arguments"},{"type":"function","doc":"Returns list messages found by IDs","title":"ExStreamClient.Operations.Chat.Channels.get_many_messages/4","ref":"ExStreamClient.Operations.Chat.Channels.html#get_many_messages/4"},{"type":"function","doc":"- `type`\n- `id`\n- `ids`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.get_many_messages/4","ref":"ExStreamClient.Operations.Chat.Channels.html#get_many_messages/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.get_many_messages/4","ref":"ExStreamClient.Operations.Chat.Channels.html#get_many_messages/4-optional-arguments"},{"type":"function","doc":"This Method creates a channel or returns an existing one with matching attributes","title":"ExStreamClient.Operations.Chat.Channels.get_or_create_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_channel/4"},{"type":"function","doc":"- `channel.created`\n- `member.added`\n- `member.removed`\n- `member.updated`\n- `user.watching.start`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.get_or_create_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_channel/4-sends-events"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.ChannelGetOrCreateRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.get_or_create_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_channel/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.get_or_create_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_channel/4-optional-arguments"},{"type":"function","doc":"This Method creates a channel or returns an existing one with matching attributes","title":"ExStreamClient.Operations.Chat.Channels.get_or_create_distinct_channel/3","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_distinct_channel/3"},{"type":"function","doc":"- `channel.created`\n- `member.added`\n- `member.removed`\n- `member.updated`\n- `user.watching.start`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.get_or_create_distinct_channel/3","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_distinct_channel/3-sends-events"},{"type":"function","doc":"- `type`\n- `payload`: `Elixir.ExStreamClient.Model.ChannelGetOrCreateRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.get_or_create_distinct_channel/3","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_distinct_channel/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.get_or_create_distinct_channel/3","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_distinct_channel/3-optional-arguments"},{"type":"function","doc":"Marks channel as hidden for current user","title":"ExStreamClient.Operations.Chat.Channels.hide_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#hide_channel/4"},{"type":"function","doc":"- `channel.hidden`\n- `channel.hidden`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.hide_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#hide_channel/4-sends-events"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.HideChannelRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.hide_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#hide_channel/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.hide_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#hide_channel/4-optional-arguments"},{"type":"function","doc":"Marks channels as read up to the specific message. If no channels is given, mark all channel as read","title":"ExStreamClient.Operations.Chat.Channels.mark_channels_read/2","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_channels_read/2"},{"type":"function","doc":"- `message.read`\n- `message.read`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.mark_channels_read/2","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_channels_read/2-sends-events"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.MarkChannelsReadRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.mark_channels_read/2","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_channels_read/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.mark_channels_read/2","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_channels_read/2-optional-arguments"},{"type":"function","doc":"Marks channel as read up to the specific message","title":"ExStreamClient.Operations.Chat.Channels.mark_read/4","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_read/4"},{"type":"function","doc":"- `message.read`\n- `message.read`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.mark_read/4","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_read/4-sends-events"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.MarkReadRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.mark_read/4","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_read/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.mark_read/4","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_read/4-optional-arguments"},{"type":"function","doc":"Marks channel as unread from a specific message","title":"ExStreamClient.Operations.Chat.Channels.mark_unread/4","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_unread/4"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.MarkUnreadRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.mark_unread/4","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_unread/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.mark_unread/4","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_unread/4-optional-arguments"},{"type":"function","doc":"Query channels with filter query","title":"ExStreamClient.Operations.Chat.Channels.query_channels/2","ref":"ExStreamClient.Operations.Chat.Channels.html#query_channels/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryChannelsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.query_channels/2","ref":"ExStreamClient.Operations.Chat.Channels.html#query_channels/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.query_channels/2","ref":"ExStreamClient.Operations.Chat.Channels.html#query_channels/2-optional-arguments"},{"type":"function","doc":"Sends event to the channel","title":"ExStreamClient.Operations.Chat.Channels.send_event/4","ref":"ExStreamClient.Operations.Chat.Channels.html#send_event/4"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.SendEventRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.send_event/4","ref":"ExStreamClient.Operations.Chat.Channels.html#send_event/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.send_event/4","ref":"ExStreamClient.Operations.Chat.Channels.html#send_event/4-optional-arguments"},{"type":"function","doc":"Sends new message to the specified channel","title":"ExStreamClient.Operations.Chat.Channels.send_message/4","ref":"ExStreamClient.Operations.Chat.Channels.html#send_message/4"},{"type":"function","doc":"- `message.new`\n- `message.updated`\n- `message.new`\n- `message.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.send_message/4","ref":"ExStreamClient.Operations.Chat.Channels.html#send_message/4-sends-events"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.SendMessageRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.send_message/4","ref":"ExStreamClient.Operations.Chat.Channels.html#send_message/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.send_message/4","ref":"ExStreamClient.Operations.Chat.Channels.html#send_message/4-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Channels.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Channels.html#t:shared_opts/0"},{"type":"function","doc":"Shows previously hidden channel","title":"ExStreamClient.Operations.Chat.Channels.show_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#show_channel/4"},{"type":"function","doc":"- `channel.visible`\n- `channel.visible`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.show_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#show_channel/4-sends-events"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.ShowChannelRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.show_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#show_channel/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.show_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#show_channel/4-optional-arguments"},{"type":"function","doc":"Truncates messages from a channel. Can be applied to the entire channel or scoped to specific members.","title":"ExStreamClient.Operations.Chat.Channels.truncate_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#truncate_channel/4"},{"type":"function","doc":"- `channel.truncated`\n- `channel.truncated`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.truncate_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#truncate_channel/4-sends-events"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.TruncateChannelRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.truncate_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#truncate_channel/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.truncate_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#truncate_channel/4-optional-arguments"},{"type":"function","doc":"Change channel data","title":"ExStreamClient.Operations.Chat.Channels.update_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel/4"},{"type":"function","doc":"- `channel.updated`\n- `member.added`\n- `member.removed`\n- `member.updated`\n- `message.new`\n- `channel.updated`\n- `member.added`\n- `member.removed`\n- `member.updated`\n- `message.new`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.update_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel/4-sends-events"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateChannelRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.update_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.update_channel/4","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel/4-optional-arguments"},{"type":"function","doc":"Updates certain fields of the channel","title":"ExStreamClient.Operations.Chat.Channels.update_channel_partial/4","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel_partial/4"},{"type":"function","doc":"- `channel.updated`\n- `channel.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.update_channel_partial/4","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel_partial/4-sends-events"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateChannelPartialRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.update_channel_partial/4","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel_partial/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.update_channel_partial/4","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel_partial/4-optional-arguments"},{"type":"function","doc":"","title":"ExStreamClient.Operations.Chat.Channels.update_member_partial/4","ref":"ExStreamClient.Operations.Chat.Channels.html#update_member_partial/4"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateMemberPartialRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.update_member_partial/4","ref":"ExStreamClient.Operations.Chat.Channels.html#update_member_partial/4-required-arguments"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.update_member_partial/4","ref":"ExStreamClient.Operations.Chat.Channels.html#update_member_partial/4-optional-arguments"},{"type":"function","doc":"Uploads file","title":"ExStreamClient.Operations.Chat.Channels.upload_file/4","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_file/4"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.FileUploadRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.upload_file/4","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_file/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.upload_file/4","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_file/4-optional-arguments"},{"type":"function","doc":"Uploads image","title":"ExStreamClient.Operations.Chat.Channels.upload_image/4","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_image/4"},{"type":"function","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.ImageUploadRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.upload_image/4","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_image/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.upload_image/4","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_image/4-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/channeltypes` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Channeltypes","ref":"ExStreamClient.Operations.Chat.Channeltypes.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Channeltypes","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#module-shared-options"},{"type":"function","doc":"Creates new channel type","title":"ExStreamClient.Operations.Chat.Channeltypes.create_channel_type/2","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#create_channel_type/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateChannelTypeRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channeltypes.create_channel_type/2","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#create_channel_type/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channeltypes.create_channel_type/2","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#create_channel_type/2-optional-arguments"},{"type":"function","doc":"Deletes channel type","title":"ExStreamClient.Operations.Chat.Channeltypes.delete_channel_type/2","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#delete_channel_type/2"},{"type":"function","doc":"- `name`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channeltypes.delete_channel_type/2","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#delete_channel_type/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channeltypes.delete_channel_type/2","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#delete_channel_type/2-optional-arguments"},{"type":"function","doc":"Gets channel type","title":"ExStreamClient.Operations.Chat.Channeltypes.get_channel_type/2","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#get_channel_type/2"},{"type":"function","doc":"- `name`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channeltypes.get_channel_type/2","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#get_channel_type/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channeltypes.get_channel_type/2","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#get_channel_type/2-optional-arguments"},{"type":"function","doc":"Lists all available channel types","title":"ExStreamClient.Operations.Chat.Channeltypes.list_channel_types/1","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#list_channel_types/1"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channeltypes.list_channel_types/1","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#list_channel_types/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Channeltypes.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#t:shared_opts/0"},{"type":"function","doc":"Updates channel type","title":"ExStreamClient.Operations.Chat.Channeltypes.update_channel_type/3","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#update_channel_type/3"},{"type":"function","doc":"- `name`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateChannelTypeRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channeltypes.update_channel_type/3","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#update_channel_type/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channeltypes.update_channel_type/3","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#update_channel_type/3-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/commands` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Commands","ref":"ExStreamClient.Operations.Chat.Commands.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Commands","ref":"ExStreamClient.Operations.Chat.Commands.html#module-shared-options"},{"type":"function","doc":"Creates custom chat command","title":"ExStreamClient.Operations.Chat.Commands.create_command/2","ref":"ExStreamClient.Operations.Chat.Commands.html#create_command/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateCommandRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Commands.create_command/2","ref":"ExStreamClient.Operations.Chat.Commands.html#create_command/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Commands.create_command/2","ref":"ExStreamClient.Operations.Chat.Commands.html#create_command/2-optional-arguments"},{"type":"function","doc":"Deletes custom chat command","title":"ExStreamClient.Operations.Chat.Commands.delete_command/2","ref":"ExStreamClient.Operations.Chat.Commands.html#delete_command/2"},{"type":"function","doc":"- `name`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Commands.delete_command/2","ref":"ExStreamClient.Operations.Chat.Commands.html#delete_command/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Commands.delete_command/2","ref":"ExStreamClient.Operations.Chat.Commands.html#delete_command/2-optional-arguments"},{"type":"function","doc":"Returns custom command by its name","title":"ExStreamClient.Operations.Chat.Commands.get_command/2","ref":"ExStreamClient.Operations.Chat.Commands.html#get_command/2"},{"type":"function","doc":"- `name`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Commands.get_command/2","ref":"ExStreamClient.Operations.Chat.Commands.html#get_command/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Commands.get_command/2","ref":"ExStreamClient.Operations.Chat.Commands.html#get_command/2-optional-arguments"},{"type":"function","doc":"Returns all custom commands","title":"ExStreamClient.Operations.Chat.Commands.list_commands/1","ref":"ExStreamClient.Operations.Chat.Commands.html#list_commands/1"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Commands.list_commands/1","ref":"ExStreamClient.Operations.Chat.Commands.html#list_commands/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Commands.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Commands.html#t:shared_opts/0"},{"type":"function","doc":"Updates custom chat command","title":"ExStreamClient.Operations.Chat.Commands.update_command/3","ref":"ExStreamClient.Operations.Chat.Commands.html#update_command/3"},{"type":"function","doc":"- `name`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateCommandRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Commands.update_command/3","ref":"ExStreamClient.Operations.Chat.Commands.html#update_command/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Commands.update_command/3","ref":"ExStreamClient.Operations.Chat.Commands.html#update_command/3-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/drafts` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Drafts","ref":"ExStreamClient.Operations.Chat.Drafts.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Drafts","ref":"ExStreamClient.Operations.Chat.Drafts.html#module-shared-options"},{"type":"function","doc":"Queries draft messages for a user","title":"ExStreamClient.Operations.Chat.Drafts.query_drafts/2","ref":"ExStreamClient.Operations.Chat.Drafts.html#query_drafts/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryDraftsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Drafts.query_drafts/2","ref":"ExStreamClient.Operations.Chat.Drafts.html#query_drafts/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Drafts.query_drafts/2","ref":"ExStreamClient.Operations.Chat.Drafts.html#query_drafts/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Drafts.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Drafts.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `chat/export_channels` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.ExportChannels","ref":"ExStreamClient.Operations.Chat.ExportChannels.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.ExportChannels","ref":"ExStreamClient.Operations.Chat.ExportChannels.html#module-shared-options"},{"type":"function","doc":"Exports channel data to JSON file","title":"ExStreamClient.Operations.Chat.ExportChannels.export_channels/2","ref":"ExStreamClient.Operations.Chat.ExportChannels.html#export_channels/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.ExportChannelsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.ExportChannels.export_channels/2","ref":"ExStreamClient.Operations.Chat.ExportChannels.html#export_channels/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.ExportChannels.export_channels/2","ref":"ExStreamClient.Operations.Chat.ExportChannels.html#export_channels/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.ExportChannels.shared_opts/0","ref":"ExStreamClient.Operations.Chat.ExportChannels.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `chat/members` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Members","ref":"ExStreamClient.Operations.Chat.Members.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Members","ref":"ExStreamClient.Operations.Chat.Members.html#module-shared-options"},{"type":"function","doc":"Find and filter channel members","title":"ExStreamClient.Operations.Chat.Members.query_members/1","ref":"ExStreamClient.Operations.Chat.Members.html#query_members/1"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryMembersPayload`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Members.query_members/1","ref":"ExStreamClient.Operations.Chat.Members.html#query_members/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Members.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Members.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `chat/messages` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Messages","ref":"ExStreamClient.Operations.Chat.Messages.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Messages","ref":"ExStreamClient.Operations.Chat.Messages.html#module-shared-options"},{"type":"function","doc":"Cast a vote on a poll","title":"ExStreamClient.Operations.Chat.Messages.cast_poll_vote/4","ref":"ExStreamClient.Operations.Chat.Messages.html#cast_poll_vote/4"},{"type":"function","doc":"- `poll.vote_casted`","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.cast_poll_vote/4","ref":"ExStreamClient.Operations.Chat.Messages.html#cast_poll_vote/4-sends-events"},{"type":"function","doc":"- `message_id`\n- `poll_id`\n- `payload`: `Elixir.ExStreamClient.Model.CastPollVoteRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.cast_poll_vote/4","ref":"ExStreamClient.Operations.Chat.Messages.html#cast_poll_vote/4-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.cast_poll_vote/4","ref":"ExStreamClient.Operations.Chat.Messages.html#cast_poll_vote/4-optional-arguments"},{"type":"function","doc":"Commits a pending message, which will make it visible in the channel","title":"ExStreamClient.Operations.Chat.Messages.commit_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#commit_message/3"},{"type":"function","doc":"- `message.new`\n- `message.updated`\n- `message.new`\n- `message.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.commit_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#commit_message/3-sends-events"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.CommitMessageRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.commit_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#commit_message/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.commit_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#commit_message/3-optional-arguments"},{"type":"function","doc":"Deletes message","title":"ExStreamClient.Operations.Chat.Messages.delete_message/2","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_message/2"},{"type":"function","doc":"- `message.deleted`\n- `message.deleted`","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.delete_message/2","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_message/2-sends-events"},{"type":"function","doc":"- `id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.delete_message/2","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_message/2-required-arguments"},{"type":"function","doc":"- `deleted_by`\n- `hard`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.delete_message/2","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_message/2-optional-arguments"},{"type":"function","doc":"Removes user reaction from the message","title":"ExStreamClient.Operations.Chat.Messages.delete_reaction/3","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_reaction/3"},{"type":"function","doc":"- `reaction.deleted`","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.delete_reaction/3","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_reaction/3-sends-events"},{"type":"function","doc":"- `id`\n- `type`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.delete_reaction/3","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_reaction/3-required-arguments"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.delete_reaction/3","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_reaction/3-optional-arguments"},{"type":"function","doc":"Returns message by ID","title":"ExStreamClient.Operations.Chat.Messages.get_message/2","ref":"ExStreamClient.Operations.Chat.Messages.html#get_message/2"},{"type":"function","doc":"- `id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.get_message/2","ref":"ExStreamClient.Operations.Chat.Messages.html#get_message/2-required-arguments"},{"type":"function","doc":"- `show_deleted_message`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.get_message/2","ref":"ExStreamClient.Operations.Chat.Messages.html#get_message/2-optional-arguments"},{"type":"function","doc":"Returns list of reactions of specific message","title":"ExStreamClient.Operations.Chat.Messages.get_reactions/2","ref":"ExStreamClient.Operations.Chat.Messages.html#get_reactions/2"},{"type":"function","doc":"- `id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.get_reactions/2","ref":"ExStreamClient.Operations.Chat.Messages.html#get_reactions/2-required-arguments"},{"type":"function","doc":"- `limit`\n- `offset`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.get_reactions/2","ref":"ExStreamClient.Operations.Chat.Messages.html#get_reactions/2-optional-arguments"},{"type":"function","doc":"Returns replies (thread) of the message","title":"ExStreamClient.Operations.Chat.Messages.get_replies/2","ref":"ExStreamClient.Operations.Chat.Messages.html#get_replies/2"},{"type":"function","doc":"- `parent_id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.get_replies/2","ref":"ExStreamClient.Operations.Chat.Messages.html#get_replies/2-required-arguments"},{"type":"function","doc":"- `created_at_after`\n- `created_at_after_or_equal`\n- `created_at_around`\n- `created_at_before`\n- `created_at_before_or_equal`\n- `id_around`\n- `id_gt`\n- `id_gte`\n- `id_lt`\n- `id_lte`\n- `limit`\n- `offset`\n- `sort`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.get_replies/2","ref":"ExStreamClient.Operations.Chat.Messages.html#get_replies/2-optional-arguments"},{"type":"function","doc":"Queries history for one message","title":"ExStreamClient.Operations.Chat.Messages.query_message_history/2","ref":"ExStreamClient.Operations.Chat.Messages.html#query_message_history/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryMessageHistoryRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.query_message_history/2","ref":"ExStreamClient.Operations.Chat.Messages.html#query_message_history/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.query_message_history/2","ref":"ExStreamClient.Operations.Chat.Messages.html#query_message_history/2-optional-arguments"},{"type":"function","doc":"Get reactions on a message","title":"ExStreamClient.Operations.Chat.Messages.query_reactions/3","ref":"ExStreamClient.Operations.Chat.Messages.html#query_reactions/3"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.QueryReactionsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.query_reactions/3","ref":"ExStreamClient.Operations.Chat.Messages.html#query_reactions/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.query_reactions/3","ref":"ExStreamClient.Operations.Chat.Messages.html#query_reactions/3-optional-arguments"},{"type":"function","doc":"Delete a vote from a poll","title":"ExStreamClient.Operations.Chat.Messages.remove_poll_vote/4","ref":"ExStreamClient.Operations.Chat.Messages.html#remove_poll_vote/4"},{"type":"function","doc":"- `poll.vote_removed`","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.remove_poll_vote/4","ref":"ExStreamClient.Operations.Chat.Messages.html#remove_poll_vote/4-sends-events"},{"type":"function","doc":"- `message_id`\n- `poll_id`\n- `vote_id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.remove_poll_vote/4","ref":"ExStreamClient.Operations.Chat.Messages.html#remove_poll_vote/4-required-arguments"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.remove_poll_vote/4","ref":"ExStreamClient.Operations.Chat.Messages.html#remove_poll_vote/4-optional-arguments"},{"type":"function","doc":"Executes message command action with given parameters","title":"ExStreamClient.Operations.Chat.Messages.run_message_action/3","ref":"ExStreamClient.Operations.Chat.Messages.html#run_message_action/3"},{"type":"function","doc":"- `message.new`\n- `message.new`","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.run_message_action/3","ref":"ExStreamClient.Operations.Chat.Messages.html#run_message_action/3-sends-events"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.MessageActionRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.run_message_action/3","ref":"ExStreamClient.Operations.Chat.Messages.html#run_message_action/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.run_message_action/3","ref":"ExStreamClient.Operations.Chat.Messages.html#run_message_action/3-optional-arguments"},{"type":"function","doc":"Sends reaction to specified message","title":"ExStreamClient.Operations.Chat.Messages.send_reaction/3","ref":"ExStreamClient.Operations.Chat.Messages.html#send_reaction/3"},{"type":"function","doc":"- `reaction.new`\n- `reaction.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.send_reaction/3","ref":"ExStreamClient.Operations.Chat.Messages.html#send_reaction/3-sends-events"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.SendReactionRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.send_reaction/3","ref":"ExStreamClient.Operations.Chat.Messages.html#send_reaction/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.send_reaction/3","ref":"ExStreamClient.Operations.Chat.Messages.html#send_reaction/3-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Messages.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Messages.html#t:shared_opts/0"},{"type":"function","doc":"Translates message to a given language using automated translation software","title":"ExStreamClient.Operations.Chat.Messages.translate_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#translate_message/3"},{"type":"function","doc":"- `message.updated`\n- `message.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.translate_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#translate_message/3-sends-events"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.TranslateMessageRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.translate_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#translate_message/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.translate_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#translate_message/3-optional-arguments"},{"type":"function","doc":"Undelete a message that was previously soft-deleted","title":"ExStreamClient.Operations.Chat.Messages.undelete_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#undelete_message/3"},{"type":"function","doc":"- `message.undeleted`\n- `message.undeleted`","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.undelete_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#undelete_message/3-sends-events"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateMessageRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.undelete_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#undelete_message/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.undelete_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#undelete_message/3-optional-arguments"},{"type":"function","doc":"Updates message with new data","title":"ExStreamClient.Operations.Chat.Messages.update_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message/3"},{"type":"function","doc":"- `message.updated`\n- `message.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.update_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message/3-sends-events"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateMessageRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.update_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.update_message/3","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message/3-optional-arguments"},{"type":"function","doc":"Updates certain fields of the message","title":"ExStreamClient.Operations.Chat.Messages.update_message_partial/3","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message_partial/3"},{"type":"function","doc":"- `message.updated`\n- `message.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.update_message_partial/3","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message_partial/3-sends-events"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateMessagePartialRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.update_message_partial/3","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message_partial/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.update_message_partial/3","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message_partial/3-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/moderation` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Moderation","ref":"ExStreamClient.Operations.Chat.Moderation.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Moderation","ref":"ExStreamClient.Operations.Chat.Moderation.html#module-shared-options"},{"type":"function","doc":"Mutes channel for user","title":"ExStreamClient.Operations.Chat.Moderation.mute_channel/2","ref":"ExStreamClient.Operations.Chat.Moderation.html#mute_channel/2"},{"type":"function","doc":"- `channel.muted`\n- `channel.muted`","title":"Sends events: - ExStreamClient.Operations.Chat.Moderation.mute_channel/2","ref":"ExStreamClient.Operations.Chat.Moderation.html#mute_channel/2-sends-events"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.MuteChannelRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Moderation.mute_channel/2","ref":"ExStreamClient.Operations.Chat.Moderation.html#mute_channel/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Moderation.mute_channel/2","ref":"ExStreamClient.Operations.Chat.Moderation.html#mute_channel/2-optional-arguments"},{"type":"function","doc":"Find and filter message flags","title":"ExStreamClient.Operations.Chat.Moderation.query_message_flags/1","ref":"ExStreamClient.Operations.Chat.Moderation.html#query_message_flags/1"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryMessageFlagsPayload`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Moderation.query_message_flags/1","ref":"ExStreamClient.Operations.Chat.Moderation.html#query_message_flags/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Moderation.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Moderation.html#t:shared_opts/0"},{"type":"function","doc":"Unmutes channel for user","title":"ExStreamClient.Operations.Chat.Moderation.unmute_channel/2","ref":"ExStreamClient.Operations.Chat.Moderation.html#unmute_channel/2"},{"type":"function","doc":"- `channel.unmuted`\n- `channel.unmuted`","title":"Sends events: - ExStreamClient.Operations.Chat.Moderation.unmute_channel/2","ref":"ExStreamClient.Operations.Chat.Moderation.html#unmute_channel/2-sends-events"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UnmuteChannelRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Moderation.unmute_channel/2","ref":"ExStreamClient.Operations.Chat.Moderation.html#unmute_channel/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Moderation.unmute_channel/2","ref":"ExStreamClient.Operations.Chat.Moderation.html#unmute_channel/2-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/polls` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Polls","ref":"ExStreamClient.Operations.Chat.Polls.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Polls","ref":"ExStreamClient.Operations.Chat.Polls.html#module-shared-options"},{"type":"function","doc":"Creates a new poll","title":"ExStreamClient.Operations.Chat.Polls.create_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreatePollRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.create_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.create_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll/2-optional-arguments"},{"type":"function","doc":"Creates a poll option","title":"ExStreamClient.Operations.Chat.Polls.create_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll_option/3"},{"type":"function","doc":"- `poll.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.create_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll_option/3-sends-events"},{"type":"function","doc":"- `poll_id`\n- `payload`: `Elixir.ExStreamClient.Model.CreatePollOptionRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.create_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll_option/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.create_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll_option/3-optional-arguments"},{"type":"function","doc":"Deletes a poll","title":"ExStreamClient.Operations.Chat.Polls.delete_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll/2"},{"type":"function","doc":"- `poll.deleted`","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.delete_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll/2-sends-events"},{"type":"function","doc":"- `poll_id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.delete_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll/2-required-arguments"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.delete_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll/2-optional-arguments"},{"type":"function","doc":"Deletes a poll option","title":"ExStreamClient.Operations.Chat.Polls.delete_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll_option/3"},{"type":"function","doc":"- `poll.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.delete_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll_option/3-sends-events"},{"type":"function","doc":"- `poll_id`\n- `option_id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.delete_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll_option/3-required-arguments"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.delete_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll_option/3-optional-arguments"},{"type":"function","doc":"Retrieves a poll","title":"ExStreamClient.Operations.Chat.Polls.get_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll/2"},{"type":"function","doc":"- `poll_id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.get_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll/2-required-arguments"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.get_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll/2-optional-arguments"},{"type":"function","doc":"Retrieves a poll option","title":"ExStreamClient.Operations.Chat.Polls.get_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll_option/3"},{"type":"function","doc":"- `poll_id`\n- `option_id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.get_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll_option/3-required-arguments"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.get_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll_option/3-optional-arguments"},{"type":"function","doc":"Queries votes","title":"ExStreamClient.Operations.Chat.Polls.query_poll_votes/3","ref":"ExStreamClient.Operations.Chat.Polls.html#query_poll_votes/3"},{"type":"function","doc":"- `poll_id`\n- `payload`: `Elixir.ExStreamClient.Model.QueryPollVotesRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.query_poll_votes/3","ref":"ExStreamClient.Operations.Chat.Polls.html#query_poll_votes/3-required-arguments"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.query_poll_votes/3","ref":"ExStreamClient.Operations.Chat.Polls.html#query_poll_votes/3-optional-arguments"},{"type":"function","doc":"Queries polls","title":"ExStreamClient.Operations.Chat.Polls.query_polls/2","ref":"ExStreamClient.Operations.Chat.Polls.html#query_polls/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryPollsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.query_polls/2","ref":"ExStreamClient.Operations.Chat.Polls.html#query_polls/2-required-arguments"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.query_polls/2","ref":"ExStreamClient.Operations.Chat.Polls.html#query_polls/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Polls.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Polls.html#t:shared_opts/0"},{"type":"function","doc":"Updates a poll","title":"ExStreamClient.Operations.Chat.Polls.update_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll/2"},{"type":"function","doc":"- `poll.closed`\n- `poll.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.update_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll/2-sends-events"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpdatePollRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll/2","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll/2-optional-arguments"},{"type":"function","doc":"Updates a poll option","title":"ExStreamClient.Operations.Chat.Polls.update_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_option/3"},{"type":"function","doc":"- `poll.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.update_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_option/3-sends-events"},{"type":"function","doc":"- `poll_id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdatePollOptionRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_option/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll_option/3","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_option/3-optional-arguments"},{"type":"function","doc":"Updates a poll partially","title":"ExStreamClient.Operations.Chat.Polls.update_poll_partial/3","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_partial/3"},{"type":"function","doc":"- `poll.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.update_poll_partial/3","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_partial/3-sends-events"},{"type":"function","doc":"- `poll_id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdatePollPartialRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll_partial/3","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_partial/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll_partial/3","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_partial/3-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/push_preferences` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.PushPreferences","ref":"ExStreamClient.Operations.Chat.PushPreferences.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.PushPreferences","ref":"ExStreamClient.Operations.Chat.PushPreferences.html#module-shared-options"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.PushPreferences.shared_opts/0","ref":"ExStreamClient.Operations.Chat.PushPreferences.html#t:shared_opts/0"},{"type":"function","doc":"Update the push preferences for a user and or channel member. Set to all, mentions or none","title":"ExStreamClient.Operations.Chat.PushPreferences.update_push_notification_preferences/2","ref":"ExStreamClient.Operations.Chat.PushPreferences.html#update_push_notification_preferences/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpsertPushPreferencesRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.PushPreferences.update_push_notification_preferences/2","ref":"ExStreamClient.Operations.Chat.PushPreferences.html#update_push_notification_preferences/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.PushPreferences.update_push_notification_preferences/2","ref":"ExStreamClient.Operations.Chat.PushPreferences.html#update_push_notification_preferences/2-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/push_templates` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.PushTemplates","ref":"ExStreamClient.Operations.Chat.PushTemplates.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.PushTemplates","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#module-shared-options"},{"type":"function","doc":"Retrieve push notification templates for Chat.","title":"ExStreamClient.Operations.Chat.PushTemplates.get_push_templates/2","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#get_push_templates/2"},{"type":"function","doc":"- `push_provider_type`","title":"Required Arguments: - ExStreamClient.Operations.Chat.PushTemplates.get_push_templates/2","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#get_push_templates/2-required-arguments"},{"type":"function","doc":"- `push_provider_name`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.PushTemplates.get_push_templates/2","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#get_push_templates/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.PushTemplates.shared_opts/0","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#t:shared_opts/0"},{"type":"function","doc":"Create or update a push notification template for a specific event type and push provider","title":"ExStreamClient.Operations.Chat.PushTemplates.upsert_push_template/2","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#upsert_push_template/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpsertPushTemplateRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.PushTemplates.upsert_push_template/2","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#upsert_push_template/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.PushTemplates.upsert_push_template/2","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#upsert_push_template/2-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/query_banned_users` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.QueryBannedUsers","ref":"ExStreamClient.Operations.Chat.QueryBannedUsers.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.QueryBannedUsers","ref":"ExStreamClient.Operations.Chat.QueryBannedUsers.html#module-shared-options"},{"type":"function","doc":"Find and filter channel scoped or global user bans","title":"ExStreamClient.Operations.Chat.QueryBannedUsers.query_banned_users/1","ref":"ExStreamClient.Operations.Chat.QueryBannedUsers.html#query_banned_users/1"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryBannedUsersPayload`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.QueryBannedUsers.query_banned_users/1","ref":"ExStreamClient.Operations.Chat.QueryBannedUsers.html#query_banned_users/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.QueryBannedUsers.shared_opts/0","ref":"ExStreamClient.Operations.Chat.QueryBannedUsers.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `chat/search` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Search","ref":"ExStreamClient.Operations.Chat.Search.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Search","ref":"ExStreamClient.Operations.Chat.Search.html#module-shared-options"},{"type":"function","doc":"Search messages across channels","title":"ExStreamClient.Operations.Chat.Search.search/1","ref":"ExStreamClient.Operations.Chat.Search.html#search/1"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.SearchPayload`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Search.search/1","ref":"ExStreamClient.Operations.Chat.Search.html#search/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Search.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Search.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `chat/segments` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Segments","ref":"ExStreamClient.Operations.Chat.Segments.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Segments","ref":"ExStreamClient.Operations.Chat.Segments.html#module-shared-options"},{"type":"function","doc":"Delete a segment","title":"ExStreamClient.Operations.Chat.Segments.delete_segment/2","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment/2"},{"type":"function","doc":"- `id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.delete_segment/2","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.delete_segment/2","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment/2-optional-arguments"},{"type":"function","doc":"Delete targets from a segment","title":"ExStreamClient.Operations.Chat.Segments.delete_segment_targets/3","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment_targets/3"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.DeleteSegmentTargetsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.delete_segment_targets/3","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment_targets/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.delete_segment_targets/3","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment_targets/3-optional-arguments"},{"type":"function","doc":"Get segment","title":"ExStreamClient.Operations.Chat.Segments.get_segment/2","ref":"ExStreamClient.Operations.Chat.Segments.html#get_segment/2"},{"type":"function","doc":"- `id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.get_segment/2","ref":"ExStreamClient.Operations.Chat.Segments.html#get_segment/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.get_segment/2","ref":"ExStreamClient.Operations.Chat.Segments.html#get_segment/2-optional-arguments"},{"type":"function","doc":"Query segment targets","title":"ExStreamClient.Operations.Chat.Segments.query_segment_targets/3","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segment_targets/3"},{"type":"function","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.QuerySegmentTargetsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.query_segment_targets/3","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segment_targets/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.query_segment_targets/3","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segment_targets/3-optional-arguments"},{"type":"function","doc":"Query segments","title":"ExStreamClient.Operations.Chat.Segments.query_segments/2","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segments/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QuerySegmentsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.query_segments/2","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segments/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.query_segments/2","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segments/2-optional-arguments"},{"type":"function","doc":"Check whether a target exists in a segment. Returns 200 if the target exists, 404 otherwise","title":"ExStreamClient.Operations.Chat.Segments.segment_target_exists/3","ref":"ExStreamClient.Operations.Chat.Segments.html#segment_target_exists/3"},{"type":"function","doc":"- `id`\n- `target_id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.segment_target_exists/3","ref":"ExStreamClient.Operations.Chat.Segments.html#segment_target_exists/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.segment_target_exists/3","ref":"ExStreamClient.Operations.Chat.Segments.html#segment_target_exists/3-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Segments.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Segments.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `chat/threads` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Threads","ref":"ExStreamClient.Operations.Chat.Threads.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Threads","ref":"ExStreamClient.Operations.Chat.Threads.html#module-shared-options"},{"type":"function","doc":"Return a specific thread","title":"ExStreamClient.Operations.Chat.Threads.get_thread/2","ref":"ExStreamClient.Operations.Chat.Threads.html#get_thread/2"},{"type":"function","doc":"- `message_id`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Threads.get_thread/2","ref":"ExStreamClient.Operations.Chat.Threads.html#get_thread/2-required-arguments"},{"type":"function","doc":"- `member_limit`\n- `participant_limit`\n- `reply_limit`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Threads.get_thread/2","ref":"ExStreamClient.Operations.Chat.Threads.html#get_thread/2-optional-arguments"},{"type":"function","doc":"Returns the list of threads for specific user","title":"ExStreamClient.Operations.Chat.Threads.query_threads/2","ref":"ExStreamClient.Operations.Chat.Threads.html#query_threads/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryThreadsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Threads.query_threads/2","ref":"ExStreamClient.Operations.Chat.Threads.html#query_threads/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Threads.query_threads/2","ref":"ExStreamClient.Operations.Chat.Threads.html#query_threads/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Threads.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Threads.html#t:shared_opts/0"},{"type":"function","doc":"Updates certain fields of the thread","title":"ExStreamClient.Operations.Chat.Threads.update_thread_partial/3","ref":"ExStreamClient.Operations.Chat.Threads.html#update_thread_partial/3"},{"type":"function","doc":"- `thread.updated`\n- `thread.updated`","title":"Sends events: - ExStreamClient.Operations.Chat.Threads.update_thread_partial/3","ref":"ExStreamClient.Operations.Chat.Threads.html#update_thread_partial/3-sends-events"},{"type":"function","doc":"- `message_id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateThreadPartialRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Threads.update_thread_partial/3","ref":"ExStreamClient.Operations.Chat.Threads.html#update_thread_partial/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Threads.update_thread_partial/3","ref":"ExStreamClient.Operations.Chat.Threads.html#update_thread_partial/3-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/unread` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Unread","ref":"ExStreamClient.Operations.Chat.Unread.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Unread","ref":"ExStreamClient.Operations.Chat.Unread.html#module-shared-options"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Unread.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Unread.html#t:shared_opts/0"},{"type":"function","doc":"Fetch unread counts for a single user","title":"ExStreamClient.Operations.Chat.Unread.unread_counts/1","ref":"ExStreamClient.Operations.Chat.Unread.html#unread_counts/1"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Unread.unread_counts/1","ref":"ExStreamClient.Operations.Chat.Unread.html#unread_counts/1-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/unread_batch` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.UnreadBatch","ref":"ExStreamClient.Operations.Chat.UnreadBatch.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.UnreadBatch","ref":"ExStreamClient.Operations.Chat.UnreadBatch.html#module-shared-options"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.UnreadBatch.shared_opts/0","ref":"ExStreamClient.Operations.Chat.UnreadBatch.html#t:shared_opts/0"},{"type":"function","doc":"Fetch unread counts in batch for multiple users in one call","title":"ExStreamClient.Operations.Chat.UnreadBatch.unread_counts_batch/2","ref":"ExStreamClient.Operations.Chat.UnreadBatch.html#unread_counts_batch/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UnreadCountsBatchRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.UnreadBatch.unread_counts_batch/2","ref":"ExStreamClient.Operations.Chat.UnreadBatch.html#unread_counts_batch/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.UnreadBatch.unread_counts_batch/2","ref":"ExStreamClient.Operations.Chat.UnreadBatch.html#unread_counts_batch/2-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `chat/users` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Chat.Users","ref":"ExStreamClient.Operations.Chat.Users.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Chat.Users","ref":"ExStreamClient.Operations.Chat.Users.html#module-shared-options"},{"type":"function","doc":"Sends a custom event to a user","title":"ExStreamClient.Operations.Chat.Users.send_user_custom_event/3","ref":"ExStreamClient.Operations.Chat.Users.html#send_user_custom_event/3"},{"type":"function","doc":"- `*`","title":"Sends events: - ExStreamClient.Operations.Chat.Users.send_user_custom_event/3","ref":"ExStreamClient.Operations.Chat.Users.html#send_user_custom_event/3-sends-events"},{"type":"function","doc":"- `user_id`\n- `payload`: `Elixir.ExStreamClient.Model.SendUserCustomEventRequest`","title":"Required Arguments: - ExStreamClient.Operations.Chat.Users.send_user_custom_event/3","ref":"ExStreamClient.Operations.Chat.Users.html#send_user_custom_event/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Users.send_user_custom_event/3","ref":"ExStreamClient.Operations.Chat.Users.html#send_user_custom_event/3-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Chat.Users.shared_opts/0","ref":"ExStreamClient.Operations.Chat.Users.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `app` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.App","ref":"ExStreamClient.Operations.App.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.App","ref":"ExStreamClient.Operations.App.html#module-shared-options"},{"type":"function","doc":"This Method returns the application settings","title":"ExStreamClient.Operations.App.get_app/1","ref":"ExStreamClient.Operations.App.html#get_app/1"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.App.get_app/1","ref":"ExStreamClient.Operations.App.html#get_app/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.App.shared_opts/0","ref":"ExStreamClient.Operations.App.html#t:shared_opts/0"},{"type":"function","doc":"This Method updates one or more application settings","title":"ExStreamClient.Operations.App.update_app/2","ref":"ExStreamClient.Operations.App.html#update_app/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpdateAppRequest`","title":"Required Arguments: - ExStreamClient.Operations.App.update_app/2","ref":"ExStreamClient.Operations.App.html#update_app/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.App.update_app/2","ref":"ExStreamClient.Operations.App.html#update_app/2-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `blocklists` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Blocklists","ref":"ExStreamClient.Operations.Blocklists.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Blocklists","ref":"ExStreamClient.Operations.Blocklists.html#module-shared-options"},{"type":"function","doc":"Creates a new application blocklist, once created the blocklist can be used by any channel type","title":"ExStreamClient.Operations.Blocklists.create_block_list/2","ref":"ExStreamClient.Operations.Blocklists.html#create_block_list/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateBlockListRequest`","title":"Required Arguments: - ExStreamClient.Operations.Blocklists.create_block_list/2","ref":"ExStreamClient.Operations.Blocklists.html#create_block_list/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Blocklists.create_block_list/2","ref":"ExStreamClient.Operations.Blocklists.html#create_block_list/2-optional-arguments"},{"type":"function","doc":"Deletes previously created application blocklist","title":"ExStreamClient.Operations.Blocklists.delete_block_list/2","ref":"ExStreamClient.Operations.Blocklists.html#delete_block_list/2"},{"type":"function","doc":"- `name`","title":"Required Arguments: - ExStreamClient.Operations.Blocklists.delete_block_list/2","ref":"ExStreamClient.Operations.Blocklists.html#delete_block_list/2-required-arguments"},{"type":"function","doc":"- `team`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Blocklists.delete_block_list/2","ref":"ExStreamClient.Operations.Blocklists.html#delete_block_list/2-optional-arguments"},{"type":"function","doc":"Returns block list by given name","title":"ExStreamClient.Operations.Blocklists.get_block_list/2","ref":"ExStreamClient.Operations.Blocklists.html#get_block_list/2"},{"type":"function","doc":"- `name`","title":"Required Arguments: - ExStreamClient.Operations.Blocklists.get_block_list/2","ref":"ExStreamClient.Operations.Blocklists.html#get_block_list/2-required-arguments"},{"type":"function","doc":"- `team`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Blocklists.get_block_list/2","ref":"ExStreamClient.Operations.Blocklists.html#get_block_list/2-optional-arguments"},{"type":"function","doc":"Returns all available block lists","title":"ExStreamClient.Operations.Blocklists.list_block_lists/1","ref":"ExStreamClient.Operations.Blocklists.html#list_block_lists/1"},{"type":"function","doc":"- `team`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Blocklists.list_block_lists/1","ref":"ExStreamClient.Operations.Blocklists.html#list_block_lists/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Blocklists.shared_opts/0","ref":"ExStreamClient.Operations.Blocklists.html#t:shared_opts/0"},{"type":"function","doc":"Updates contents of the block list","title":"ExStreamClient.Operations.Blocklists.update_block_list/3","ref":"ExStreamClient.Operations.Blocklists.html#update_block_list/3"},{"type":"function","doc":"- `name`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateBlockListRequest`","title":"Required Arguments: - ExStreamClient.Operations.Blocklists.update_block_list/3","ref":"ExStreamClient.Operations.Blocklists.html#update_block_list/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Blocklists.update_block_list/3","ref":"ExStreamClient.Operations.Blocklists.html#update_block_list/3-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `check_push` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.CheckPush","ref":"ExStreamClient.Operations.CheckPush.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.CheckPush","ref":"ExStreamClient.Operations.CheckPush.html#module-shared-options"},{"type":"function","doc":"Sends a test message via push, this is a test endpoint to verify your push settings","title":"ExStreamClient.Operations.CheckPush.check_push/2","ref":"ExStreamClient.Operations.CheckPush.html#check_push/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CheckPushRequest`","title":"Required Arguments: - ExStreamClient.Operations.CheckPush.check_push/2","ref":"ExStreamClient.Operations.CheckPush.html#check_push/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.CheckPush.check_push/2","ref":"ExStreamClient.Operations.CheckPush.html#check_push/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.CheckPush.shared_opts/0","ref":"ExStreamClient.Operations.CheckPush.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `check_sns` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.CheckSns","ref":"ExStreamClient.Operations.CheckSns.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.CheckSns","ref":"ExStreamClient.Operations.CheckSns.html#module-shared-options"},{"type":"function","doc":"Validates Amazon SNS configuration","title":"ExStreamClient.Operations.CheckSns.check_sns/2","ref":"ExStreamClient.Operations.CheckSns.html#check_sns/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CheckSNSRequest`","title":"Required Arguments: - ExStreamClient.Operations.CheckSns.check_sns/2","ref":"ExStreamClient.Operations.CheckSns.html#check_sns/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.CheckSns.check_sns/2","ref":"ExStreamClient.Operations.CheckSns.html#check_sns/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.CheckSns.shared_opts/0","ref":"ExStreamClient.Operations.CheckSns.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `check_sqs` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.CheckSqs","ref":"ExStreamClient.Operations.CheckSqs.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.CheckSqs","ref":"ExStreamClient.Operations.CheckSqs.html#module-shared-options"},{"type":"function","doc":"Validates Amazon SQS credentials","title":"ExStreamClient.Operations.CheckSqs.check_sqs/2","ref":"ExStreamClient.Operations.CheckSqs.html#check_sqs/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CheckSQSRequest`","title":"Required Arguments: - ExStreamClient.Operations.CheckSqs.check_sqs/2","ref":"ExStreamClient.Operations.CheckSqs.html#check_sqs/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.CheckSqs.check_sqs/2","ref":"ExStreamClient.Operations.CheckSqs.html#check_sqs/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.CheckSqs.shared_opts/0","ref":"ExStreamClient.Operations.CheckSqs.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `devices` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Devices","ref":"ExStreamClient.Operations.Devices.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Devices","ref":"ExStreamClient.Operations.Devices.html#module-shared-options"},{"type":"function","doc":"Adds a new device to a user, if the same device already exists the call will have no effect","title":"ExStreamClient.Operations.Devices.create_device/2","ref":"ExStreamClient.Operations.Devices.html#create_device/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateDeviceRequest`","title":"Required Arguments: - ExStreamClient.Operations.Devices.create_device/2","ref":"ExStreamClient.Operations.Devices.html#create_device/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Devices.create_device/2","ref":"ExStreamClient.Operations.Devices.html#create_device/2-optional-arguments"},{"type":"function","doc":"Deletes one device","title":"ExStreamClient.Operations.Devices.delete_device/2","ref":"ExStreamClient.Operations.Devices.html#delete_device/2"},{"type":"function","doc":"- `id`","title":"Required Arguments: - ExStreamClient.Operations.Devices.delete_device/2","ref":"ExStreamClient.Operations.Devices.html#delete_device/2-required-arguments"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Devices.delete_device/2","ref":"ExStreamClient.Operations.Devices.html#delete_device/2-optional-arguments"},{"type":"function","doc":"Returns all available devices","title":"ExStreamClient.Operations.Devices.list_devices/1","ref":"ExStreamClient.Operations.Devices.html#list_devices/1"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Devices.list_devices/1","ref":"ExStreamClient.Operations.Devices.html#list_devices/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Devices.shared_opts/0","ref":"ExStreamClient.Operations.Devices.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `export` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Export","ref":"ExStreamClient.Operations.Export.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Export","ref":"ExStreamClient.Operations.Export.html#module-shared-options"},{"type":"function","doc":"Exports user profile, reactions and messages for list of given users","title":"ExStreamClient.Operations.Export.export_users/2","ref":"ExStreamClient.Operations.Export.html#export_users/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.ExportUsersRequest`","title":"Required Arguments: - ExStreamClient.Operations.Export.export_users/2","ref":"ExStreamClient.Operations.Export.html#export_users/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Export.export_users/2","ref":"ExStreamClient.Operations.Export.html#export_users/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Export.shared_opts/0","ref":"ExStreamClient.Operations.Export.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `external_storage` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.ExternalStorage","ref":"ExStreamClient.Operations.ExternalStorage.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.ExternalStorage","ref":"ExStreamClient.Operations.ExternalStorage.html#module-shared-options"},{"type":"function","doc":"","title":"ExStreamClient.Operations.ExternalStorage.check_external_storage/2","ref":"ExStreamClient.Operations.ExternalStorage.html#check_external_storage/2"},{"type":"function","doc":"- `name`","title":"Required Arguments: - ExStreamClient.Operations.ExternalStorage.check_external_storage/2","ref":"ExStreamClient.Operations.ExternalStorage.html#check_external_storage/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.ExternalStorage.check_external_storage/2","ref":"ExStreamClient.Operations.ExternalStorage.html#check_external_storage/2-optional-arguments"},{"type":"function","doc":"Creates new external storage","title":"ExStreamClient.Operations.ExternalStorage.create_external_storage/2","ref":"ExStreamClient.Operations.ExternalStorage.html#create_external_storage/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateExternalStorageRequest`","title":"Required Arguments: - ExStreamClient.Operations.ExternalStorage.create_external_storage/2","ref":"ExStreamClient.Operations.ExternalStorage.html#create_external_storage/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.ExternalStorage.create_external_storage/2","ref":"ExStreamClient.Operations.ExternalStorage.html#create_external_storage/2-optional-arguments"},{"type":"function","doc":"Deletes external storage","title":"ExStreamClient.Operations.ExternalStorage.delete_external_storage/2","ref":"ExStreamClient.Operations.ExternalStorage.html#delete_external_storage/2"},{"type":"function","doc":"- `name`","title":"Required Arguments: - ExStreamClient.Operations.ExternalStorage.delete_external_storage/2","ref":"ExStreamClient.Operations.ExternalStorage.html#delete_external_storage/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.ExternalStorage.delete_external_storage/2","ref":"ExStreamClient.Operations.ExternalStorage.html#delete_external_storage/2-optional-arguments"},{"type":"function","doc":"Lists external storage","title":"ExStreamClient.Operations.ExternalStorage.list_external_storage/1","ref":"ExStreamClient.Operations.ExternalStorage.html#list_external_storage/1"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.ExternalStorage.list_external_storage/1","ref":"ExStreamClient.Operations.ExternalStorage.html#list_external_storage/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.ExternalStorage.shared_opts/0","ref":"ExStreamClient.Operations.ExternalStorage.html#t:shared_opts/0"},{"type":"function","doc":"","title":"ExStreamClient.Operations.ExternalStorage.update_external_storage/3","ref":"ExStreamClient.Operations.ExternalStorage.html#update_external_storage/3"},{"type":"function","doc":"- `name`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateExternalStorageRequest`","title":"Required Arguments: - ExStreamClient.Operations.ExternalStorage.update_external_storage/3","ref":"ExStreamClient.Operations.ExternalStorage.html#update_external_storage/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.ExternalStorage.update_external_storage/3","ref":"ExStreamClient.Operations.ExternalStorage.html#update_external_storage/3-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `guest` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Guest","ref":"ExStreamClient.Operations.Guest.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Guest","ref":"ExStreamClient.Operations.Guest.html#module-shared-options"},{"type":"function","doc":"","title":"ExStreamClient.Operations.Guest.create_guest/2","ref":"ExStreamClient.Operations.Guest.html#create_guest/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateGuestRequest`","title":"Required Arguments: - ExStreamClient.Operations.Guest.create_guest/2","ref":"ExStreamClient.Operations.Guest.html#create_guest/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Guest.create_guest/2","ref":"ExStreamClient.Operations.Guest.html#create_guest/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Guest.shared_opts/0","ref":"ExStreamClient.Operations.Guest.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `import_urls` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.ImportUrls","ref":"ExStreamClient.Operations.ImportUrls.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.ImportUrls","ref":"ExStreamClient.Operations.ImportUrls.html#module-shared-options"},{"type":"function","doc":"Creates a new import URL","title":"ExStreamClient.Operations.ImportUrls.create_import_url/2","ref":"ExStreamClient.Operations.ImportUrls.html#create_import_url/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateImportURLRequest`","title":"Required Arguments: - ExStreamClient.Operations.ImportUrls.create_import_url/2","ref":"ExStreamClient.Operations.ImportUrls.html#create_import_url/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.ImportUrls.create_import_url/2","ref":"ExStreamClient.Operations.ImportUrls.html#create_import_url/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.ImportUrls.shared_opts/0","ref":"ExStreamClient.Operations.ImportUrls.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `imports` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Imports","ref":"ExStreamClient.Operations.Imports.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Imports","ref":"ExStreamClient.Operations.Imports.html#module-shared-options"},{"type":"function","doc":"Creates a new import","title":"ExStreamClient.Operations.Imports.create_import/2","ref":"ExStreamClient.Operations.Imports.html#create_import/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateImportRequest`","title":"Required Arguments: - ExStreamClient.Operations.Imports.create_import/2","ref":"ExStreamClient.Operations.Imports.html#create_import/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Imports.create_import/2","ref":"ExStreamClient.Operations.Imports.html#create_import/2-optional-arguments"},{"type":"function","doc":"Gets an import","title":"ExStreamClient.Operations.Imports.get_import/2","ref":"ExStreamClient.Operations.Imports.html#get_import/2"},{"type":"function","doc":"- `id`","title":"Required Arguments: - ExStreamClient.Operations.Imports.get_import/2","ref":"ExStreamClient.Operations.Imports.html#get_import/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Imports.get_import/2","ref":"ExStreamClient.Operations.Imports.html#get_import/2-optional-arguments"},{"type":"function","doc":"Gets an import","title":"ExStreamClient.Operations.Imports.list_imports/1","ref":"ExStreamClient.Operations.Imports.html#list_imports/1"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Imports.list_imports/1","ref":"ExStreamClient.Operations.Imports.html#list_imports/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Imports.shared_opts/0","ref":"ExStreamClient.Operations.Imports.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `moderation` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Moderation","ref":"ExStreamClient.Operations.Moderation.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Moderation","ref":"ExStreamClient.Operations.Moderation.html#module-shared-options"},{"type":"function","doc":"Ban a user from a channel or the entire app","title":"ExStreamClient.Operations.Moderation.ban/2","ref":"ExStreamClient.Operations.Moderation.html#ban/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.BanRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.ban/2","ref":"ExStreamClient.Operations.Moderation.html#ban/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.ban/2","ref":"ExStreamClient.Operations.Moderation.html#ban/2-optional-arguments"},{"type":"function","doc":"Moderate multiple images in bulk using a CSV file","title":"ExStreamClient.Operations.Moderation.bulk_image_moderation/2","ref":"ExStreamClient.Operations.Moderation.html#bulk_image_moderation/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.BulkImageModerationRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.bulk_image_moderation/2","ref":"ExStreamClient.Operations.Moderation.html#bulk_image_moderation/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.bulk_image_moderation/2","ref":"ExStreamClient.Operations.Moderation.html#bulk_image_moderation/2-optional-arguments"},{"type":"function","doc":"Run moderation checks on the provided content","title":"ExStreamClient.Operations.Moderation.check/2","ref":"ExStreamClient.Operations.Moderation.html#check/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CheckRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.check/2","ref":"ExStreamClient.Operations.Moderation.html#check/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.check/2","ref":"ExStreamClient.Operations.Moderation.html#check/2-optional-arguments"},{"type":"function","doc":"Custom check, add your own AI model reports to the review queue","title":"ExStreamClient.Operations.Moderation.custom_check/2","ref":"ExStreamClient.Operations.Moderation.html#custom_check/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CustomCheckRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.custom_check/2","ref":"ExStreamClient.Operations.Moderation.html#custom_check/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.custom_check/2","ref":"ExStreamClient.Operations.Moderation.html#custom_check/2-optional-arguments"},{"type":"function","doc":"Delete a specific moderation policy by its name","title":"ExStreamClient.Operations.Moderation.delete_config/2","ref":"ExStreamClient.Operations.Moderation.html#delete_config/2"},{"type":"function","doc":"- `key`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.delete_config/2","ref":"ExStreamClient.Operations.Moderation.html#delete_config/2-required-arguments"},{"type":"function","doc":"- `team`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.delete_config/2","ref":"ExStreamClient.Operations.Moderation.html#delete_config/2-optional-arguments"},{"type":"function","doc":"Flag any type of content (messages, users, channels, activities) for moderation review. Supports custom content types and additional metadata for flagged content.","title":"ExStreamClient.Operations.Moderation.flag/2","ref":"ExStreamClient.Operations.Moderation.html#flag/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.FlagRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.flag/2","ref":"ExStreamClient.Operations.Moderation.html#flag/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.flag/2","ref":"ExStreamClient.Operations.Moderation.html#flag/2-optional-arguments"},{"type":"function","doc":"Retrieve a specific moderation configuration by its key and team. This configuration contains settings for various moderation features like toxicity detection, AI analysis, and filtering rules.","title":"ExStreamClient.Operations.Moderation.get_config/2","ref":"ExStreamClient.Operations.Moderation.html#get_config/2"},{"type":"function","doc":"- `key`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.get_config/2","ref":"ExStreamClient.Operations.Moderation.html#get_config/2-required-arguments"},{"type":"function","doc":"- `team`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.get_config/2","ref":"ExStreamClient.Operations.Moderation.html#get_config/2-optional-arguments"},{"type":"function","doc":"Retrieve a specific review queue item by its ID","title":"ExStreamClient.Operations.Moderation.get_review_queue_item/2","ref":"ExStreamClient.Operations.Moderation.html#get_review_queue_item/2"},{"type":"function","doc":"- `id`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.get_review_queue_item/2","ref":"ExStreamClient.Operations.Moderation.html#get_review_queue_item/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.get_review_queue_item/2","ref":"ExStreamClient.Operations.Moderation.html#get_review_queue_item/2-optional-arguments"},{"type":"function","doc":"Mute a user. Mutes are generally not visible to the user you mute, while block is something you notice.","title":"ExStreamClient.Operations.Moderation.mute/2","ref":"ExStreamClient.Operations.Moderation.html#mute/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.MuteRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.mute/2","ref":"ExStreamClient.Operations.Moderation.html#mute/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.mute/2","ref":"ExStreamClient.Operations.Moderation.html#mute/2-optional-arguments"},{"type":"function","doc":"Search and filter moderation configurations across your application. This endpoint is designed for building moderation dashboards and managing multiple configuration sets.","title":"ExStreamClient.Operations.Moderation.query_moderation_configs/2","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_configs/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryModerationConfigsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.query_moderation_configs/2","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_configs/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.query_moderation_configs/2","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_configs/2-optional-arguments"},{"type":"function","doc":"Query flags associated with moderation items. This is used for building a moderation dashboard.","title":"ExStreamClient.Operations.Moderation.query_moderation_flags/2","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_flags/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryModerationFlagsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.query_moderation_flags/2","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_flags/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.query_moderation_flags/2","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_flags/2-optional-arguments"},{"type":"function","doc":"Search and filter moderation action logs with support for pagination. View the history of moderation actions taken, including who performed them and when.","title":"ExStreamClient.Operations.Moderation.query_moderation_logs/2","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_logs/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryModerationLogsRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.query_moderation_logs/2","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_logs/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.query_moderation_logs/2","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_logs/2-optional-arguments"},{"type":"function","doc":"Query review queue items allows you to filter the review queue items. This is used for building a moderation dashboard.","title":"ExStreamClient.Operations.Moderation.query_review_queue/2","ref":"ExStreamClient.Operations.Moderation.html#query_review_queue/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryReviewQueueRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.query_review_queue/2","ref":"ExStreamClient.Operations.Moderation.html#query_review_queue/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.query_review_queue/2","ref":"ExStreamClient.Operations.Moderation.html#query_review_queue/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Moderation.shared_opts/0","ref":"ExStreamClient.Operations.Moderation.html#t:shared_opts/0"},{"type":"function","doc":"Take action on flagged content, such as marking content as safe, deleting content, banning users, or executing custom moderation actions. Supports various action types with configurable parameters.","title":"ExStreamClient.Operations.Moderation.submit_action/2","ref":"ExStreamClient.Operations.Moderation.html#submit_action/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.SubmitActionRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.submit_action/2","ref":"ExStreamClient.Operations.Moderation.html#submit_action/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.submit_action/2","ref":"ExStreamClient.Operations.Moderation.html#submit_action/2-optional-arguments"},{"type":"function","doc":"Unban a user from a channel or globally.","title":"ExStreamClient.Operations.Moderation.unban/3","ref":"ExStreamClient.Operations.Moderation.html#unban/3"},{"type":"function","doc":"- `target_user_id`\n- `payload`: `Elixir.ExStreamClient.Model.UnbanRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.unban/3","ref":"ExStreamClient.Operations.Moderation.html#unban/3-required-arguments"},{"type":"function","doc":"- `channel_cid`\n- `created_by`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.unban/3","ref":"ExStreamClient.Operations.Moderation.html#unban/3-optional-arguments"},{"type":"function","doc":"Unmute a user","title":"ExStreamClient.Operations.Moderation.unmute/2","ref":"ExStreamClient.Operations.Moderation.html#unmute/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UnmuteRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.unmute/2","ref":"ExStreamClient.Operations.Moderation.html#unmute/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.unmute/2","ref":"ExStreamClient.Operations.Moderation.html#unmute/2-optional-arguments"},{"type":"function","doc":"Create a new moderation configuration or update an existing one. Configure settings for content filtering, AI analysis, toxicity detection, and other moderation features.","title":"ExStreamClient.Operations.Moderation.upsert_config/2","ref":"ExStreamClient.Operations.Moderation.html#upsert_config/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpsertConfigRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.upsert_config/2","ref":"ExStreamClient.Operations.Moderation.html#upsert_config/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.upsert_config/2","ref":"ExStreamClient.Operations.Moderation.html#upsert_config/2-optional-arguments"},{"type":"function","doc":"Delete a specific moderation template by its name","title":"ExStreamClient.Operations.Moderation.v2_delete_template/1","ref":"ExStreamClient.Operations.Moderation.html#v2_delete_template/1"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.v2_delete_template/1","ref":"ExStreamClient.Operations.Moderation.html#v2_delete_template/1-optional-arguments"},{"type":"function","doc":"Retrieve a list of feed moderation templates that define preset moderation rules and configurations. Limited to 100 templates per request.","title":"ExStreamClient.Operations.Moderation.v2_query_templates/1","ref":"ExStreamClient.Operations.Moderation.html#v2_query_templates/1"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.v2_query_templates/1","ref":"ExStreamClient.Operations.Moderation.html#v2_query_templates/1-optional-arguments"},{"type":"function","doc":"Upsert feeds template for moderation","title":"ExStreamClient.Operations.Moderation.v2_upsert_template/2","ref":"ExStreamClient.Operations.Moderation.html#v2_upsert_template/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpsertModerationTemplateRequest`","title":"Required Arguments: - ExStreamClient.Operations.Moderation.v2_upsert_template/2","ref":"ExStreamClient.Operations.Moderation.html#v2_upsert_template/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.v2_upsert_template/2","ref":"ExStreamClient.Operations.Moderation.html#v2_upsert_template/2-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `og` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Og","ref":"ExStreamClient.Operations.Og.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Og","ref":"ExStreamClient.Operations.Og.html#module-shared-options"},{"type":"function","doc":"Get an OpenGraph attachment for a link","title":"ExStreamClient.Operations.Og.get_og/2","ref":"ExStreamClient.Operations.Og.html#get_og/2"},{"type":"function","doc":"- `url`","title":"Required Arguments: - ExStreamClient.Operations.Og.get_og/2","ref":"ExStreamClient.Operations.Og.html#get_og/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Og.get_og/2","ref":"ExStreamClient.Operations.Og.html#get_og/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Og.shared_opts/0","ref":"ExStreamClient.Operations.Og.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `permissions` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Permissions","ref":"ExStreamClient.Operations.Permissions.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Permissions","ref":"ExStreamClient.Operations.Permissions.html#module-shared-options"},{"type":"function","doc":"Gets custom permission","title":"ExStreamClient.Operations.Permissions.get_permission/2","ref":"ExStreamClient.Operations.Permissions.html#get_permission/2"},{"type":"function","doc":"- `id`","title":"Required Arguments: - ExStreamClient.Operations.Permissions.get_permission/2","ref":"ExStreamClient.Operations.Permissions.html#get_permission/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Permissions.get_permission/2","ref":"ExStreamClient.Operations.Permissions.html#get_permission/2-optional-arguments"},{"type":"function","doc":"Lists all available permissions","title":"ExStreamClient.Operations.Permissions.list_permissions/1","ref":"ExStreamClient.Operations.Permissions.html#list_permissions/1"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Permissions.list_permissions/1","ref":"ExStreamClient.Operations.Permissions.html#list_permissions/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Permissions.shared_opts/0","ref":"ExStreamClient.Operations.Permissions.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `push_providers` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.PushProviders","ref":"ExStreamClient.Operations.PushProviders.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.PushProviders","ref":"ExStreamClient.Operations.PushProviders.html#module-shared-options"},{"type":"function","doc":"Delete a push provider from v2 with multi bundle/package support. v1 isn't supported in this endpoint","title":"ExStreamClient.Operations.PushProviders.delete_push_provider/3","ref":"ExStreamClient.Operations.PushProviders.html#delete_push_provider/3"},{"type":"function","doc":"- `type`\n- `name`","title":"Required Arguments: - ExStreamClient.Operations.PushProviders.delete_push_provider/3","ref":"ExStreamClient.Operations.PushProviders.html#delete_push_provider/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.PushProviders.delete_push_provider/3","ref":"ExStreamClient.Operations.PushProviders.html#delete_push_provider/3-optional-arguments"},{"type":"function","doc":"List details of all push providers.","title":"ExStreamClient.Operations.PushProviders.list_push_providers/1","ref":"ExStreamClient.Operations.PushProviders.html#list_push_providers/1"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.PushProviders.list_push_providers/1","ref":"ExStreamClient.Operations.PushProviders.html#list_push_providers/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.PushProviders.shared_opts/0","ref":"ExStreamClient.Operations.PushProviders.html#t:shared_opts/0"},{"type":"function","doc":"Upsert a push provider for v2 with multi bundle/package support","title":"ExStreamClient.Operations.PushProviders.upsert_push_provider/2","ref":"ExStreamClient.Operations.PushProviders.html#upsert_push_provider/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpsertPushProviderRequest`","title":"Required Arguments: - ExStreamClient.Operations.PushProviders.upsert_push_provider/2","ref":"ExStreamClient.Operations.PushProviders.html#upsert_push_provider/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.PushProviders.upsert_push_provider/2","ref":"ExStreamClient.Operations.PushProviders.html#upsert_push_provider/2-optional-arguments"},{"type":"module","doc":"Modules for interacting with the `rate_limits` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.RateLimits","ref":"ExStreamClient.Operations.RateLimits.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.RateLimits","ref":"ExStreamClient.Operations.RateLimits.html#module-shared-options"},{"type":"function","doc":"Get rate limits usage and quotas","title":"ExStreamClient.Operations.RateLimits.get_rate_limits/1","ref":"ExStreamClient.Operations.RateLimits.html#get_rate_limits/1"},{"type":"function","doc":"- `android`\n- `endpoints`\n- `ios`\n- `server_side`\n- `web`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.RateLimits.get_rate_limits/1","ref":"ExStreamClient.Operations.RateLimits.html#get_rate_limits/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.RateLimits.shared_opts/0","ref":"ExStreamClient.Operations.RateLimits.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `roles` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Roles","ref":"ExStreamClient.Operations.Roles.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Roles","ref":"ExStreamClient.Operations.Roles.html#module-shared-options"},{"type":"function","doc":"Creates custom role","title":"ExStreamClient.Operations.Roles.create_role/2","ref":"ExStreamClient.Operations.Roles.html#create_role/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateRoleRequest`","title":"Required Arguments: - ExStreamClient.Operations.Roles.create_role/2","ref":"ExStreamClient.Operations.Roles.html#create_role/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Roles.create_role/2","ref":"ExStreamClient.Operations.Roles.html#create_role/2-optional-arguments"},{"type":"function","doc":"Deletes custom role","title":"ExStreamClient.Operations.Roles.delete_role/2","ref":"ExStreamClient.Operations.Roles.html#delete_role/2"},{"type":"function","doc":"- `name`","title":"Required Arguments: - ExStreamClient.Operations.Roles.delete_role/2","ref":"ExStreamClient.Operations.Roles.html#delete_role/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Roles.delete_role/2","ref":"ExStreamClient.Operations.Roles.html#delete_role/2-optional-arguments"},{"type":"function","doc":"Lists all available roles","title":"ExStreamClient.Operations.Roles.list_roles/1","ref":"ExStreamClient.Operations.Roles.html#list_roles/1"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Roles.list_roles/1","ref":"ExStreamClient.Operations.Roles.html#list_roles/1-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Roles.shared_opts/0","ref":"ExStreamClient.Operations.Roles.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `tasks` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Tasks","ref":"ExStreamClient.Operations.Tasks.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Tasks","ref":"ExStreamClient.Operations.Tasks.html#module-shared-options"},{"type":"function","doc":"Gets status of a task","title":"ExStreamClient.Operations.Tasks.get_task/2","ref":"ExStreamClient.Operations.Tasks.html#get_task/2"},{"type":"function","doc":"- `id`","title":"Required Arguments: - ExStreamClient.Operations.Tasks.get_task/2","ref":"ExStreamClient.Operations.Tasks.html#get_task/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Tasks.get_task/2","ref":"ExStreamClient.Operations.Tasks.html#get_task/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Tasks.shared_opts/0","ref":"ExStreamClient.Operations.Tasks.html#t:shared_opts/0"},{"type":"module","doc":"Modules for interacting with the `users` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","title":"ExStreamClient.Operations.Users","ref":"ExStreamClient.Operations.Users.html"},{"type":"module","doc":"All functions in this module accept the following optional parameters:\n\n * `api_key` - API key to use. If not provided, the default key from config will be used\n * `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used\n * `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used\n * `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`\n * `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options","title":"Shared options - ExStreamClient.Operations.Users","ref":"ExStreamClient.Operations.Users.html#module-shared-options"},{"type":"function","doc":"Block users","title":"ExStreamClient.Operations.Users.block_users/2","ref":"ExStreamClient.Operations.Users.html#block_users/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.BlockUsersRequest`","title":"Required Arguments: - ExStreamClient.Operations.Users.block_users/2","ref":"ExStreamClient.Operations.Users.html#block_users/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.block_users/2","ref":"ExStreamClient.Operations.Users.html#block_users/2-optional-arguments"},{"type":"function","doc":"Deactivates user with possibility to activate it back","title":"ExStreamClient.Operations.Users.deactivate_user/3","ref":"ExStreamClient.Operations.Users.html#deactivate_user/3"},{"type":"function","doc":"- `user.deactivated`","title":"Sends events: - ExStreamClient.Operations.Users.deactivate_user/3","ref":"ExStreamClient.Operations.Users.html#deactivate_user/3-sends-events"},{"type":"function","doc":"- `user_id`\n- `payload`: `Elixir.ExStreamClient.Model.DeactivateUserRequest`","title":"Required Arguments: - ExStreamClient.Operations.Users.deactivate_user/3","ref":"ExStreamClient.Operations.Users.html#deactivate_user/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.deactivate_user/3","ref":"ExStreamClient.Operations.Users.html#deactivate_user/3-optional-arguments"},{"type":"function","doc":"Deactivate users in batches","title":"ExStreamClient.Operations.Users.deactivate_users/2","ref":"ExStreamClient.Operations.Users.html#deactivate_users/2"},{"type":"function","doc":"- `user.deactivated`","title":"Sends events: - ExStreamClient.Operations.Users.deactivate_users/2","ref":"ExStreamClient.Operations.Users.html#deactivate_users/2-sends-events"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.DeactivateUsersRequest`","title":"Required Arguments: - ExStreamClient.Operations.Users.deactivate_users/2","ref":"ExStreamClient.Operations.Users.html#deactivate_users/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.deactivate_users/2","ref":"ExStreamClient.Operations.Users.html#deactivate_users/2-optional-arguments"},{"type":"function","doc":"Deletes users and optionally all their belongings asynchronously.","title":"ExStreamClient.Operations.Users.delete_users/2","ref":"ExStreamClient.Operations.Users.html#delete_users/2"},{"type":"function","doc":"- `channel.deleted`\n- `user.deleted`","title":"Sends events: - ExStreamClient.Operations.Users.delete_users/2","ref":"ExStreamClient.Operations.Users.html#delete_users/2-sends-events"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.DeleteUsersRequest`","title":"Required Arguments: - ExStreamClient.Operations.Users.delete_users/2","ref":"ExStreamClient.Operations.Users.html#delete_users/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.delete_users/2","ref":"ExStreamClient.Operations.Users.html#delete_users/2-optional-arguments"},{"type":"function","doc":"Exports the user's profile, reactions and messages. Raises an error if a user has more than 10k messages or reactions","title":"ExStreamClient.Operations.Users.export_user/2","ref":"ExStreamClient.Operations.Users.html#export_user/2"},{"type":"function","doc":"- `user_id`","title":"Required Arguments: - ExStreamClient.Operations.Users.export_user/2","ref":"ExStreamClient.Operations.Users.html#export_user/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.export_user/2","ref":"ExStreamClient.Operations.Users.html#export_user/2-optional-arguments"},{"type":"function","doc":"Get list of blocked Users","title":"ExStreamClient.Operations.Users.get_blocked_users/1","ref":"ExStreamClient.Operations.Users.html#get_blocked_users/1"},{"type":"function","doc":"- `user_id`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.get_blocked_users/1","ref":"ExStreamClient.Operations.Users.html#get_blocked_users/1-optional-arguments"},{"type":"function","doc":"Find and filter users","title":"ExStreamClient.Operations.Users.query_users/1","ref":"ExStreamClient.Operations.Users.html#query_users/1"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryUsersPayload`\n- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.query_users/1","ref":"ExStreamClient.Operations.Users.html#query_users/1-optional-arguments"},{"type":"function","doc":"Activates user who's been deactivated previously","title":"ExStreamClient.Operations.Users.reactivate_user/3","ref":"ExStreamClient.Operations.Users.html#reactivate_user/3"},{"type":"function","doc":"- `user.reactivated`","title":"Sends events: - ExStreamClient.Operations.Users.reactivate_user/3","ref":"ExStreamClient.Operations.Users.html#reactivate_user/3-sends-events"},{"type":"function","doc":"- `user_id`\n- `payload`: `Elixir.ExStreamClient.Model.ReactivateUserRequest`","title":"Required Arguments: - ExStreamClient.Operations.Users.reactivate_user/3","ref":"ExStreamClient.Operations.Users.html#reactivate_user/3-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.reactivate_user/3","ref":"ExStreamClient.Operations.Users.html#reactivate_user/3-optional-arguments"},{"type":"function","doc":"Reactivate users in batches","title":"ExStreamClient.Operations.Users.reactivate_users/2","ref":"ExStreamClient.Operations.Users.html#reactivate_users/2"},{"type":"function","doc":"- `user.reactivated`\n- `user.reactivated`","title":"Sends events: - ExStreamClient.Operations.Users.reactivate_users/2","ref":"ExStreamClient.Operations.Users.html#reactivate_users/2-sends-events"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.ReactivateUsersRequest`","title":"Required Arguments: - ExStreamClient.Operations.Users.reactivate_users/2","ref":"ExStreamClient.Operations.Users.html#reactivate_users/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.reactivate_users/2","ref":"ExStreamClient.Operations.Users.html#reactivate_users/2-optional-arguments"},{"type":"function","doc":"Restore soft deleted users","title":"ExStreamClient.Operations.Users.restore_users/2","ref":"ExStreamClient.Operations.Users.html#restore_users/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.RestoreUsersRequest`","title":"Required Arguments: - ExStreamClient.Operations.Users.restore_users/2","ref":"ExStreamClient.Operations.Users.html#restore_users/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.restore_users/2","ref":"ExStreamClient.Operations.Users.html#restore_users/2-optional-arguments"},{"type":"type","doc":"","title":"ExStreamClient.Operations.Users.shared_opts/0","ref":"ExStreamClient.Operations.Users.html#t:shared_opts/0"},{"type":"function","doc":"Unblock users","title":"ExStreamClient.Operations.Users.unblock_users/2","ref":"ExStreamClient.Operations.Users.html#unblock_users/2"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UnblockUsersRequest`","title":"Required Arguments: - ExStreamClient.Operations.Users.unblock_users/2","ref":"ExStreamClient.Operations.Users.html#unblock_users/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.unblock_users/2","ref":"ExStreamClient.Operations.Users.html#unblock_users/2-optional-arguments"},{"type":"function","doc":"Update or create users in bulk","title":"ExStreamClient.Operations.Users.update_users/2","ref":"ExStreamClient.Operations.Users.html#update_users/2"},{"type":"function","doc":"- `user.updated`","title":"Sends events: - ExStreamClient.Operations.Users.update_users/2","ref":"ExStreamClient.Operations.Users.html#update_users/2-sends-events"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpdateUsersRequest`","title":"Required Arguments: - ExStreamClient.Operations.Users.update_users/2","ref":"ExStreamClient.Operations.Users.html#update_users/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.update_users/2","ref":"ExStreamClient.Operations.Users.html#update_users/2-optional-arguments"},{"type":"function","doc":"Updates certain fields of the user","title":"ExStreamClient.Operations.Users.update_users_partial/2","ref":"ExStreamClient.Operations.Users.html#update_users_partial/2"},{"type":"function","doc":"- `user.presence.changed`\n- `user.updated`\n- `user.presence.changed`","title":"Sends events: - ExStreamClient.Operations.Users.update_users_partial/2","ref":"ExStreamClient.Operations.Users.html#update_users_partial/2-sends-events"},{"type":"function","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpdateUsersPartialRequest`","title":"Required Arguments: - ExStreamClient.Operations.Users.update_users_partial/2","ref":"ExStreamClient.Operations.Users.html#update_users_partial/2-required-arguments"},{"type":"function","doc":"- All options from [Shared Options](#module-shared-options) are supported.","title":"Optional Arguments: - ExStreamClient.Operations.Users.update_users_partial/2","ref":"ExStreamClient.Operations.Users.html#update_users_partial/2-optional-arguments"},{"type":"module","doc":"Schema representing a AIImageConfig","title":"ExStreamClient.Model.AIImageConfig","ref":"ExStreamClient.Model.AIImageConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AIImageConfig.decode/1","ref":"ExStreamClient.Model.AIImageConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AIImageConfig.nested_components/0","ref":"ExStreamClient.Model.AIImageConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AIImageConfig.t/0","ref":"ExStreamClient.Model.AIImageConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a AITextConfig","title":"ExStreamClient.Model.AITextConfig","ref":"ExStreamClient.Model.AITextConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AITextConfig.decode/1","ref":"ExStreamClient.Model.AITextConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AITextConfig.nested_components/0","ref":"ExStreamClient.Model.AITextConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AITextConfig.t/0","ref":"ExStreamClient.Model.AITextConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a AIVideoConfig","title":"ExStreamClient.Model.AIVideoConfig","ref":"ExStreamClient.Model.AIVideoConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AIVideoConfig.decode/1","ref":"ExStreamClient.Model.AIVideoConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AIVideoConfig.nested_components/0","ref":"ExStreamClient.Model.AIVideoConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AIVideoConfig.t/0","ref":"ExStreamClient.Model.AIVideoConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a APIError","title":"ExStreamClient.Model.APIError","ref":"ExStreamClient.Model.APIError.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.APIError.decode/1","ref":"ExStreamClient.Model.APIError.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.APIError.nested_components/0","ref":"ExStreamClient.Model.APIError.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.APIError.t/0","ref":"ExStreamClient.Model.APIError.html#t:t/0"},{"type":"module","doc":"Schema representing a APNConfig","title":"ExStreamClient.Model.APNConfig","ref":"ExStreamClient.Model.APNConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.APNConfig.decode/1","ref":"ExStreamClient.Model.APNConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.APNConfig.nested_components/0","ref":"ExStreamClient.Model.APNConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.APNConfig.t/0","ref":"ExStreamClient.Model.APNConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a APNConfigFields","title":"ExStreamClient.Model.APNConfigFields","ref":"ExStreamClient.Model.APNConfigFields.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.APNConfigFields.decode/1","ref":"ExStreamClient.Model.APNConfigFields.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.APNConfigFields.nested_components/0","ref":"ExStreamClient.Model.APNConfigFields.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.APNConfigFields.t/0","ref":"ExStreamClient.Model.APNConfigFields.html#t:t/0"},{"type":"module","doc":"Schema representing a APNS","title":"ExStreamClient.Model.APNS","ref":"ExStreamClient.Model.APNS.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.APNS.decode/1","ref":"ExStreamClient.Model.APNS.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.APNS.nested_components/0","ref":"ExStreamClient.Model.APNS.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.APNS.t/0","ref":"ExStreamClient.Model.APNS.html#t:t/0"},{"type":"module","doc":"Schema representing a AWSRekognitionRule","title":"ExStreamClient.Model.AWSRekognitionRule","ref":"ExStreamClient.Model.AWSRekognitionRule.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AWSRekognitionRule.decode/1","ref":"ExStreamClient.Model.AWSRekognitionRule.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AWSRekognitionRule.nested_components/0","ref":"ExStreamClient.Model.AWSRekognitionRule.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AWSRekognitionRule.t/0","ref":"ExStreamClient.Model.AWSRekognitionRule.html#t:t/0"},{"type":"module","doc":"Schema representing a Action","title":"ExStreamClient.Model.Action","ref":"ExStreamClient.Model.Action.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Action.decode/1","ref":"ExStreamClient.Model.Action.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Action.nested_components/0","ref":"ExStreamClient.Model.Action.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Action.t/0","ref":"ExStreamClient.Model.Action.html#t:t/0"},{"type":"module","doc":"Schema representing a ActionLog","title":"ExStreamClient.Model.ActionLog","ref":"ExStreamClient.Model.ActionLog.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ActionLog.decode/1","ref":"ExStreamClient.Model.ActionLog.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ActionLog.nested_components/0","ref":"ExStreamClient.Model.ActionLog.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ActionLog.t/0","ref":"ExStreamClient.Model.ActionLog.html#t:t/0"},{"type":"module","doc":"Schema representing a ActionLogResponse","title":"ExStreamClient.Model.ActionLogResponse","ref":"ExStreamClient.Model.ActionLogResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ActionLogResponse.decode/1","ref":"ExStreamClient.Model.ActionLogResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ActionLogResponse.nested_components/0","ref":"ExStreamClient.Model.ActionLogResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ActionLogResponse.t/0","ref":"ExStreamClient.Model.ActionLogResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ActionSequence","title":"ExStreamClient.Model.ActionSequence","ref":"ExStreamClient.Model.ActionSequence.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ActionSequence.decode/1","ref":"ExStreamClient.Model.ActionSequence.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ActionSequence.nested_components/0","ref":"ExStreamClient.Model.ActionSequence.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ActionSequence.t/0","ref":"ExStreamClient.Model.ActionSequence.html#t:t/0"},{"type":"module","doc":"Schema representing a AnyEvent","title":"ExStreamClient.Model.AnyEvent","ref":"ExStreamClient.Model.AnyEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AnyEvent.decode/1","ref":"ExStreamClient.Model.AnyEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AnyEvent.nested_components/0","ref":"ExStreamClient.Model.AnyEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AnyEvent.t/0","ref":"ExStreamClient.Model.AnyEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a AppResponseFields","title":"ExStreamClient.Model.AppResponseFields","ref":"ExStreamClient.Model.AppResponseFields.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AppResponseFields.decode/1","ref":"ExStreamClient.Model.AppResponseFields.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AppResponseFields.nested_components/0","ref":"ExStreamClient.Model.AppResponseFields.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AppResponseFields.t/0","ref":"ExStreamClient.Model.AppResponseFields.html#t:t/0"},{"type":"module","doc":"Schema representing a AsyncBulkImageModerationEvent","title":"ExStreamClient.Model.AsyncBulkImageModerationEvent","ref":"ExStreamClient.Model.AsyncBulkImageModerationEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AsyncBulkImageModerationEvent.decode/1","ref":"ExStreamClient.Model.AsyncBulkImageModerationEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AsyncBulkImageModerationEvent.nested_components/0","ref":"ExStreamClient.Model.AsyncBulkImageModerationEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AsyncBulkImageModerationEvent.t/0","ref":"ExStreamClient.Model.AsyncBulkImageModerationEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a AsyncExportChannelsEvent","title":"ExStreamClient.Model.AsyncExportChannelsEvent","ref":"ExStreamClient.Model.AsyncExportChannelsEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AsyncExportChannelsEvent.decode/1","ref":"ExStreamClient.Model.AsyncExportChannelsEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AsyncExportChannelsEvent.nested_components/0","ref":"ExStreamClient.Model.AsyncExportChannelsEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AsyncExportChannelsEvent.t/0","ref":"ExStreamClient.Model.AsyncExportChannelsEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a AsyncExportErrorEvent","title":"ExStreamClient.Model.AsyncExportErrorEvent","ref":"ExStreamClient.Model.AsyncExportErrorEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AsyncExportErrorEvent.decode/1","ref":"ExStreamClient.Model.AsyncExportErrorEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AsyncExportErrorEvent.nested_components/0","ref":"ExStreamClient.Model.AsyncExportErrorEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AsyncExportErrorEvent.t/0","ref":"ExStreamClient.Model.AsyncExportErrorEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a AsyncExportModerationLogsEvent","title":"ExStreamClient.Model.AsyncExportModerationLogsEvent","ref":"ExStreamClient.Model.AsyncExportModerationLogsEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AsyncExportModerationLogsEvent.decode/1","ref":"ExStreamClient.Model.AsyncExportModerationLogsEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AsyncExportModerationLogsEvent.nested_components/0","ref":"ExStreamClient.Model.AsyncExportModerationLogsEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AsyncExportModerationLogsEvent.t/0","ref":"ExStreamClient.Model.AsyncExportModerationLogsEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a AsyncExportUsersEvent","title":"ExStreamClient.Model.AsyncExportUsersEvent","ref":"ExStreamClient.Model.AsyncExportUsersEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AsyncExportUsersEvent.decode/1","ref":"ExStreamClient.Model.AsyncExportUsersEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AsyncExportUsersEvent.nested_components/0","ref":"ExStreamClient.Model.AsyncExportUsersEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AsyncExportUsersEvent.t/0","ref":"ExStreamClient.Model.AsyncExportUsersEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a AsyncModerationCallbackConfig","title":"ExStreamClient.Model.AsyncModerationCallbackConfig","ref":"ExStreamClient.Model.AsyncModerationCallbackConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AsyncModerationCallbackConfig.decode/1","ref":"ExStreamClient.Model.AsyncModerationCallbackConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AsyncModerationCallbackConfig.nested_components/0","ref":"ExStreamClient.Model.AsyncModerationCallbackConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AsyncModerationCallbackConfig.t/0","ref":"ExStreamClient.Model.AsyncModerationCallbackConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a AsyncModerationConfiguration","title":"ExStreamClient.Model.AsyncModerationConfiguration","ref":"ExStreamClient.Model.AsyncModerationConfiguration.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AsyncModerationConfiguration.decode/1","ref":"ExStreamClient.Model.AsyncModerationConfiguration.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AsyncModerationConfiguration.nested_components/0","ref":"ExStreamClient.Model.AsyncModerationConfiguration.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AsyncModerationConfiguration.t/0","ref":"ExStreamClient.Model.AsyncModerationConfiguration.html#t:t/0"},{"type":"module","doc":"Schema representing a Attachment","title":"ExStreamClient.Model.Attachment","ref":"ExStreamClient.Model.Attachment.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Attachment.decode/1","ref":"ExStreamClient.Model.Attachment.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Attachment.nested_components/0","ref":"ExStreamClient.Model.Attachment.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Attachment.t/0","ref":"ExStreamClient.Model.Attachment.html#t:t/0"},{"type":"module","doc":"Schema representing a AudioSettings","title":"ExStreamClient.Model.AudioSettings","ref":"ExStreamClient.Model.AudioSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AudioSettings.decode/1","ref":"ExStreamClient.Model.AudioSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AudioSettings.nested_components/0","ref":"ExStreamClient.Model.AudioSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AudioSettings.t/0","ref":"ExStreamClient.Model.AudioSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a AudioSettingsResponse","title":"ExStreamClient.Model.AudioSettingsResponse","ref":"ExStreamClient.Model.AudioSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AudioSettingsResponse.decode/1","ref":"ExStreamClient.Model.AudioSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AudioSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.AudioSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AudioSettingsResponse.t/0","ref":"ExStreamClient.Model.AudioSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a AutomodDetails","title":"ExStreamClient.Model.AutomodDetails","ref":"ExStreamClient.Model.AutomodDetails.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AutomodDetails.decode/1","ref":"ExStreamClient.Model.AutomodDetails.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AutomodDetails.nested_components/0","ref":"ExStreamClient.Model.AutomodDetails.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AutomodDetails.t/0","ref":"ExStreamClient.Model.AutomodDetails.html#t:t/0"},{"type":"module","doc":"Schema representing a AutomodPlatformCircumventionConfig","title":"ExStreamClient.Model.AutomodPlatformCircumventionConfig","ref":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.decode/1","ref":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.nested_components/0","ref":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.t/0","ref":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a AutomodRule","title":"ExStreamClient.Model.AutomodRule","ref":"ExStreamClient.Model.AutomodRule.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AutomodRule.decode/1","ref":"ExStreamClient.Model.AutomodRule.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AutomodRule.nested_components/0","ref":"ExStreamClient.Model.AutomodRule.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AutomodRule.t/0","ref":"ExStreamClient.Model.AutomodRule.html#t:t/0"},{"type":"module","doc":"Schema representing a AutomodSemanticFiltersConfig","title":"ExStreamClient.Model.AutomodSemanticFiltersConfig","ref":"ExStreamClient.Model.AutomodSemanticFiltersConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AutomodSemanticFiltersConfig.decode/1","ref":"ExStreamClient.Model.AutomodSemanticFiltersConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AutomodSemanticFiltersConfig.nested_components/0","ref":"ExStreamClient.Model.AutomodSemanticFiltersConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AutomodSemanticFiltersConfig.t/0","ref":"ExStreamClient.Model.AutomodSemanticFiltersConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a AutomodSemanticFiltersRule","title":"ExStreamClient.Model.AutomodSemanticFiltersRule","ref":"ExStreamClient.Model.AutomodSemanticFiltersRule.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AutomodSemanticFiltersRule.decode/1","ref":"ExStreamClient.Model.AutomodSemanticFiltersRule.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AutomodSemanticFiltersRule.nested_components/0","ref":"ExStreamClient.Model.AutomodSemanticFiltersRule.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AutomodSemanticFiltersRule.t/0","ref":"ExStreamClient.Model.AutomodSemanticFiltersRule.html#t:t/0"},{"type":"module","doc":"Schema representing a AutomodToxicityConfig","title":"ExStreamClient.Model.AutomodToxicityConfig","ref":"ExStreamClient.Model.AutomodToxicityConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AutomodToxicityConfig.decode/1","ref":"ExStreamClient.Model.AutomodToxicityConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AutomodToxicityConfig.nested_components/0","ref":"ExStreamClient.Model.AutomodToxicityConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AutomodToxicityConfig.t/0","ref":"ExStreamClient.Model.AutomodToxicityConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a AzureRequest","title":"ExStreamClient.Model.AzureRequest","ref":"ExStreamClient.Model.AzureRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.AzureRequest.decode/1","ref":"ExStreamClient.Model.AzureRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.AzureRequest.nested_components/0","ref":"ExStreamClient.Model.AzureRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.AzureRequest.t/0","ref":"ExStreamClient.Model.AzureRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a BackstageSettings","title":"ExStreamClient.Model.BackstageSettings","ref":"ExStreamClient.Model.BackstageSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BackstageSettings.decode/1","ref":"ExStreamClient.Model.BackstageSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BackstageSettings.nested_components/0","ref":"ExStreamClient.Model.BackstageSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BackstageSettings.t/0","ref":"ExStreamClient.Model.BackstageSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a BackstageSettingsResponse","title":"ExStreamClient.Model.BackstageSettingsResponse","ref":"ExStreamClient.Model.BackstageSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BackstageSettingsResponse.decode/1","ref":"ExStreamClient.Model.BackstageSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BackstageSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.BackstageSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BackstageSettingsResponse.t/0","ref":"ExStreamClient.Model.BackstageSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a Ban","title":"ExStreamClient.Model.Ban","ref":"ExStreamClient.Model.Ban.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Ban.decode/1","ref":"ExStreamClient.Model.Ban.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Ban.nested_components/0","ref":"ExStreamClient.Model.Ban.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Ban.t/0","ref":"ExStreamClient.Model.Ban.html#t:t/0"},{"type":"module","doc":"Schema representing a BanActionRequest","title":"ExStreamClient.Model.BanActionRequest","ref":"ExStreamClient.Model.BanActionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BanActionRequest.decode/1","ref":"ExStreamClient.Model.BanActionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BanActionRequest.nested_components/0","ref":"ExStreamClient.Model.BanActionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BanActionRequest.t/0","ref":"ExStreamClient.Model.BanActionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a BanRequest","title":"ExStreamClient.Model.BanRequest","ref":"ExStreamClient.Model.BanRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BanRequest.decode/1","ref":"ExStreamClient.Model.BanRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BanRequest.nested_components/0","ref":"ExStreamClient.Model.BanRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BanRequest.t/0","ref":"ExStreamClient.Model.BanRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a BanResponse","title":"ExStreamClient.Model.BanResponse","ref":"ExStreamClient.Model.BanResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BanResponse.decode/1","ref":"ExStreamClient.Model.BanResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BanResponse.nested_components/0","ref":"ExStreamClient.Model.BanResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BanResponse.t/0","ref":"ExStreamClient.Model.BanResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a BlockListConfig","title":"ExStreamClient.Model.BlockListConfig","ref":"ExStreamClient.Model.BlockListConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BlockListConfig.decode/1","ref":"ExStreamClient.Model.BlockListConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BlockListConfig.nested_components/0","ref":"ExStreamClient.Model.BlockListConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BlockListConfig.t/0","ref":"ExStreamClient.Model.BlockListConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a BlockListOptions","title":"ExStreamClient.Model.BlockListOptions","ref":"ExStreamClient.Model.BlockListOptions.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BlockListOptions.decode/1","ref":"ExStreamClient.Model.BlockListOptions.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BlockListOptions.nested_components/0","ref":"ExStreamClient.Model.BlockListOptions.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BlockListOptions.t/0","ref":"ExStreamClient.Model.BlockListOptions.html#t:t/0"},{"type":"module","doc":"Schema representing a BlockListResponse","title":"ExStreamClient.Model.BlockListResponse","ref":"ExStreamClient.Model.BlockListResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BlockListResponse.decode/1","ref":"ExStreamClient.Model.BlockListResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BlockListResponse.nested_components/0","ref":"ExStreamClient.Model.BlockListResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BlockListResponse.t/0","ref":"ExStreamClient.Model.BlockListResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a BlockListRule","title":"ExStreamClient.Model.BlockListRule","ref":"ExStreamClient.Model.BlockListRule.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BlockListRule.decode/1","ref":"ExStreamClient.Model.BlockListRule.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BlockListRule.nested_components/0","ref":"ExStreamClient.Model.BlockListRule.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BlockListRule.t/0","ref":"ExStreamClient.Model.BlockListRule.html#t:t/0"},{"type":"module","doc":"Schema representing a BlockUsersRequest","title":"ExStreamClient.Model.BlockUsersRequest","ref":"ExStreamClient.Model.BlockUsersRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BlockUsersRequest.decode/1","ref":"ExStreamClient.Model.BlockUsersRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BlockUsersRequest.nested_components/0","ref":"ExStreamClient.Model.BlockUsersRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BlockUsersRequest.t/0","ref":"ExStreamClient.Model.BlockUsersRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a BlockUsersResponse","title":"ExStreamClient.Model.BlockUsersResponse","ref":"ExStreamClient.Model.BlockUsersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BlockUsersResponse.decode/1","ref":"ExStreamClient.Model.BlockUsersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BlockUsersResponse.nested_components/0","ref":"ExStreamClient.Model.BlockUsersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BlockUsersResponse.t/0","ref":"ExStreamClient.Model.BlockUsersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a BlockedUserResponse","title":"ExStreamClient.Model.BlockedUserResponse","ref":"ExStreamClient.Model.BlockedUserResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BlockedUserResponse.decode/1","ref":"ExStreamClient.Model.BlockedUserResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BlockedUserResponse.nested_components/0","ref":"ExStreamClient.Model.BlockedUserResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BlockedUserResponse.t/0","ref":"ExStreamClient.Model.BlockedUserResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a BodyguardRule","title":"ExStreamClient.Model.BodyguardRule","ref":"ExStreamClient.Model.BodyguardRule.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BodyguardRule.decode/1","ref":"ExStreamClient.Model.BodyguardRule.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BodyguardRule.nested_components/0","ref":"ExStreamClient.Model.BodyguardRule.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BodyguardRule.t/0","ref":"ExStreamClient.Model.BodyguardRule.html#t:t/0"},{"type":"module","doc":"Schema representing a BodyguardSeverityRule","title":"ExStreamClient.Model.BodyguardSeverityRule","ref":"ExStreamClient.Model.BodyguardSeverityRule.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BodyguardSeverityRule.decode/1","ref":"ExStreamClient.Model.BodyguardSeverityRule.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BodyguardSeverityRule.nested_components/0","ref":"ExStreamClient.Model.BodyguardSeverityRule.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BodyguardSeverityRule.t/0","ref":"ExStreamClient.Model.BodyguardSeverityRule.html#t:t/0"},{"type":"module","doc":"Schema representing a BroadcastSettings","title":"ExStreamClient.Model.BroadcastSettings","ref":"ExStreamClient.Model.BroadcastSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BroadcastSettings.decode/1","ref":"ExStreamClient.Model.BroadcastSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BroadcastSettings.nested_components/0","ref":"ExStreamClient.Model.BroadcastSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BroadcastSettings.t/0","ref":"ExStreamClient.Model.BroadcastSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a BroadcastSettingsResponse","title":"ExStreamClient.Model.BroadcastSettingsResponse","ref":"ExStreamClient.Model.BroadcastSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BroadcastSettingsResponse.decode/1","ref":"ExStreamClient.Model.BroadcastSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BroadcastSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.BroadcastSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BroadcastSettingsResponse.t/0","ref":"ExStreamClient.Model.BroadcastSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a BulkImageModerationRequest","title":"ExStreamClient.Model.BulkImageModerationRequest","ref":"ExStreamClient.Model.BulkImageModerationRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BulkImageModerationRequest.decode/1","ref":"ExStreamClient.Model.BulkImageModerationRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BulkImageModerationRequest.nested_components/0","ref":"ExStreamClient.Model.BulkImageModerationRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BulkImageModerationRequest.t/0","ref":"ExStreamClient.Model.BulkImageModerationRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a BulkImageModerationResponse","title":"ExStreamClient.Model.BulkImageModerationResponse","ref":"ExStreamClient.Model.BulkImageModerationResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.BulkImageModerationResponse.decode/1","ref":"ExStreamClient.Model.BulkImageModerationResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.BulkImageModerationResponse.nested_components/0","ref":"ExStreamClient.Model.BulkImageModerationResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.BulkImageModerationResponse.t/0","ref":"ExStreamClient.Model.BulkImageModerationResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a Call","title":"ExStreamClient.Model.Call","ref":"ExStreamClient.Model.Call.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Call.decode/1","ref":"ExStreamClient.Model.Call.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Call.nested_components/0","ref":"ExStreamClient.Model.Call.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Call.t/0","ref":"ExStreamClient.Model.Call.html#t:t/0"},{"type":"module","doc":"Schema representing a CallEgress","title":"ExStreamClient.Model.CallEgress","ref":"ExStreamClient.Model.CallEgress.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CallEgress.decode/1","ref":"ExStreamClient.Model.CallEgress.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CallEgress.nested_components/0","ref":"ExStreamClient.Model.CallEgress.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CallEgress.t/0","ref":"ExStreamClient.Model.CallEgress.html#t:t/0"},{"type":"module","doc":"Schema representing a CallIngressResponse","title":"ExStreamClient.Model.CallIngressResponse","ref":"ExStreamClient.Model.CallIngressResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CallIngressResponse.decode/1","ref":"ExStreamClient.Model.CallIngressResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CallIngressResponse.nested_components/0","ref":"ExStreamClient.Model.CallIngressResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CallIngressResponse.t/0","ref":"ExStreamClient.Model.CallIngressResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CallMember","title":"ExStreamClient.Model.CallMember","ref":"ExStreamClient.Model.CallMember.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CallMember.decode/1","ref":"ExStreamClient.Model.CallMember.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CallMember.nested_components/0","ref":"ExStreamClient.Model.CallMember.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CallMember.t/0","ref":"ExStreamClient.Model.CallMember.html#t:t/0"},{"type":"module","doc":"Schema representing a CallParticipant","title":"ExStreamClient.Model.CallParticipant","ref":"ExStreamClient.Model.CallParticipant.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CallParticipant.decode/1","ref":"ExStreamClient.Model.CallParticipant.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CallParticipant.nested_components/0","ref":"ExStreamClient.Model.CallParticipant.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CallParticipant.t/0","ref":"ExStreamClient.Model.CallParticipant.html#t:t/0"},{"type":"module","doc":"Schema representing a CallParticipantResponse","title":"ExStreamClient.Model.CallParticipantResponse","ref":"ExStreamClient.Model.CallParticipantResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CallParticipantResponse.decode/1","ref":"ExStreamClient.Model.CallParticipantResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CallParticipantResponse.nested_components/0","ref":"ExStreamClient.Model.CallParticipantResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CallParticipantResponse.t/0","ref":"ExStreamClient.Model.CallParticipantResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CallResponse","title":"ExStreamClient.Model.CallResponse","ref":"ExStreamClient.Model.CallResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CallResponse.decode/1","ref":"ExStreamClient.Model.CallResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CallResponse.nested_components/0","ref":"ExStreamClient.Model.CallResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CallResponse.t/0","ref":"ExStreamClient.Model.CallResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CallSession","title":"ExStreamClient.Model.CallSession","ref":"ExStreamClient.Model.CallSession.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CallSession.decode/1","ref":"ExStreamClient.Model.CallSession.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CallSession.nested_components/0","ref":"ExStreamClient.Model.CallSession.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CallSession.t/0","ref":"ExStreamClient.Model.CallSession.html#t:t/0"},{"type":"module","doc":"Schema representing a CallSessionResponse","title":"ExStreamClient.Model.CallSessionResponse","ref":"ExStreamClient.Model.CallSessionResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CallSessionResponse.decode/1","ref":"ExStreamClient.Model.CallSessionResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CallSessionResponse.nested_components/0","ref":"ExStreamClient.Model.CallSessionResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CallSessionResponse.t/0","ref":"ExStreamClient.Model.CallSessionResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CallSettings","title":"ExStreamClient.Model.CallSettings","ref":"ExStreamClient.Model.CallSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CallSettings.decode/1","ref":"ExStreamClient.Model.CallSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CallSettings.nested_components/0","ref":"ExStreamClient.Model.CallSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CallSettings.t/0","ref":"ExStreamClient.Model.CallSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a CallSettingsResponse","title":"ExStreamClient.Model.CallSettingsResponse","ref":"ExStreamClient.Model.CallSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CallSettingsResponse.decode/1","ref":"ExStreamClient.Model.CallSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CallSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.CallSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CallSettingsResponse.t/0","ref":"ExStreamClient.Model.CallSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CallType","title":"ExStreamClient.Model.CallType","ref":"ExStreamClient.Model.CallType.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CallType.decode/1","ref":"ExStreamClient.Model.CallType.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CallType.nested_components/0","ref":"ExStreamClient.Model.CallType.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CallType.t/0","ref":"ExStreamClient.Model.CallType.html#t:t/0"},{"type":"module","doc":"Schema representing a CampaignChannelTemplate","title":"ExStreamClient.Model.CampaignChannelTemplate","ref":"ExStreamClient.Model.CampaignChannelTemplate.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CampaignChannelTemplate.decode/1","ref":"ExStreamClient.Model.CampaignChannelTemplate.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CampaignChannelTemplate.nested_components/0","ref":"ExStreamClient.Model.CampaignChannelTemplate.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CampaignChannelTemplate.t/0","ref":"ExStreamClient.Model.CampaignChannelTemplate.html#t:t/0"},{"type":"module","doc":"Schema representing a CampaignCompletedEvent","title":"ExStreamClient.Model.CampaignCompletedEvent","ref":"ExStreamClient.Model.CampaignCompletedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CampaignCompletedEvent.decode/1","ref":"ExStreamClient.Model.CampaignCompletedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CampaignCompletedEvent.nested_components/0","ref":"ExStreamClient.Model.CampaignCompletedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CampaignCompletedEvent.t/0","ref":"ExStreamClient.Model.CampaignCompletedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a CampaignMessageTemplate","title":"ExStreamClient.Model.CampaignMessageTemplate","ref":"ExStreamClient.Model.CampaignMessageTemplate.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CampaignMessageTemplate.decode/1","ref":"ExStreamClient.Model.CampaignMessageTemplate.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CampaignMessageTemplate.nested_components/0","ref":"ExStreamClient.Model.CampaignMessageTemplate.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CampaignMessageTemplate.t/0","ref":"ExStreamClient.Model.CampaignMessageTemplate.html#t:t/0"},{"type":"module","doc":"Schema representing a CampaignResponse","title":"ExStreamClient.Model.CampaignResponse","ref":"ExStreamClient.Model.CampaignResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CampaignResponse.decode/1","ref":"ExStreamClient.Model.CampaignResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CampaignResponse.nested_components/0","ref":"ExStreamClient.Model.CampaignResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CampaignResponse.t/0","ref":"ExStreamClient.Model.CampaignResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CampaignStartedEvent","title":"ExStreamClient.Model.CampaignStartedEvent","ref":"ExStreamClient.Model.CampaignStartedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CampaignStartedEvent.decode/1","ref":"ExStreamClient.Model.CampaignStartedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CampaignStartedEvent.nested_components/0","ref":"ExStreamClient.Model.CampaignStartedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CampaignStartedEvent.t/0","ref":"ExStreamClient.Model.CampaignStartedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a CampaignStatsResponse","title":"ExStreamClient.Model.CampaignStatsResponse","ref":"ExStreamClient.Model.CampaignStatsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CampaignStatsResponse.decode/1","ref":"ExStreamClient.Model.CampaignStatsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CampaignStatsResponse.nested_components/0","ref":"ExStreamClient.Model.CampaignStatsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CampaignStatsResponse.t/0","ref":"ExStreamClient.Model.CampaignStatsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CastPollVoteRequest","title":"ExStreamClient.Model.CastPollVoteRequest","ref":"ExStreamClient.Model.CastPollVoteRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CastPollVoteRequest.decode/1","ref":"ExStreamClient.Model.CastPollVoteRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CastPollVoteRequest.nested_components/0","ref":"ExStreamClient.Model.CastPollVoteRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CastPollVoteRequest.t/0","ref":"ExStreamClient.Model.CastPollVoteRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a Channel","title":"ExStreamClient.Model.Channel","ref":"ExStreamClient.Model.Channel.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Channel.decode/1","ref":"ExStreamClient.Model.Channel.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Channel.nested_components/0","ref":"ExStreamClient.Model.Channel.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Channel.t/0","ref":"ExStreamClient.Model.Channel.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelConfig","title":"ExStreamClient.Model.ChannelConfig","ref":"ExStreamClient.Model.ChannelConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelConfig.decode/1","ref":"ExStreamClient.Model.ChannelConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelConfig.nested_components/0","ref":"ExStreamClient.Model.ChannelConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelConfig.t/0","ref":"ExStreamClient.Model.ChannelConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelConfigWithInfo","title":"ExStreamClient.Model.ChannelConfigWithInfo","ref":"ExStreamClient.Model.ChannelConfigWithInfo.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelConfigWithInfo.decode/1","ref":"ExStreamClient.Model.ChannelConfigWithInfo.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelConfigWithInfo.nested_components/0","ref":"ExStreamClient.Model.ChannelConfigWithInfo.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelConfigWithInfo.t/0","ref":"ExStreamClient.Model.ChannelConfigWithInfo.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelCreatedEvent","title":"ExStreamClient.Model.ChannelCreatedEvent","ref":"ExStreamClient.Model.ChannelCreatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelCreatedEvent.decode/1","ref":"ExStreamClient.Model.ChannelCreatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelCreatedEvent.nested_components/0","ref":"ExStreamClient.Model.ChannelCreatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelCreatedEvent.t/0","ref":"ExStreamClient.Model.ChannelCreatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelDeletedEvent","title":"ExStreamClient.Model.ChannelDeletedEvent","ref":"ExStreamClient.Model.ChannelDeletedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelDeletedEvent.decode/1","ref":"ExStreamClient.Model.ChannelDeletedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelDeletedEvent.nested_components/0","ref":"ExStreamClient.Model.ChannelDeletedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelDeletedEvent.t/0","ref":"ExStreamClient.Model.ChannelDeletedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelExport","title":"ExStreamClient.Model.ChannelExport","ref":"ExStreamClient.Model.ChannelExport.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelExport.decode/1","ref":"ExStreamClient.Model.ChannelExport.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelExport.nested_components/0","ref":"ExStreamClient.Model.ChannelExport.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelExport.t/0","ref":"ExStreamClient.Model.ChannelExport.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelFrozenEvent","title":"ExStreamClient.Model.ChannelFrozenEvent","ref":"ExStreamClient.Model.ChannelFrozenEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelFrozenEvent.decode/1","ref":"ExStreamClient.Model.ChannelFrozenEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelFrozenEvent.nested_components/0","ref":"ExStreamClient.Model.ChannelFrozenEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelFrozenEvent.t/0","ref":"ExStreamClient.Model.ChannelFrozenEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelGetOrCreateRequest","title":"ExStreamClient.Model.ChannelGetOrCreateRequest","ref":"ExStreamClient.Model.ChannelGetOrCreateRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelGetOrCreateRequest.decode/1","ref":"ExStreamClient.Model.ChannelGetOrCreateRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelGetOrCreateRequest.nested_components/0","ref":"ExStreamClient.Model.ChannelGetOrCreateRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelGetOrCreateRequest.t/0","ref":"ExStreamClient.Model.ChannelGetOrCreateRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelHiddenEvent","title":"ExStreamClient.Model.ChannelHiddenEvent","ref":"ExStreamClient.Model.ChannelHiddenEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelHiddenEvent.decode/1","ref":"ExStreamClient.Model.ChannelHiddenEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelHiddenEvent.nested_components/0","ref":"ExStreamClient.Model.ChannelHiddenEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelHiddenEvent.t/0","ref":"ExStreamClient.Model.ChannelHiddenEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelInput","title":"ExStreamClient.Model.ChannelInput","ref":"ExStreamClient.Model.ChannelInput.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelInput.decode/1","ref":"ExStreamClient.Model.ChannelInput.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelInput.nested_components/0","ref":"ExStreamClient.Model.ChannelInput.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelInput.t/0","ref":"ExStreamClient.Model.ChannelInput.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelMember","title":"ExStreamClient.Model.ChannelMember","ref":"ExStreamClient.Model.ChannelMember.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelMember.decode/1","ref":"ExStreamClient.Model.ChannelMember.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelMember.nested_components/0","ref":"ExStreamClient.Model.ChannelMember.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelMember.t/0","ref":"ExStreamClient.Model.ChannelMember.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelMemberResponse","title":"ExStreamClient.Model.ChannelMemberResponse","ref":"ExStreamClient.Model.ChannelMemberResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelMemberResponse.decode/1","ref":"ExStreamClient.Model.ChannelMemberResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelMemberResponse.nested_components/0","ref":"ExStreamClient.Model.ChannelMemberResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelMemberResponse.t/0","ref":"ExStreamClient.Model.ChannelMemberResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelMessages","title":"ExStreamClient.Model.ChannelMessages","ref":"ExStreamClient.Model.ChannelMessages.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelMessages.decode/1","ref":"ExStreamClient.Model.ChannelMessages.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelMessages.nested_components/0","ref":"ExStreamClient.Model.ChannelMessages.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelMessages.t/0","ref":"ExStreamClient.Model.ChannelMessages.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelMute","title":"ExStreamClient.Model.ChannelMute","ref":"ExStreamClient.Model.ChannelMute.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelMute.decode/1","ref":"ExStreamClient.Model.ChannelMute.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelMute.nested_components/0","ref":"ExStreamClient.Model.ChannelMute.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelMute.t/0","ref":"ExStreamClient.Model.ChannelMute.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelMutedEvent","title":"ExStreamClient.Model.ChannelMutedEvent","ref":"ExStreamClient.Model.ChannelMutedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelMutedEvent.decode/1","ref":"ExStreamClient.Model.ChannelMutedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelMutedEvent.nested_components/0","ref":"ExStreamClient.Model.ChannelMutedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelMutedEvent.t/0","ref":"ExStreamClient.Model.ChannelMutedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelOwnCapability","title":"ExStreamClient.Model.ChannelOwnCapability","ref":"ExStreamClient.Model.ChannelOwnCapability.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelOwnCapability.decode/1","ref":"ExStreamClient.Model.ChannelOwnCapability.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelOwnCapability.nested_components/0","ref":"ExStreamClient.Model.ChannelOwnCapability.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelOwnCapability.t/0","ref":"ExStreamClient.Model.ChannelOwnCapability.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelPushPreferences","title":"ExStreamClient.Model.ChannelPushPreferences","ref":"ExStreamClient.Model.ChannelPushPreferences.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelPushPreferences.decode/1","ref":"ExStreamClient.Model.ChannelPushPreferences.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelPushPreferences.nested_components/0","ref":"ExStreamClient.Model.ChannelPushPreferences.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelPushPreferences.t/0","ref":"ExStreamClient.Model.ChannelPushPreferences.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelResponse","title":"ExStreamClient.Model.ChannelResponse","ref":"ExStreamClient.Model.ChannelResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelResponse.decode/1","ref":"ExStreamClient.Model.ChannelResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelResponse.nested_components/0","ref":"ExStreamClient.Model.ChannelResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelResponse.t/0","ref":"ExStreamClient.Model.ChannelResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelStateResponse","title":"ExStreamClient.Model.ChannelStateResponse","ref":"ExStreamClient.Model.ChannelStateResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelStateResponse.decode/1","ref":"ExStreamClient.Model.ChannelStateResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelStateResponse.nested_components/0","ref":"ExStreamClient.Model.ChannelStateResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelStateResponse.t/0","ref":"ExStreamClient.Model.ChannelStateResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelStateResponseFields","title":"ExStreamClient.Model.ChannelStateResponseFields","ref":"ExStreamClient.Model.ChannelStateResponseFields.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelStateResponseFields.decode/1","ref":"ExStreamClient.Model.ChannelStateResponseFields.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelStateResponseFields.nested_components/0","ref":"ExStreamClient.Model.ChannelStateResponseFields.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelStateResponseFields.t/0","ref":"ExStreamClient.Model.ChannelStateResponseFields.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelTruncatedEvent","title":"ExStreamClient.Model.ChannelTruncatedEvent","ref":"ExStreamClient.Model.ChannelTruncatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelTruncatedEvent.decode/1","ref":"ExStreamClient.Model.ChannelTruncatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelTruncatedEvent.nested_components/0","ref":"ExStreamClient.Model.ChannelTruncatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelTruncatedEvent.t/0","ref":"ExStreamClient.Model.ChannelTruncatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelTypeConfig","title":"ExStreamClient.Model.ChannelTypeConfig","ref":"ExStreamClient.Model.ChannelTypeConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelTypeConfig.decode/1","ref":"ExStreamClient.Model.ChannelTypeConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelTypeConfig.nested_components/0","ref":"ExStreamClient.Model.ChannelTypeConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelTypeConfig.t/0","ref":"ExStreamClient.Model.ChannelTypeConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelUnFrozenEvent","title":"ExStreamClient.Model.ChannelUnFrozenEvent","ref":"ExStreamClient.Model.ChannelUnFrozenEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelUnFrozenEvent.decode/1","ref":"ExStreamClient.Model.ChannelUnFrozenEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelUnFrozenEvent.nested_components/0","ref":"ExStreamClient.Model.ChannelUnFrozenEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelUnFrozenEvent.t/0","ref":"ExStreamClient.Model.ChannelUnFrozenEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelUnmutedEvent","title":"ExStreamClient.Model.ChannelUnmutedEvent","ref":"ExStreamClient.Model.ChannelUnmutedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelUnmutedEvent.decode/1","ref":"ExStreamClient.Model.ChannelUnmutedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelUnmutedEvent.nested_components/0","ref":"ExStreamClient.Model.ChannelUnmutedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelUnmutedEvent.t/0","ref":"ExStreamClient.Model.ChannelUnmutedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelUpdatedEvent","title":"ExStreamClient.Model.ChannelUpdatedEvent","ref":"ExStreamClient.Model.ChannelUpdatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelUpdatedEvent.decode/1","ref":"ExStreamClient.Model.ChannelUpdatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelUpdatedEvent.nested_components/0","ref":"ExStreamClient.Model.ChannelUpdatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelUpdatedEvent.t/0","ref":"ExStreamClient.Model.ChannelUpdatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ChannelVisibleEvent","title":"ExStreamClient.Model.ChannelVisibleEvent","ref":"ExStreamClient.Model.ChannelVisibleEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ChannelVisibleEvent.decode/1","ref":"ExStreamClient.Model.ChannelVisibleEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ChannelVisibleEvent.nested_components/0","ref":"ExStreamClient.Model.ChannelVisibleEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ChannelVisibleEvent.t/0","ref":"ExStreamClient.Model.ChannelVisibleEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a CheckExternalStorageResponse","title":"ExStreamClient.Model.CheckExternalStorageResponse","ref":"ExStreamClient.Model.CheckExternalStorageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CheckExternalStorageResponse.decode/1","ref":"ExStreamClient.Model.CheckExternalStorageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CheckExternalStorageResponse.nested_components/0","ref":"ExStreamClient.Model.CheckExternalStorageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CheckExternalStorageResponse.t/0","ref":"ExStreamClient.Model.CheckExternalStorageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CheckPushRequest","title":"ExStreamClient.Model.CheckPushRequest","ref":"ExStreamClient.Model.CheckPushRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CheckPushRequest.decode/1","ref":"ExStreamClient.Model.CheckPushRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CheckPushRequest.nested_components/0","ref":"ExStreamClient.Model.CheckPushRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CheckPushRequest.t/0","ref":"ExStreamClient.Model.CheckPushRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CheckPushResponse","title":"ExStreamClient.Model.CheckPushResponse","ref":"ExStreamClient.Model.CheckPushResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CheckPushResponse.decode/1","ref":"ExStreamClient.Model.CheckPushResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CheckPushResponse.nested_components/0","ref":"ExStreamClient.Model.CheckPushResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CheckPushResponse.t/0","ref":"ExStreamClient.Model.CheckPushResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CheckRequest","title":"ExStreamClient.Model.CheckRequest","ref":"ExStreamClient.Model.CheckRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CheckRequest.decode/1","ref":"ExStreamClient.Model.CheckRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CheckRequest.nested_components/0","ref":"ExStreamClient.Model.CheckRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CheckRequest.t/0","ref":"ExStreamClient.Model.CheckRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CheckResponse","title":"ExStreamClient.Model.CheckResponse","ref":"ExStreamClient.Model.CheckResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CheckResponse.decode/1","ref":"ExStreamClient.Model.CheckResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CheckResponse.nested_components/0","ref":"ExStreamClient.Model.CheckResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CheckResponse.t/0","ref":"ExStreamClient.Model.CheckResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CheckSNSRequest","title":"ExStreamClient.Model.CheckSNSRequest","ref":"ExStreamClient.Model.CheckSNSRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CheckSNSRequest.decode/1","ref":"ExStreamClient.Model.CheckSNSRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CheckSNSRequest.nested_components/0","ref":"ExStreamClient.Model.CheckSNSRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CheckSNSRequest.t/0","ref":"ExStreamClient.Model.CheckSNSRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CheckSNSResponse","title":"ExStreamClient.Model.CheckSNSResponse","ref":"ExStreamClient.Model.CheckSNSResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CheckSNSResponse.decode/1","ref":"ExStreamClient.Model.CheckSNSResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CheckSNSResponse.nested_components/0","ref":"ExStreamClient.Model.CheckSNSResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CheckSNSResponse.t/0","ref":"ExStreamClient.Model.CheckSNSResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CheckSQSRequest","title":"ExStreamClient.Model.CheckSQSRequest","ref":"ExStreamClient.Model.CheckSQSRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CheckSQSRequest.decode/1","ref":"ExStreamClient.Model.CheckSQSRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CheckSQSRequest.nested_components/0","ref":"ExStreamClient.Model.CheckSQSRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CheckSQSRequest.t/0","ref":"ExStreamClient.Model.CheckSQSRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CheckSQSResponse","title":"ExStreamClient.Model.CheckSQSResponse","ref":"ExStreamClient.Model.CheckSQSResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CheckSQSResponse.decode/1","ref":"ExStreamClient.Model.CheckSQSResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CheckSQSResponse.nested_components/0","ref":"ExStreamClient.Model.CheckSQSResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CheckSQSResponse.t/0","ref":"ExStreamClient.Model.CheckSQSResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a Command","title":"ExStreamClient.Model.Command","ref":"ExStreamClient.Model.Command.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Command.decode/1","ref":"ExStreamClient.Model.Command.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Command.nested_components/0","ref":"ExStreamClient.Model.Command.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Command.t/0","ref":"ExStreamClient.Model.Command.html#t:t/0"},{"type":"module","doc":"Schema representing a CommitMessageRequest","title":"ExStreamClient.Model.CommitMessageRequest","ref":"ExStreamClient.Model.CommitMessageRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CommitMessageRequest.decode/1","ref":"ExStreamClient.Model.CommitMessageRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CommitMessageRequest.nested_components/0","ref":"ExStreamClient.Model.CommitMessageRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CommitMessageRequest.t/0","ref":"ExStreamClient.Model.CommitMessageRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CompositeAppSettings","title":"ExStreamClient.Model.CompositeAppSettings","ref":"ExStreamClient.Model.CompositeAppSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CompositeAppSettings.decode/1","ref":"ExStreamClient.Model.CompositeAppSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CompositeAppSettings.nested_components/0","ref":"ExStreamClient.Model.CompositeAppSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CompositeAppSettings.t/0","ref":"ExStreamClient.Model.CompositeAppSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a ConfigOverrides","title":"ExStreamClient.Model.ConfigOverrides","ref":"ExStreamClient.Model.ConfigOverrides.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ConfigOverrides.decode/1","ref":"ExStreamClient.Model.ConfigOverrides.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ConfigOverrides.nested_components/0","ref":"ExStreamClient.Model.ConfigOverrides.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ConfigOverrides.t/0","ref":"ExStreamClient.Model.ConfigOverrides.html#t:t/0"},{"type":"module","doc":"Schema representing a ConfigResponse","title":"ExStreamClient.Model.ConfigResponse","ref":"ExStreamClient.Model.ConfigResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ConfigResponse.decode/1","ref":"ExStreamClient.Model.ConfigResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ConfigResponse.nested_components/0","ref":"ExStreamClient.Model.ConfigResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ConfigResponse.t/0","ref":"ExStreamClient.Model.ConfigResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateBlockListRequest","title":"ExStreamClient.Model.CreateBlockListRequest","ref":"ExStreamClient.Model.CreateBlockListRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateBlockListRequest.decode/1","ref":"ExStreamClient.Model.CreateBlockListRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateBlockListRequest.nested_components/0","ref":"ExStreamClient.Model.CreateBlockListRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateBlockListRequest.t/0","ref":"ExStreamClient.Model.CreateBlockListRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateBlockListResponse","title":"ExStreamClient.Model.CreateBlockListResponse","ref":"ExStreamClient.Model.CreateBlockListResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateBlockListResponse.decode/1","ref":"ExStreamClient.Model.CreateBlockListResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateBlockListResponse.nested_components/0","ref":"ExStreamClient.Model.CreateBlockListResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateBlockListResponse.t/0","ref":"ExStreamClient.Model.CreateBlockListResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateChannelTypeRequest","title":"ExStreamClient.Model.CreateChannelTypeRequest","ref":"ExStreamClient.Model.CreateChannelTypeRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateChannelTypeRequest.decode/1","ref":"ExStreamClient.Model.CreateChannelTypeRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateChannelTypeRequest.nested_components/0","ref":"ExStreamClient.Model.CreateChannelTypeRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateChannelTypeRequest.t/0","ref":"ExStreamClient.Model.CreateChannelTypeRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateChannelTypeResponse","title":"ExStreamClient.Model.CreateChannelTypeResponse","ref":"ExStreamClient.Model.CreateChannelTypeResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateChannelTypeResponse.decode/1","ref":"ExStreamClient.Model.CreateChannelTypeResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateChannelTypeResponse.nested_components/0","ref":"ExStreamClient.Model.CreateChannelTypeResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateChannelTypeResponse.t/0","ref":"ExStreamClient.Model.CreateChannelTypeResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateCommandRequest","title":"ExStreamClient.Model.CreateCommandRequest","ref":"ExStreamClient.Model.CreateCommandRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateCommandRequest.decode/1","ref":"ExStreamClient.Model.CreateCommandRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateCommandRequest.nested_components/0","ref":"ExStreamClient.Model.CreateCommandRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateCommandRequest.t/0","ref":"ExStreamClient.Model.CreateCommandRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateCommandResponse","title":"ExStreamClient.Model.CreateCommandResponse","ref":"ExStreamClient.Model.CreateCommandResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateCommandResponse.decode/1","ref":"ExStreamClient.Model.CreateCommandResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateCommandResponse.nested_components/0","ref":"ExStreamClient.Model.CreateCommandResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateCommandResponse.t/0","ref":"ExStreamClient.Model.CreateCommandResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateDeviceRequest","title":"ExStreamClient.Model.CreateDeviceRequest","ref":"ExStreamClient.Model.CreateDeviceRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateDeviceRequest.decode/1","ref":"ExStreamClient.Model.CreateDeviceRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateDeviceRequest.nested_components/0","ref":"ExStreamClient.Model.CreateDeviceRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateDeviceRequest.t/0","ref":"ExStreamClient.Model.CreateDeviceRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateExternalStorageRequest","title":"ExStreamClient.Model.CreateExternalStorageRequest","ref":"ExStreamClient.Model.CreateExternalStorageRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateExternalStorageRequest.decode/1","ref":"ExStreamClient.Model.CreateExternalStorageRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateExternalStorageRequest.nested_components/0","ref":"ExStreamClient.Model.CreateExternalStorageRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateExternalStorageRequest.t/0","ref":"ExStreamClient.Model.CreateExternalStorageRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateExternalStorageResponse","title":"ExStreamClient.Model.CreateExternalStorageResponse","ref":"ExStreamClient.Model.CreateExternalStorageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateExternalStorageResponse.decode/1","ref":"ExStreamClient.Model.CreateExternalStorageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateExternalStorageResponse.nested_components/0","ref":"ExStreamClient.Model.CreateExternalStorageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateExternalStorageResponse.t/0","ref":"ExStreamClient.Model.CreateExternalStorageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateGuestRequest","title":"ExStreamClient.Model.CreateGuestRequest","ref":"ExStreamClient.Model.CreateGuestRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateGuestRequest.decode/1","ref":"ExStreamClient.Model.CreateGuestRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateGuestRequest.nested_components/0","ref":"ExStreamClient.Model.CreateGuestRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateGuestRequest.t/0","ref":"ExStreamClient.Model.CreateGuestRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateGuestResponse","title":"ExStreamClient.Model.CreateGuestResponse","ref":"ExStreamClient.Model.CreateGuestResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateGuestResponse.decode/1","ref":"ExStreamClient.Model.CreateGuestResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateGuestResponse.nested_components/0","ref":"ExStreamClient.Model.CreateGuestResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateGuestResponse.t/0","ref":"ExStreamClient.Model.CreateGuestResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateImportRequest","title":"ExStreamClient.Model.CreateImportRequest","ref":"ExStreamClient.Model.CreateImportRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateImportRequest.decode/1","ref":"ExStreamClient.Model.CreateImportRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateImportRequest.nested_components/0","ref":"ExStreamClient.Model.CreateImportRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateImportRequest.t/0","ref":"ExStreamClient.Model.CreateImportRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateImportResponse","title":"ExStreamClient.Model.CreateImportResponse","ref":"ExStreamClient.Model.CreateImportResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateImportResponse.decode/1","ref":"ExStreamClient.Model.CreateImportResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateImportResponse.nested_components/0","ref":"ExStreamClient.Model.CreateImportResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateImportResponse.t/0","ref":"ExStreamClient.Model.CreateImportResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateImportURLRequest","title":"ExStreamClient.Model.CreateImportURLRequest","ref":"ExStreamClient.Model.CreateImportURLRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateImportURLRequest.decode/1","ref":"ExStreamClient.Model.CreateImportURLRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateImportURLRequest.nested_components/0","ref":"ExStreamClient.Model.CreateImportURLRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateImportURLRequest.t/0","ref":"ExStreamClient.Model.CreateImportURLRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateImportURLResponse","title":"ExStreamClient.Model.CreateImportURLResponse","ref":"ExStreamClient.Model.CreateImportURLResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateImportURLResponse.decode/1","ref":"ExStreamClient.Model.CreateImportURLResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateImportURLResponse.nested_components/0","ref":"ExStreamClient.Model.CreateImportURLResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateImportURLResponse.t/0","ref":"ExStreamClient.Model.CreateImportURLResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CreatePollOptionRequest","title":"ExStreamClient.Model.CreatePollOptionRequest","ref":"ExStreamClient.Model.CreatePollOptionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreatePollOptionRequest.decode/1","ref":"ExStreamClient.Model.CreatePollOptionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreatePollOptionRequest.nested_components/0","ref":"ExStreamClient.Model.CreatePollOptionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreatePollOptionRequest.t/0","ref":"ExStreamClient.Model.CreatePollOptionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CreatePollRequest","title":"ExStreamClient.Model.CreatePollRequest","ref":"ExStreamClient.Model.CreatePollRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreatePollRequest.decode/1","ref":"ExStreamClient.Model.CreatePollRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreatePollRequest.nested_components/0","ref":"ExStreamClient.Model.CreatePollRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreatePollRequest.t/0","ref":"ExStreamClient.Model.CreatePollRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateRoleRequest","title":"ExStreamClient.Model.CreateRoleRequest","ref":"ExStreamClient.Model.CreateRoleRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateRoleRequest.decode/1","ref":"ExStreamClient.Model.CreateRoleRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateRoleRequest.nested_components/0","ref":"ExStreamClient.Model.CreateRoleRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateRoleRequest.t/0","ref":"ExStreamClient.Model.CreateRoleRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CreateRoleResponse","title":"ExStreamClient.Model.CreateRoleResponse","ref":"ExStreamClient.Model.CreateRoleResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CreateRoleResponse.decode/1","ref":"ExStreamClient.Model.CreateRoleResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CreateRoleResponse.nested_components/0","ref":"ExStreamClient.Model.CreateRoleResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CreateRoleResponse.t/0","ref":"ExStreamClient.Model.CreateRoleResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a CustomActionRequest","title":"ExStreamClient.Model.CustomActionRequest","ref":"ExStreamClient.Model.CustomActionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CustomActionRequest.decode/1","ref":"ExStreamClient.Model.CustomActionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CustomActionRequest.nested_components/0","ref":"ExStreamClient.Model.CustomActionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CustomActionRequest.t/0","ref":"ExStreamClient.Model.CustomActionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CustomCheckFlag","title":"ExStreamClient.Model.CustomCheckFlag","ref":"ExStreamClient.Model.CustomCheckFlag.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CustomCheckFlag.decode/1","ref":"ExStreamClient.Model.CustomCheckFlag.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CustomCheckFlag.nested_components/0","ref":"ExStreamClient.Model.CustomCheckFlag.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CustomCheckFlag.t/0","ref":"ExStreamClient.Model.CustomCheckFlag.html#t:t/0"},{"type":"module","doc":"Schema representing a CustomCheckRequest","title":"ExStreamClient.Model.CustomCheckRequest","ref":"ExStreamClient.Model.CustomCheckRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CustomCheckRequest.decode/1","ref":"ExStreamClient.Model.CustomCheckRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CustomCheckRequest.nested_components/0","ref":"ExStreamClient.Model.CustomCheckRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CustomCheckRequest.t/0","ref":"ExStreamClient.Model.CustomCheckRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a CustomCheckResponse","title":"ExStreamClient.Model.CustomCheckResponse","ref":"ExStreamClient.Model.CustomCheckResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.CustomCheckResponse.decode/1","ref":"ExStreamClient.Model.CustomCheckResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.CustomCheckResponse.nested_components/0","ref":"ExStreamClient.Model.CustomCheckResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.CustomCheckResponse.t/0","ref":"ExStreamClient.Model.CustomCheckResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a Data","title":"ExStreamClient.Model.Data","ref":"ExStreamClient.Model.Data.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Data.decode/1","ref":"ExStreamClient.Model.Data.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Data.nested_components/0","ref":"ExStreamClient.Model.Data.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Data.t/0","ref":"ExStreamClient.Model.Data.html#t:t/0"},{"type":"module","doc":"Schema representing a DataDogInfo","title":"ExStreamClient.Model.DataDogInfo","ref":"ExStreamClient.Model.DataDogInfo.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DataDogInfo.decode/1","ref":"ExStreamClient.Model.DataDogInfo.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DataDogInfo.nested_components/0","ref":"ExStreamClient.Model.DataDogInfo.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DataDogInfo.t/0","ref":"ExStreamClient.Model.DataDogInfo.html#t:t/0"},{"type":"module","doc":"Schema representing a DeactivateUserRequest","title":"ExStreamClient.Model.DeactivateUserRequest","ref":"ExStreamClient.Model.DeactivateUserRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeactivateUserRequest.decode/1","ref":"ExStreamClient.Model.DeactivateUserRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeactivateUserRequest.nested_components/0","ref":"ExStreamClient.Model.DeactivateUserRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeactivateUserRequest.t/0","ref":"ExStreamClient.Model.DeactivateUserRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a DeactivateUserResponse","title":"ExStreamClient.Model.DeactivateUserResponse","ref":"ExStreamClient.Model.DeactivateUserResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeactivateUserResponse.decode/1","ref":"ExStreamClient.Model.DeactivateUserResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeactivateUserResponse.nested_components/0","ref":"ExStreamClient.Model.DeactivateUserResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeactivateUserResponse.t/0","ref":"ExStreamClient.Model.DeactivateUserResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DeactivateUsersRequest","title":"ExStreamClient.Model.DeactivateUsersRequest","ref":"ExStreamClient.Model.DeactivateUsersRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeactivateUsersRequest.decode/1","ref":"ExStreamClient.Model.DeactivateUsersRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeactivateUsersRequest.nested_components/0","ref":"ExStreamClient.Model.DeactivateUsersRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeactivateUsersRequest.t/0","ref":"ExStreamClient.Model.DeactivateUsersRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a DeactivateUsersResponse","title":"ExStreamClient.Model.DeactivateUsersResponse","ref":"ExStreamClient.Model.DeactivateUsersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeactivateUsersResponse.decode/1","ref":"ExStreamClient.Model.DeactivateUsersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeactivateUsersResponse.nested_components/0","ref":"ExStreamClient.Model.DeactivateUsersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeactivateUsersResponse.t/0","ref":"ExStreamClient.Model.DeactivateUsersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteActivityRequest","title":"ExStreamClient.Model.DeleteActivityRequest","ref":"ExStreamClient.Model.DeleteActivityRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteActivityRequest.decode/1","ref":"ExStreamClient.Model.DeleteActivityRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteActivityRequest.nested_components/0","ref":"ExStreamClient.Model.DeleteActivityRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteActivityRequest.t/0","ref":"ExStreamClient.Model.DeleteActivityRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteChannelResponse","title":"ExStreamClient.Model.DeleteChannelResponse","ref":"ExStreamClient.Model.DeleteChannelResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteChannelResponse.decode/1","ref":"ExStreamClient.Model.DeleteChannelResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteChannelResponse.nested_components/0","ref":"ExStreamClient.Model.DeleteChannelResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteChannelResponse.t/0","ref":"ExStreamClient.Model.DeleteChannelResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteChannelsRequest","title":"ExStreamClient.Model.DeleteChannelsRequest","ref":"ExStreamClient.Model.DeleteChannelsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteChannelsRequest.decode/1","ref":"ExStreamClient.Model.DeleteChannelsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteChannelsRequest.nested_components/0","ref":"ExStreamClient.Model.DeleteChannelsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteChannelsRequest.t/0","ref":"ExStreamClient.Model.DeleteChannelsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteChannelsResponse","title":"ExStreamClient.Model.DeleteChannelsResponse","ref":"ExStreamClient.Model.DeleteChannelsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteChannelsResponse.decode/1","ref":"ExStreamClient.Model.DeleteChannelsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteChannelsResponse.nested_components/0","ref":"ExStreamClient.Model.DeleteChannelsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteChannelsResponse.t/0","ref":"ExStreamClient.Model.DeleteChannelsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteChannelsResultResponse","title":"ExStreamClient.Model.DeleteChannelsResultResponse","ref":"ExStreamClient.Model.DeleteChannelsResultResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteChannelsResultResponse.decode/1","ref":"ExStreamClient.Model.DeleteChannelsResultResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteChannelsResultResponse.nested_components/0","ref":"ExStreamClient.Model.DeleteChannelsResultResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteChannelsResultResponse.t/0","ref":"ExStreamClient.Model.DeleteChannelsResultResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteCommandResponse","title":"ExStreamClient.Model.DeleteCommandResponse","ref":"ExStreamClient.Model.DeleteCommandResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteCommandResponse.decode/1","ref":"ExStreamClient.Model.DeleteCommandResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteCommandResponse.nested_components/0","ref":"ExStreamClient.Model.DeleteCommandResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteCommandResponse.t/0","ref":"ExStreamClient.Model.DeleteCommandResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteExternalStorageResponse","title":"ExStreamClient.Model.DeleteExternalStorageResponse","ref":"ExStreamClient.Model.DeleteExternalStorageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteExternalStorageResponse.decode/1","ref":"ExStreamClient.Model.DeleteExternalStorageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteExternalStorageResponse.nested_components/0","ref":"ExStreamClient.Model.DeleteExternalStorageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteExternalStorageResponse.t/0","ref":"ExStreamClient.Model.DeleteExternalStorageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteMessageRequest","title":"ExStreamClient.Model.DeleteMessageRequest","ref":"ExStreamClient.Model.DeleteMessageRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteMessageRequest.decode/1","ref":"ExStreamClient.Model.DeleteMessageRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteMessageRequest.nested_components/0","ref":"ExStreamClient.Model.DeleteMessageRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteMessageRequest.t/0","ref":"ExStreamClient.Model.DeleteMessageRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteMessageResponse","title":"ExStreamClient.Model.DeleteMessageResponse","ref":"ExStreamClient.Model.DeleteMessageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteMessageResponse.decode/1","ref":"ExStreamClient.Model.DeleteMessageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteMessageResponse.nested_components/0","ref":"ExStreamClient.Model.DeleteMessageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteMessageResponse.t/0","ref":"ExStreamClient.Model.DeleteMessageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteModerationConfigResponse","title":"ExStreamClient.Model.DeleteModerationConfigResponse","ref":"ExStreamClient.Model.DeleteModerationConfigResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteModerationConfigResponse.decode/1","ref":"ExStreamClient.Model.DeleteModerationConfigResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteModerationConfigResponse.nested_components/0","ref":"ExStreamClient.Model.DeleteModerationConfigResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteModerationConfigResponse.t/0","ref":"ExStreamClient.Model.DeleteModerationConfigResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteModerationTemplateResponse","title":"ExStreamClient.Model.DeleteModerationTemplateResponse","ref":"ExStreamClient.Model.DeleteModerationTemplateResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteModerationTemplateResponse.decode/1","ref":"ExStreamClient.Model.DeleteModerationTemplateResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteModerationTemplateResponse.nested_components/0","ref":"ExStreamClient.Model.DeleteModerationTemplateResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteModerationTemplateResponse.t/0","ref":"ExStreamClient.Model.DeleteModerationTemplateResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteReactionRequest","title":"ExStreamClient.Model.DeleteReactionRequest","ref":"ExStreamClient.Model.DeleteReactionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteReactionRequest.decode/1","ref":"ExStreamClient.Model.DeleteReactionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteReactionRequest.nested_components/0","ref":"ExStreamClient.Model.DeleteReactionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteReactionRequest.t/0","ref":"ExStreamClient.Model.DeleteReactionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteReactionResponse","title":"ExStreamClient.Model.DeleteReactionResponse","ref":"ExStreamClient.Model.DeleteReactionResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteReactionResponse.decode/1","ref":"ExStreamClient.Model.DeleteReactionResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteReactionResponse.nested_components/0","ref":"ExStreamClient.Model.DeleteReactionResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteReactionResponse.t/0","ref":"ExStreamClient.Model.DeleteReactionResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteSegmentTargetsRequest","title":"ExStreamClient.Model.DeleteSegmentTargetsRequest","ref":"ExStreamClient.Model.DeleteSegmentTargetsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteSegmentTargetsRequest.decode/1","ref":"ExStreamClient.Model.DeleteSegmentTargetsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteSegmentTargetsRequest.nested_components/0","ref":"ExStreamClient.Model.DeleteSegmentTargetsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteSegmentTargetsRequest.t/0","ref":"ExStreamClient.Model.DeleteSegmentTargetsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteUserRequest","title":"ExStreamClient.Model.DeleteUserRequest","ref":"ExStreamClient.Model.DeleteUserRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteUserRequest.decode/1","ref":"ExStreamClient.Model.DeleteUserRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteUserRequest.nested_components/0","ref":"ExStreamClient.Model.DeleteUserRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteUserRequest.t/0","ref":"ExStreamClient.Model.DeleteUserRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteUsersRequest","title":"ExStreamClient.Model.DeleteUsersRequest","ref":"ExStreamClient.Model.DeleteUsersRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteUsersRequest.decode/1","ref":"ExStreamClient.Model.DeleteUsersRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteUsersRequest.nested_components/0","ref":"ExStreamClient.Model.DeleteUsersRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteUsersRequest.t/0","ref":"ExStreamClient.Model.DeleteUsersRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a DeleteUsersResponse","title":"ExStreamClient.Model.DeleteUsersResponse","ref":"ExStreamClient.Model.DeleteUsersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeleteUsersResponse.decode/1","ref":"ExStreamClient.Model.DeleteUsersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeleteUsersResponse.nested_components/0","ref":"ExStreamClient.Model.DeleteUsersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeleteUsersResponse.t/0","ref":"ExStreamClient.Model.DeleteUsersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a Device","title":"ExStreamClient.Model.Device","ref":"ExStreamClient.Model.Device.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Device.decode/1","ref":"ExStreamClient.Model.Device.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Device.nested_components/0","ref":"ExStreamClient.Model.Device.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Device.t/0","ref":"ExStreamClient.Model.Device.html#t:t/0"},{"type":"module","doc":"Schema representing a DeviceErrorInfo","title":"ExStreamClient.Model.DeviceErrorInfo","ref":"ExStreamClient.Model.DeviceErrorInfo.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeviceErrorInfo.decode/1","ref":"ExStreamClient.Model.DeviceErrorInfo.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeviceErrorInfo.nested_components/0","ref":"ExStreamClient.Model.DeviceErrorInfo.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeviceErrorInfo.t/0","ref":"ExStreamClient.Model.DeviceErrorInfo.html#t:t/0"},{"type":"module","doc":"Schema representing a DeviceResponse","title":"ExStreamClient.Model.DeviceResponse","ref":"ExStreamClient.Model.DeviceResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DeviceResponse.decode/1","ref":"ExStreamClient.Model.DeviceResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DeviceResponse.nested_components/0","ref":"ExStreamClient.Model.DeviceResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DeviceResponse.t/0","ref":"ExStreamClient.Model.DeviceResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DraftPayloadResponse","title":"ExStreamClient.Model.DraftPayloadResponse","ref":"ExStreamClient.Model.DraftPayloadResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DraftPayloadResponse.decode/1","ref":"ExStreamClient.Model.DraftPayloadResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DraftPayloadResponse.nested_components/0","ref":"ExStreamClient.Model.DraftPayloadResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DraftPayloadResponse.t/0","ref":"ExStreamClient.Model.DraftPayloadResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a DraftResponse","title":"ExStreamClient.Model.DraftResponse","ref":"ExStreamClient.Model.DraftResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.DraftResponse.decode/1","ref":"ExStreamClient.Model.DraftResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.DraftResponse.nested_components/0","ref":"ExStreamClient.Model.DraftResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.DraftResponse.t/0","ref":"ExStreamClient.Model.DraftResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a EgressHLSResponse","title":"ExStreamClient.Model.EgressHLSResponse","ref":"ExStreamClient.Model.EgressHLSResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EgressHLSResponse.decode/1","ref":"ExStreamClient.Model.EgressHLSResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EgressHLSResponse.nested_components/0","ref":"ExStreamClient.Model.EgressHLSResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EgressHLSResponse.t/0","ref":"ExStreamClient.Model.EgressHLSResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a EgressRTMPResponse","title":"ExStreamClient.Model.EgressRTMPResponse","ref":"ExStreamClient.Model.EgressRTMPResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EgressRTMPResponse.decode/1","ref":"ExStreamClient.Model.EgressRTMPResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EgressRTMPResponse.nested_components/0","ref":"ExStreamClient.Model.EgressRTMPResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EgressRTMPResponse.t/0","ref":"ExStreamClient.Model.EgressRTMPResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a EgressResponse","title":"ExStreamClient.Model.EgressResponse","ref":"ExStreamClient.Model.EgressResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EgressResponse.decode/1","ref":"ExStreamClient.Model.EgressResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EgressResponse.nested_components/0","ref":"ExStreamClient.Model.EgressResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EgressResponse.t/0","ref":"ExStreamClient.Model.EgressResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a EgressTaskConfig","title":"ExStreamClient.Model.EgressTaskConfig","ref":"ExStreamClient.Model.EgressTaskConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EgressTaskConfig.decode/1","ref":"ExStreamClient.Model.EgressTaskConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EgressTaskConfig.nested_components/0","ref":"ExStreamClient.Model.EgressTaskConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EgressTaskConfig.t/0","ref":"ExStreamClient.Model.EgressTaskConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a EgressUser","title":"ExStreamClient.Model.EgressUser","ref":"ExStreamClient.Model.EgressUser.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EgressUser.decode/1","ref":"ExStreamClient.Model.EgressUser.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EgressUser.nested_components/0","ref":"ExStreamClient.Model.EgressUser.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EgressUser.t/0","ref":"ExStreamClient.Model.EgressUser.html#t:t/0"},{"type":"module","doc":"Schema representing a EnrichedActivity","title":"ExStreamClient.Model.EnrichedActivity","ref":"ExStreamClient.Model.EnrichedActivity.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EnrichedActivity.decode/1","ref":"ExStreamClient.Model.EnrichedActivity.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EnrichedActivity.nested_components/0","ref":"ExStreamClient.Model.EnrichedActivity.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EnrichedActivity.t/0","ref":"ExStreamClient.Model.EnrichedActivity.html#t:t/0"},{"type":"module","doc":"Schema representing a EnrichedReaction","title":"ExStreamClient.Model.EnrichedReaction","ref":"ExStreamClient.Model.EnrichedReaction.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EnrichedReaction.decode/1","ref":"ExStreamClient.Model.EnrichedReaction.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EnrichedReaction.nested_components/0","ref":"ExStreamClient.Model.EnrichedReaction.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EnrichedReaction.t/0","ref":"ExStreamClient.Model.EnrichedReaction.html#t:t/0"},{"type":"module","doc":"Schema representing a EntityCreator","title":"ExStreamClient.Model.EntityCreator","ref":"ExStreamClient.Model.EntityCreator.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EntityCreator.decode/1","ref":"ExStreamClient.Model.EntityCreator.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EntityCreator.nested_components/0","ref":"ExStreamClient.Model.EntityCreator.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EntityCreator.t/0","ref":"ExStreamClient.Model.EntityCreator.html#t:t/0"},{"type":"module","doc":"Schema representing a EntityCreatorResponse","title":"ExStreamClient.Model.EntityCreatorResponse","ref":"ExStreamClient.Model.EntityCreatorResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EntityCreatorResponse.decode/1","ref":"ExStreamClient.Model.EntityCreatorResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EntityCreatorResponse.nested_components/0","ref":"ExStreamClient.Model.EntityCreatorResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EntityCreatorResponse.t/0","ref":"ExStreamClient.Model.EntityCreatorResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ErrorResult","title":"ExStreamClient.Model.ErrorResult","ref":"ExStreamClient.Model.ErrorResult.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ErrorResult.decode/1","ref":"ExStreamClient.Model.ErrorResult.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ErrorResult.nested_components/0","ref":"ExStreamClient.Model.ErrorResult.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ErrorResult.t/0","ref":"ExStreamClient.Model.ErrorResult.html#t:t/0"},{"type":"module","doc":"Schema representing a EventHook","title":"ExStreamClient.Model.EventHook","ref":"ExStreamClient.Model.EventHook.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EventHook.decode/1","ref":"ExStreamClient.Model.EventHook.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EventHook.nested_components/0","ref":"ExStreamClient.Model.EventHook.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EventHook.t/0","ref":"ExStreamClient.Model.EventHook.html#t:t/0"},{"type":"module","doc":"Schema representing a EventNotificationSettings","title":"ExStreamClient.Model.EventNotificationSettings","ref":"ExStreamClient.Model.EventNotificationSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EventNotificationSettings.decode/1","ref":"ExStreamClient.Model.EventNotificationSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EventNotificationSettings.nested_components/0","ref":"ExStreamClient.Model.EventNotificationSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EventNotificationSettings.t/0","ref":"ExStreamClient.Model.EventNotificationSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a EventRequest","title":"ExStreamClient.Model.EventRequest","ref":"ExStreamClient.Model.EventRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EventRequest.decode/1","ref":"ExStreamClient.Model.EventRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EventRequest.nested_components/0","ref":"ExStreamClient.Model.EventRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EventRequest.t/0","ref":"ExStreamClient.Model.EventRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a EventResponse","title":"ExStreamClient.Model.EventResponse","ref":"ExStreamClient.Model.EventResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.EventResponse.decode/1","ref":"ExStreamClient.Model.EventResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.EventResponse.nested_components/0","ref":"ExStreamClient.Model.EventResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.EventResponse.t/0","ref":"ExStreamClient.Model.EventResponse.html#t:t/0"},{"type":"module","doc":"","title":"ExStreamClient.Model.EventType","ref":"ExStreamClient.Model.EventType.html"},{"type":"function","doc":"","title":"ExStreamClient.Model.EventType.from_string/1","ref":"ExStreamClient.Model.EventType.html#from_string/1"},{"type":"type","doc":"","title":"ExStreamClient.Model.EventType.t/0","ref":"ExStreamClient.Model.EventType.html#t:t/0"},{"type":"function","doc":"","title":"ExStreamClient.Model.EventType.to_string/1","ref":"ExStreamClient.Model.EventType.html#to_string/1"},{"type":"module","doc":"Schema representing a ExportChannelsRequest","title":"ExStreamClient.Model.ExportChannelsRequest","ref":"ExStreamClient.Model.ExportChannelsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ExportChannelsRequest.decode/1","ref":"ExStreamClient.Model.ExportChannelsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ExportChannelsRequest.nested_components/0","ref":"ExStreamClient.Model.ExportChannelsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ExportChannelsRequest.t/0","ref":"ExStreamClient.Model.ExportChannelsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a ExportChannelsResponse","title":"ExStreamClient.Model.ExportChannelsResponse","ref":"ExStreamClient.Model.ExportChannelsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ExportChannelsResponse.decode/1","ref":"ExStreamClient.Model.ExportChannelsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ExportChannelsResponse.nested_components/0","ref":"ExStreamClient.Model.ExportChannelsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ExportChannelsResponse.t/0","ref":"ExStreamClient.Model.ExportChannelsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ExportUserResponse","title":"ExStreamClient.Model.ExportUserResponse","ref":"ExStreamClient.Model.ExportUserResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ExportUserResponse.decode/1","ref":"ExStreamClient.Model.ExportUserResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ExportUserResponse.nested_components/0","ref":"ExStreamClient.Model.ExportUserResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ExportUserResponse.t/0","ref":"ExStreamClient.Model.ExportUserResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ExportUsersRequest","title":"ExStreamClient.Model.ExportUsersRequest","ref":"ExStreamClient.Model.ExportUsersRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ExportUsersRequest.decode/1","ref":"ExStreamClient.Model.ExportUsersRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ExportUsersRequest.nested_components/0","ref":"ExStreamClient.Model.ExportUsersRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ExportUsersRequest.t/0","ref":"ExStreamClient.Model.ExportUsersRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a ExportUsersResponse","title":"ExStreamClient.Model.ExportUsersResponse","ref":"ExStreamClient.Model.ExportUsersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ExportUsersResponse.decode/1","ref":"ExStreamClient.Model.ExportUsersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ExportUsersResponse.nested_components/0","ref":"ExStreamClient.Model.ExportUsersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ExportUsersResponse.t/0","ref":"ExStreamClient.Model.ExportUsersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ExternalStorage","title":"ExStreamClient.Model.ExternalStorage","ref":"ExStreamClient.Model.ExternalStorage.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ExternalStorage.decode/1","ref":"ExStreamClient.Model.ExternalStorage.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ExternalStorage.nested_components/0","ref":"ExStreamClient.Model.ExternalStorage.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ExternalStorage.t/0","ref":"ExStreamClient.Model.ExternalStorage.html#t:t/0"},{"type":"module","doc":"Schema representing a ExternalStorageResponse","title":"ExStreamClient.Model.ExternalStorageResponse","ref":"ExStreamClient.Model.ExternalStorageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ExternalStorageResponse.decode/1","ref":"ExStreamClient.Model.ExternalStorageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ExternalStorageResponse.nested_components/0","ref":"ExStreamClient.Model.ExternalStorageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ExternalStorageResponse.t/0","ref":"ExStreamClient.Model.ExternalStorageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a FCM","title":"ExStreamClient.Model.FCM","ref":"ExStreamClient.Model.FCM.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FCM.decode/1","ref":"ExStreamClient.Model.FCM.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FCM.nested_components/0","ref":"ExStreamClient.Model.FCM.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FCM.t/0","ref":"ExStreamClient.Model.FCM.html#t:t/0"},{"type":"module","doc":"Schema representing a FeedsModerationTemplateConfig","title":"ExStreamClient.Model.FeedsModerationTemplateConfig","ref":"ExStreamClient.Model.FeedsModerationTemplateConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FeedsModerationTemplateConfig.decode/1","ref":"ExStreamClient.Model.FeedsModerationTemplateConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FeedsModerationTemplateConfig.nested_components/0","ref":"ExStreamClient.Model.FeedsModerationTemplateConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FeedsModerationTemplateConfig.t/0","ref":"ExStreamClient.Model.FeedsModerationTemplateConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a Field","title":"ExStreamClient.Model.Field","ref":"ExStreamClient.Model.Field.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Field.decode/1","ref":"ExStreamClient.Model.Field.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Field.nested_components/0","ref":"ExStreamClient.Model.Field.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Field.t/0","ref":"ExStreamClient.Model.Field.html#t:t/0"},{"type":"module","doc":"Schema representing a FileUploadConfig","title":"ExStreamClient.Model.FileUploadConfig","ref":"ExStreamClient.Model.FileUploadConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FileUploadConfig.decode/1","ref":"ExStreamClient.Model.FileUploadConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FileUploadConfig.nested_components/0","ref":"ExStreamClient.Model.FileUploadConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FileUploadConfig.t/0","ref":"ExStreamClient.Model.FileUploadConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a FileUploadRequest","title":"ExStreamClient.Model.FileUploadRequest","ref":"ExStreamClient.Model.FileUploadRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FileUploadRequest.decode/1","ref":"ExStreamClient.Model.FileUploadRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FileUploadRequest.nested_components/0","ref":"ExStreamClient.Model.FileUploadRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FileUploadRequest.t/0","ref":"ExStreamClient.Model.FileUploadRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a FileUploadResponse","title":"ExStreamClient.Model.FileUploadResponse","ref":"ExStreamClient.Model.FileUploadResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FileUploadResponse.decode/1","ref":"ExStreamClient.Model.FileUploadResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FileUploadResponse.nested_components/0","ref":"ExStreamClient.Model.FileUploadResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FileUploadResponse.t/0","ref":"ExStreamClient.Model.FileUploadResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a FirebaseConfig","title":"ExStreamClient.Model.FirebaseConfig","ref":"ExStreamClient.Model.FirebaseConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FirebaseConfig.decode/1","ref":"ExStreamClient.Model.FirebaseConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FirebaseConfig.nested_components/0","ref":"ExStreamClient.Model.FirebaseConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FirebaseConfig.t/0","ref":"ExStreamClient.Model.FirebaseConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a FirebaseConfigFields","title":"ExStreamClient.Model.FirebaseConfigFields","ref":"ExStreamClient.Model.FirebaseConfigFields.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FirebaseConfigFields.decode/1","ref":"ExStreamClient.Model.FirebaseConfigFields.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FirebaseConfigFields.nested_components/0","ref":"ExStreamClient.Model.FirebaseConfigFields.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FirebaseConfigFields.t/0","ref":"ExStreamClient.Model.FirebaseConfigFields.html#t:t/0"},{"type":"module","doc":"Schema representing a Flag","title":"ExStreamClient.Model.Flag","ref":"ExStreamClient.Model.Flag.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Flag.decode/1","ref":"ExStreamClient.Model.Flag.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Flag.nested_components/0","ref":"ExStreamClient.Model.Flag.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Flag.t/0","ref":"ExStreamClient.Model.Flag.html#t:t/0"},{"type":"module","doc":"Schema representing a FlagDetails","title":"ExStreamClient.Model.FlagDetails","ref":"ExStreamClient.Model.FlagDetails.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FlagDetails.decode/1","ref":"ExStreamClient.Model.FlagDetails.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FlagDetails.nested_components/0","ref":"ExStreamClient.Model.FlagDetails.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FlagDetails.t/0","ref":"ExStreamClient.Model.FlagDetails.html#t:t/0"},{"type":"module","doc":"Schema representing a FlagFeedback","title":"ExStreamClient.Model.FlagFeedback","ref":"ExStreamClient.Model.FlagFeedback.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FlagFeedback.decode/1","ref":"ExStreamClient.Model.FlagFeedback.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FlagFeedback.nested_components/0","ref":"ExStreamClient.Model.FlagFeedback.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FlagFeedback.t/0","ref":"ExStreamClient.Model.FlagFeedback.html#t:t/0"},{"type":"module","doc":"Schema representing a FlagMessageDetails","title":"ExStreamClient.Model.FlagMessageDetails","ref":"ExStreamClient.Model.FlagMessageDetails.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FlagMessageDetails.decode/1","ref":"ExStreamClient.Model.FlagMessageDetails.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FlagMessageDetails.nested_components/0","ref":"ExStreamClient.Model.FlagMessageDetails.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FlagMessageDetails.t/0","ref":"ExStreamClient.Model.FlagMessageDetails.html#t:t/0"},{"type":"module","doc":"Schema representing a FlagRequest","title":"ExStreamClient.Model.FlagRequest","ref":"ExStreamClient.Model.FlagRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FlagRequest.decode/1","ref":"ExStreamClient.Model.FlagRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FlagRequest.nested_components/0","ref":"ExStreamClient.Model.FlagRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FlagRequest.t/0","ref":"ExStreamClient.Model.FlagRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a FlagResponse","title":"ExStreamClient.Model.FlagResponse","ref":"ExStreamClient.Model.FlagResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FlagResponse.decode/1","ref":"ExStreamClient.Model.FlagResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FlagResponse.nested_components/0","ref":"ExStreamClient.Model.FlagResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FlagResponse.t/0","ref":"ExStreamClient.Model.FlagResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a FlagUpdatedEvent","title":"ExStreamClient.Model.FlagUpdatedEvent","ref":"ExStreamClient.Model.FlagUpdatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FlagUpdatedEvent.decode/1","ref":"ExStreamClient.Model.FlagUpdatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FlagUpdatedEvent.nested_components/0","ref":"ExStreamClient.Model.FlagUpdatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FlagUpdatedEvent.t/0","ref":"ExStreamClient.Model.FlagUpdatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a FrameRecordSettings","title":"ExStreamClient.Model.FrameRecordSettings","ref":"ExStreamClient.Model.FrameRecordSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FrameRecordSettings.decode/1","ref":"ExStreamClient.Model.FrameRecordSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FrameRecordSettings.nested_components/0","ref":"ExStreamClient.Model.FrameRecordSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FrameRecordSettings.t/0","ref":"ExStreamClient.Model.FrameRecordSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a FrameRecordingEgressConfig","title":"ExStreamClient.Model.FrameRecordingEgressConfig","ref":"ExStreamClient.Model.FrameRecordingEgressConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FrameRecordingEgressConfig.decode/1","ref":"ExStreamClient.Model.FrameRecordingEgressConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FrameRecordingEgressConfig.nested_components/0","ref":"ExStreamClient.Model.FrameRecordingEgressConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FrameRecordingEgressConfig.t/0","ref":"ExStreamClient.Model.FrameRecordingEgressConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a FrameRecordingResponse","title":"ExStreamClient.Model.FrameRecordingResponse","ref":"ExStreamClient.Model.FrameRecordingResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FrameRecordingResponse.decode/1","ref":"ExStreamClient.Model.FrameRecordingResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FrameRecordingResponse.nested_components/0","ref":"ExStreamClient.Model.FrameRecordingResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FrameRecordingResponse.t/0","ref":"ExStreamClient.Model.FrameRecordingResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a FrameRecordingSettingsResponse","title":"ExStreamClient.Model.FrameRecordingSettingsResponse","ref":"ExStreamClient.Model.FrameRecordingSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FrameRecordingSettingsResponse.decode/1","ref":"ExStreamClient.Model.FrameRecordingSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FrameRecordingSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.FrameRecordingSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FrameRecordingSettingsResponse.t/0","ref":"ExStreamClient.Model.FrameRecordingSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a FullUserResponse","title":"ExStreamClient.Model.FullUserResponse","ref":"ExStreamClient.Model.FullUserResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.FullUserResponse.decode/1","ref":"ExStreamClient.Model.FullUserResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.FullUserResponse.nested_components/0","ref":"ExStreamClient.Model.FullUserResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.FullUserResponse.t/0","ref":"ExStreamClient.Model.FullUserResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GeofenceResponse","title":"ExStreamClient.Model.GeofenceResponse","ref":"ExStreamClient.Model.GeofenceResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GeofenceResponse.decode/1","ref":"ExStreamClient.Model.GeofenceResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GeofenceResponse.nested_components/0","ref":"ExStreamClient.Model.GeofenceResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GeofenceResponse.t/0","ref":"ExStreamClient.Model.GeofenceResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GeofenceSettings","title":"ExStreamClient.Model.GeofenceSettings","ref":"ExStreamClient.Model.GeofenceSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GeofenceSettings.decode/1","ref":"ExStreamClient.Model.GeofenceSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GeofenceSettings.nested_components/0","ref":"ExStreamClient.Model.GeofenceSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GeofenceSettings.t/0","ref":"ExStreamClient.Model.GeofenceSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a GeofenceSettingsResponse","title":"ExStreamClient.Model.GeofenceSettingsResponse","ref":"ExStreamClient.Model.GeofenceSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GeofenceSettingsResponse.decode/1","ref":"ExStreamClient.Model.GeofenceSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GeofenceSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.GeofenceSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GeofenceSettingsResponse.t/0","ref":"ExStreamClient.Model.GeofenceSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetApplicationResponse","title":"ExStreamClient.Model.GetApplicationResponse","ref":"ExStreamClient.Model.GetApplicationResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetApplicationResponse.decode/1","ref":"ExStreamClient.Model.GetApplicationResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetApplicationResponse.nested_components/0","ref":"ExStreamClient.Model.GetApplicationResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetApplicationResponse.t/0","ref":"ExStreamClient.Model.GetApplicationResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetBlockListResponse","title":"ExStreamClient.Model.GetBlockListResponse","ref":"ExStreamClient.Model.GetBlockListResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetBlockListResponse.decode/1","ref":"ExStreamClient.Model.GetBlockListResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetBlockListResponse.nested_components/0","ref":"ExStreamClient.Model.GetBlockListResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetBlockListResponse.t/0","ref":"ExStreamClient.Model.GetBlockListResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetBlockedUsersResponse","title":"ExStreamClient.Model.GetBlockedUsersResponse","ref":"ExStreamClient.Model.GetBlockedUsersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetBlockedUsersResponse.decode/1","ref":"ExStreamClient.Model.GetBlockedUsersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetBlockedUsersResponse.nested_components/0","ref":"ExStreamClient.Model.GetBlockedUsersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetBlockedUsersResponse.t/0","ref":"ExStreamClient.Model.GetBlockedUsersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetCampaignResponse","title":"ExStreamClient.Model.GetCampaignResponse","ref":"ExStreamClient.Model.GetCampaignResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetCampaignResponse.decode/1","ref":"ExStreamClient.Model.GetCampaignResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetCampaignResponse.nested_components/0","ref":"ExStreamClient.Model.GetCampaignResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetCampaignResponse.t/0","ref":"ExStreamClient.Model.GetCampaignResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetChannelTypeResponse","title":"ExStreamClient.Model.GetChannelTypeResponse","ref":"ExStreamClient.Model.GetChannelTypeResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetChannelTypeResponse.decode/1","ref":"ExStreamClient.Model.GetChannelTypeResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetChannelTypeResponse.nested_components/0","ref":"ExStreamClient.Model.GetChannelTypeResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetChannelTypeResponse.t/0","ref":"ExStreamClient.Model.GetChannelTypeResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetCommandResponse","title":"ExStreamClient.Model.GetCommandResponse","ref":"ExStreamClient.Model.GetCommandResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetCommandResponse.decode/1","ref":"ExStreamClient.Model.GetCommandResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetCommandResponse.nested_components/0","ref":"ExStreamClient.Model.GetCommandResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetCommandResponse.t/0","ref":"ExStreamClient.Model.GetCommandResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetConfigResponse","title":"ExStreamClient.Model.GetConfigResponse","ref":"ExStreamClient.Model.GetConfigResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetConfigResponse.decode/1","ref":"ExStreamClient.Model.GetConfigResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetConfigResponse.nested_components/0","ref":"ExStreamClient.Model.GetConfigResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetConfigResponse.t/0","ref":"ExStreamClient.Model.GetConfigResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetCustomPermissionResponse","title":"ExStreamClient.Model.GetCustomPermissionResponse","ref":"ExStreamClient.Model.GetCustomPermissionResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetCustomPermissionResponse.decode/1","ref":"ExStreamClient.Model.GetCustomPermissionResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetCustomPermissionResponse.nested_components/0","ref":"ExStreamClient.Model.GetCustomPermissionResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetCustomPermissionResponse.t/0","ref":"ExStreamClient.Model.GetCustomPermissionResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetDraftResponse","title":"ExStreamClient.Model.GetDraftResponse","ref":"ExStreamClient.Model.GetDraftResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetDraftResponse.decode/1","ref":"ExStreamClient.Model.GetDraftResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetDraftResponse.nested_components/0","ref":"ExStreamClient.Model.GetDraftResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetDraftResponse.t/0","ref":"ExStreamClient.Model.GetDraftResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetImportResponse","title":"ExStreamClient.Model.GetImportResponse","ref":"ExStreamClient.Model.GetImportResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetImportResponse.decode/1","ref":"ExStreamClient.Model.GetImportResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetImportResponse.nested_components/0","ref":"ExStreamClient.Model.GetImportResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetImportResponse.t/0","ref":"ExStreamClient.Model.GetImportResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetManyMessagesResponse","title":"ExStreamClient.Model.GetManyMessagesResponse","ref":"ExStreamClient.Model.GetManyMessagesResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetManyMessagesResponse.decode/1","ref":"ExStreamClient.Model.GetManyMessagesResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetManyMessagesResponse.nested_components/0","ref":"ExStreamClient.Model.GetManyMessagesResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetManyMessagesResponse.t/0","ref":"ExStreamClient.Model.GetManyMessagesResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetMessageResponse","title":"ExStreamClient.Model.GetMessageResponse","ref":"ExStreamClient.Model.GetMessageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetMessageResponse.decode/1","ref":"ExStreamClient.Model.GetMessageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetMessageResponse.nested_components/0","ref":"ExStreamClient.Model.GetMessageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetMessageResponse.t/0","ref":"ExStreamClient.Model.GetMessageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetOGResponse","title":"ExStreamClient.Model.GetOGResponse","ref":"ExStreamClient.Model.GetOGResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetOGResponse.decode/1","ref":"ExStreamClient.Model.GetOGResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetOGResponse.nested_components/0","ref":"ExStreamClient.Model.GetOGResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetOGResponse.t/0","ref":"ExStreamClient.Model.GetOGResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetPushTemplatesResponse","title":"ExStreamClient.Model.GetPushTemplatesResponse","ref":"ExStreamClient.Model.GetPushTemplatesResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetPushTemplatesResponse.decode/1","ref":"ExStreamClient.Model.GetPushTemplatesResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetPushTemplatesResponse.nested_components/0","ref":"ExStreamClient.Model.GetPushTemplatesResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetPushTemplatesResponse.t/0","ref":"ExStreamClient.Model.GetPushTemplatesResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetRateLimitsResponse","title":"ExStreamClient.Model.GetRateLimitsResponse","ref":"ExStreamClient.Model.GetRateLimitsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetRateLimitsResponse.decode/1","ref":"ExStreamClient.Model.GetRateLimitsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetRateLimitsResponse.nested_components/0","ref":"ExStreamClient.Model.GetRateLimitsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetRateLimitsResponse.t/0","ref":"ExStreamClient.Model.GetRateLimitsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetReactionsResponse","title":"ExStreamClient.Model.GetReactionsResponse","ref":"ExStreamClient.Model.GetReactionsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetReactionsResponse.decode/1","ref":"ExStreamClient.Model.GetReactionsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetReactionsResponse.nested_components/0","ref":"ExStreamClient.Model.GetReactionsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetReactionsResponse.t/0","ref":"ExStreamClient.Model.GetReactionsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetRepliesResponse","title":"ExStreamClient.Model.GetRepliesResponse","ref":"ExStreamClient.Model.GetRepliesResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetRepliesResponse.decode/1","ref":"ExStreamClient.Model.GetRepliesResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetRepliesResponse.nested_components/0","ref":"ExStreamClient.Model.GetRepliesResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetRepliesResponse.t/0","ref":"ExStreamClient.Model.GetRepliesResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetReviewQueueItemResponse","title":"ExStreamClient.Model.GetReviewQueueItemResponse","ref":"ExStreamClient.Model.GetReviewQueueItemResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetReviewQueueItemResponse.decode/1","ref":"ExStreamClient.Model.GetReviewQueueItemResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetReviewQueueItemResponse.nested_components/0","ref":"ExStreamClient.Model.GetReviewQueueItemResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetReviewQueueItemResponse.t/0","ref":"ExStreamClient.Model.GetReviewQueueItemResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetSegmentResponse","title":"ExStreamClient.Model.GetSegmentResponse","ref":"ExStreamClient.Model.GetSegmentResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetSegmentResponse.decode/1","ref":"ExStreamClient.Model.GetSegmentResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetSegmentResponse.nested_components/0","ref":"ExStreamClient.Model.GetSegmentResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetSegmentResponse.t/0","ref":"ExStreamClient.Model.GetSegmentResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetTaskResponse","title":"ExStreamClient.Model.GetTaskResponse","ref":"ExStreamClient.Model.GetTaskResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetTaskResponse.decode/1","ref":"ExStreamClient.Model.GetTaskResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetTaskResponse.nested_components/0","ref":"ExStreamClient.Model.GetTaskResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetTaskResponse.t/0","ref":"ExStreamClient.Model.GetTaskResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GetThreadResponse","title":"ExStreamClient.Model.GetThreadResponse","ref":"ExStreamClient.Model.GetThreadResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GetThreadResponse.decode/1","ref":"ExStreamClient.Model.GetThreadResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GetThreadResponse.nested_components/0","ref":"ExStreamClient.Model.GetThreadResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GetThreadResponse.t/0","ref":"ExStreamClient.Model.GetThreadResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a GoogleVisionConfig","title":"ExStreamClient.Model.GoogleVisionConfig","ref":"ExStreamClient.Model.GoogleVisionConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.GoogleVisionConfig.decode/1","ref":"ExStreamClient.Model.GoogleVisionConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.GoogleVisionConfig.nested_components/0","ref":"ExStreamClient.Model.GoogleVisionConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.GoogleVisionConfig.t/0","ref":"ExStreamClient.Model.GoogleVisionConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a HLSEgressConfig","title":"ExStreamClient.Model.HLSEgressConfig","ref":"ExStreamClient.Model.HLSEgressConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.HLSEgressConfig.decode/1","ref":"ExStreamClient.Model.HLSEgressConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.HLSEgressConfig.nested_components/0","ref":"ExStreamClient.Model.HLSEgressConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.HLSEgressConfig.t/0","ref":"ExStreamClient.Model.HLSEgressConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a HLSSettings","title":"ExStreamClient.Model.HLSSettings","ref":"ExStreamClient.Model.HLSSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.HLSSettings.decode/1","ref":"ExStreamClient.Model.HLSSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.HLSSettings.nested_components/0","ref":"ExStreamClient.Model.HLSSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.HLSSettings.t/0","ref":"ExStreamClient.Model.HLSSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a HLSSettingsResponse","title":"ExStreamClient.Model.HLSSettingsResponse","ref":"ExStreamClient.Model.HLSSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.HLSSettingsResponse.decode/1","ref":"ExStreamClient.Model.HLSSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.HLSSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.HLSSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.HLSSettingsResponse.t/0","ref":"ExStreamClient.Model.HLSSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a HarmConfig","title":"ExStreamClient.Model.HarmConfig","ref":"ExStreamClient.Model.HarmConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.HarmConfig.decode/1","ref":"ExStreamClient.Model.HarmConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.HarmConfig.nested_components/0","ref":"ExStreamClient.Model.HarmConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.HarmConfig.t/0","ref":"ExStreamClient.Model.HarmConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a HideChannelRequest","title":"ExStreamClient.Model.HideChannelRequest","ref":"ExStreamClient.Model.HideChannelRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.HideChannelRequest.decode/1","ref":"ExStreamClient.Model.HideChannelRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.HideChannelRequest.nested_components/0","ref":"ExStreamClient.Model.HideChannelRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.HideChannelRequest.t/0","ref":"ExStreamClient.Model.HideChannelRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a HideChannelResponse","title":"ExStreamClient.Model.HideChannelResponse","ref":"ExStreamClient.Model.HideChannelResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.HideChannelResponse.decode/1","ref":"ExStreamClient.Model.HideChannelResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.HideChannelResponse.nested_components/0","ref":"ExStreamClient.Model.HideChannelResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.HideChannelResponse.t/0","ref":"ExStreamClient.Model.HideChannelResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a HuaweiConfig","title":"ExStreamClient.Model.HuaweiConfig","ref":"ExStreamClient.Model.HuaweiConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.HuaweiConfig.decode/1","ref":"ExStreamClient.Model.HuaweiConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.HuaweiConfig.nested_components/0","ref":"ExStreamClient.Model.HuaweiConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.HuaweiConfig.t/0","ref":"ExStreamClient.Model.HuaweiConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a HuaweiConfigFields","title":"ExStreamClient.Model.HuaweiConfigFields","ref":"ExStreamClient.Model.HuaweiConfigFields.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.HuaweiConfigFields.decode/1","ref":"ExStreamClient.Model.HuaweiConfigFields.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.HuaweiConfigFields.nested_components/0","ref":"ExStreamClient.Model.HuaweiConfigFields.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.HuaweiConfigFields.t/0","ref":"ExStreamClient.Model.HuaweiConfigFields.html#t:t/0"},{"type":"module","doc":"Schema representing a ImageData","title":"ExStreamClient.Model.ImageData","ref":"ExStreamClient.Model.ImageData.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ImageData.decode/1","ref":"ExStreamClient.Model.ImageData.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ImageData.nested_components/0","ref":"ExStreamClient.Model.ImageData.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ImageData.t/0","ref":"ExStreamClient.Model.ImageData.html#t:t/0"},{"type":"module","doc":"Schema representing a ImageSize","title":"ExStreamClient.Model.ImageSize","ref":"ExStreamClient.Model.ImageSize.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ImageSize.decode/1","ref":"ExStreamClient.Model.ImageSize.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ImageSize.nested_components/0","ref":"ExStreamClient.Model.ImageSize.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ImageSize.t/0","ref":"ExStreamClient.Model.ImageSize.html#t:t/0"},{"type":"module","doc":"Schema representing a ImageUploadRequest","title":"ExStreamClient.Model.ImageUploadRequest","ref":"ExStreamClient.Model.ImageUploadRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ImageUploadRequest.decode/1","ref":"ExStreamClient.Model.ImageUploadRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ImageUploadRequest.nested_components/0","ref":"ExStreamClient.Model.ImageUploadRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ImageUploadRequest.t/0","ref":"ExStreamClient.Model.ImageUploadRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a ImageUploadResponse","title":"ExStreamClient.Model.ImageUploadResponse","ref":"ExStreamClient.Model.ImageUploadResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ImageUploadResponse.decode/1","ref":"ExStreamClient.Model.ImageUploadResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ImageUploadResponse.nested_components/0","ref":"ExStreamClient.Model.ImageUploadResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ImageUploadResponse.t/0","ref":"ExStreamClient.Model.ImageUploadResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a Images","title":"ExStreamClient.Model.Images","ref":"ExStreamClient.Model.Images.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Images.decode/1","ref":"ExStreamClient.Model.Images.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Images.nested_components/0","ref":"ExStreamClient.Model.Images.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Images.t/0","ref":"ExStreamClient.Model.Images.html#t:t/0"},{"type":"module","doc":"Schema representing a ImportTask","title":"ExStreamClient.Model.ImportTask","ref":"ExStreamClient.Model.ImportTask.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ImportTask.decode/1","ref":"ExStreamClient.Model.ImportTask.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ImportTask.nested_components/0","ref":"ExStreamClient.Model.ImportTask.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ImportTask.t/0","ref":"ExStreamClient.Model.ImportTask.html#t:t/0"},{"type":"module","doc":"Schema representing a ImportTaskHistory","title":"ExStreamClient.Model.ImportTaskHistory","ref":"ExStreamClient.Model.ImportTaskHistory.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ImportTaskHistory.decode/1","ref":"ExStreamClient.Model.ImportTaskHistory.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ImportTaskHistory.nested_components/0","ref":"ExStreamClient.Model.ImportTaskHistory.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ImportTaskHistory.t/0","ref":"ExStreamClient.Model.ImportTaskHistory.html#t:t/0"},{"type":"module","doc":"Schema representing a Label","title":"ExStreamClient.Model.Label","ref":"ExStreamClient.Model.Label.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Label.decode/1","ref":"ExStreamClient.Model.Label.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Label.nested_components/0","ref":"ExStreamClient.Model.Label.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Label.t/0","ref":"ExStreamClient.Model.Label.html#t:t/0"},{"type":"module","doc":"Schema representing a LabelThresholds","title":"ExStreamClient.Model.LabelThresholds","ref":"ExStreamClient.Model.LabelThresholds.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.LabelThresholds.decode/1","ref":"ExStreamClient.Model.LabelThresholds.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.LabelThresholds.nested_components/0","ref":"ExStreamClient.Model.LabelThresholds.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.LabelThresholds.t/0","ref":"ExStreamClient.Model.LabelThresholds.html#t:t/0"},{"type":"module","doc":"Schema representing a LayoutSettings","title":"ExStreamClient.Model.LayoutSettings","ref":"ExStreamClient.Model.LayoutSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.LayoutSettings.decode/1","ref":"ExStreamClient.Model.LayoutSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.LayoutSettings.nested_components/0","ref":"ExStreamClient.Model.LayoutSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.LayoutSettings.t/0","ref":"ExStreamClient.Model.LayoutSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a LayoutSettingsResponse","title":"ExStreamClient.Model.LayoutSettingsResponse","ref":"ExStreamClient.Model.LayoutSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.LayoutSettingsResponse.decode/1","ref":"ExStreamClient.Model.LayoutSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.LayoutSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.LayoutSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.LayoutSettingsResponse.t/0","ref":"ExStreamClient.Model.LayoutSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a LimitInfo","title":"ExStreamClient.Model.LimitInfo","ref":"ExStreamClient.Model.LimitInfo.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.LimitInfo.decode/1","ref":"ExStreamClient.Model.LimitInfo.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.LimitInfo.nested_components/0","ref":"ExStreamClient.Model.LimitInfo.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.LimitInfo.t/0","ref":"ExStreamClient.Model.LimitInfo.html#t:t/0"},{"type":"module","doc":"Schema representing a LimitsSettings","title":"ExStreamClient.Model.LimitsSettings","ref":"ExStreamClient.Model.LimitsSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.LimitsSettings.decode/1","ref":"ExStreamClient.Model.LimitsSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.LimitsSettings.nested_components/0","ref":"ExStreamClient.Model.LimitsSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.LimitsSettings.t/0","ref":"ExStreamClient.Model.LimitsSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a LimitsSettingsResponse","title":"ExStreamClient.Model.LimitsSettingsResponse","ref":"ExStreamClient.Model.LimitsSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.LimitsSettingsResponse.decode/1","ref":"ExStreamClient.Model.LimitsSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.LimitsSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.LimitsSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.LimitsSettingsResponse.t/0","ref":"ExStreamClient.Model.LimitsSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ListBlockListResponse","title":"ExStreamClient.Model.ListBlockListResponse","ref":"ExStreamClient.Model.ListBlockListResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ListBlockListResponse.decode/1","ref":"ExStreamClient.Model.ListBlockListResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ListBlockListResponse.nested_components/0","ref":"ExStreamClient.Model.ListBlockListResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ListBlockListResponse.t/0","ref":"ExStreamClient.Model.ListBlockListResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ListChannelTypesResponse","title":"ExStreamClient.Model.ListChannelTypesResponse","ref":"ExStreamClient.Model.ListChannelTypesResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ListChannelTypesResponse.decode/1","ref":"ExStreamClient.Model.ListChannelTypesResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ListChannelTypesResponse.nested_components/0","ref":"ExStreamClient.Model.ListChannelTypesResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ListChannelTypesResponse.t/0","ref":"ExStreamClient.Model.ListChannelTypesResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ListCommandsResponse","title":"ExStreamClient.Model.ListCommandsResponse","ref":"ExStreamClient.Model.ListCommandsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ListCommandsResponse.decode/1","ref":"ExStreamClient.Model.ListCommandsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ListCommandsResponse.nested_components/0","ref":"ExStreamClient.Model.ListCommandsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ListCommandsResponse.t/0","ref":"ExStreamClient.Model.ListCommandsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ListDevicesResponse","title":"ExStreamClient.Model.ListDevicesResponse","ref":"ExStreamClient.Model.ListDevicesResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ListDevicesResponse.decode/1","ref":"ExStreamClient.Model.ListDevicesResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ListDevicesResponse.nested_components/0","ref":"ExStreamClient.Model.ListDevicesResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ListDevicesResponse.t/0","ref":"ExStreamClient.Model.ListDevicesResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ListExternalStorageResponse","title":"ExStreamClient.Model.ListExternalStorageResponse","ref":"ExStreamClient.Model.ListExternalStorageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ListExternalStorageResponse.decode/1","ref":"ExStreamClient.Model.ListExternalStorageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ListExternalStorageResponse.nested_components/0","ref":"ExStreamClient.Model.ListExternalStorageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ListExternalStorageResponse.t/0","ref":"ExStreamClient.Model.ListExternalStorageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ListImportsResponse","title":"ExStreamClient.Model.ListImportsResponse","ref":"ExStreamClient.Model.ListImportsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ListImportsResponse.decode/1","ref":"ExStreamClient.Model.ListImportsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ListImportsResponse.nested_components/0","ref":"ExStreamClient.Model.ListImportsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ListImportsResponse.t/0","ref":"ExStreamClient.Model.ListImportsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ListPermissionsResponse","title":"ExStreamClient.Model.ListPermissionsResponse","ref":"ExStreamClient.Model.ListPermissionsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ListPermissionsResponse.decode/1","ref":"ExStreamClient.Model.ListPermissionsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ListPermissionsResponse.nested_components/0","ref":"ExStreamClient.Model.ListPermissionsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ListPermissionsResponse.t/0","ref":"ExStreamClient.Model.ListPermissionsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ListPushProvidersResponse","title":"ExStreamClient.Model.ListPushProvidersResponse","ref":"ExStreamClient.Model.ListPushProvidersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ListPushProvidersResponse.decode/1","ref":"ExStreamClient.Model.ListPushProvidersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ListPushProvidersResponse.nested_components/0","ref":"ExStreamClient.Model.ListPushProvidersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ListPushProvidersResponse.t/0","ref":"ExStreamClient.Model.ListPushProvidersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ListRolesResponse","title":"ExStreamClient.Model.ListRolesResponse","ref":"ExStreamClient.Model.ListRolesResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ListRolesResponse.decode/1","ref":"ExStreamClient.Model.ListRolesResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ListRolesResponse.nested_components/0","ref":"ExStreamClient.Model.ListRolesResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ListRolesResponse.t/0","ref":"ExStreamClient.Model.ListRolesResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a MarkChannelsReadRequest","title":"ExStreamClient.Model.MarkChannelsReadRequest","ref":"ExStreamClient.Model.MarkChannelsReadRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MarkChannelsReadRequest.decode/1","ref":"ExStreamClient.Model.MarkChannelsReadRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MarkChannelsReadRequest.nested_components/0","ref":"ExStreamClient.Model.MarkChannelsReadRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MarkChannelsReadRequest.t/0","ref":"ExStreamClient.Model.MarkChannelsReadRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a MarkReadRequest","title":"ExStreamClient.Model.MarkReadRequest","ref":"ExStreamClient.Model.MarkReadRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MarkReadRequest.decode/1","ref":"ExStreamClient.Model.MarkReadRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MarkReadRequest.nested_components/0","ref":"ExStreamClient.Model.MarkReadRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MarkReadRequest.t/0","ref":"ExStreamClient.Model.MarkReadRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a MarkReadResponse","title":"ExStreamClient.Model.MarkReadResponse","ref":"ExStreamClient.Model.MarkReadResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MarkReadResponse.decode/1","ref":"ExStreamClient.Model.MarkReadResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MarkReadResponse.nested_components/0","ref":"ExStreamClient.Model.MarkReadResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MarkReadResponse.t/0","ref":"ExStreamClient.Model.MarkReadResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a MarkReviewedRequest","title":"ExStreamClient.Model.MarkReviewedRequest","ref":"ExStreamClient.Model.MarkReviewedRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MarkReviewedRequest.decode/1","ref":"ExStreamClient.Model.MarkReviewedRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MarkReviewedRequest.nested_components/0","ref":"ExStreamClient.Model.MarkReviewedRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MarkReviewedRequest.t/0","ref":"ExStreamClient.Model.MarkReviewedRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a MarkUnreadRequest","title":"ExStreamClient.Model.MarkUnreadRequest","ref":"ExStreamClient.Model.MarkUnreadRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MarkUnreadRequest.decode/1","ref":"ExStreamClient.Model.MarkUnreadRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MarkUnreadRequest.nested_components/0","ref":"ExStreamClient.Model.MarkUnreadRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MarkUnreadRequest.t/0","ref":"ExStreamClient.Model.MarkUnreadRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a MemberAddedEvent","title":"ExStreamClient.Model.MemberAddedEvent","ref":"ExStreamClient.Model.MemberAddedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MemberAddedEvent.decode/1","ref":"ExStreamClient.Model.MemberAddedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MemberAddedEvent.nested_components/0","ref":"ExStreamClient.Model.MemberAddedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MemberAddedEvent.t/0","ref":"ExStreamClient.Model.MemberAddedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a MemberLookup","title":"ExStreamClient.Model.MemberLookup","ref":"ExStreamClient.Model.MemberLookup.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MemberLookup.decode/1","ref":"ExStreamClient.Model.MemberLookup.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MemberLookup.nested_components/0","ref":"ExStreamClient.Model.MemberLookup.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MemberLookup.t/0","ref":"ExStreamClient.Model.MemberLookup.html#t:t/0"},{"type":"module","doc":"Schema representing a MemberRemovedEvent","title":"ExStreamClient.Model.MemberRemovedEvent","ref":"ExStreamClient.Model.MemberRemovedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MemberRemovedEvent.decode/1","ref":"ExStreamClient.Model.MemberRemovedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MemberRemovedEvent.nested_components/0","ref":"ExStreamClient.Model.MemberRemovedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MemberRemovedEvent.t/0","ref":"ExStreamClient.Model.MemberRemovedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a MemberUpdatedEvent","title":"ExStreamClient.Model.MemberUpdatedEvent","ref":"ExStreamClient.Model.MemberUpdatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MemberUpdatedEvent.decode/1","ref":"ExStreamClient.Model.MemberUpdatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MemberUpdatedEvent.nested_components/0","ref":"ExStreamClient.Model.MemberUpdatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MemberUpdatedEvent.t/0","ref":"ExStreamClient.Model.MemberUpdatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a MembersResponse","title":"ExStreamClient.Model.MembersResponse","ref":"ExStreamClient.Model.MembersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MembersResponse.decode/1","ref":"ExStreamClient.Model.MembersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MembersResponse.nested_components/0","ref":"ExStreamClient.Model.MembersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MembersResponse.t/0","ref":"ExStreamClient.Model.MembersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a Message","title":"ExStreamClient.Model.Message","ref":"ExStreamClient.Model.Message.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Message.decode/1","ref":"ExStreamClient.Model.Message.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Message.nested_components/0","ref":"ExStreamClient.Model.Message.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Message.t/0","ref":"ExStreamClient.Model.Message.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageActionRequest","title":"ExStreamClient.Model.MessageActionRequest","ref":"ExStreamClient.Model.MessageActionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageActionRequest.decode/1","ref":"ExStreamClient.Model.MessageActionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageActionRequest.nested_components/0","ref":"ExStreamClient.Model.MessageActionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageActionRequest.t/0","ref":"ExStreamClient.Model.MessageActionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageChangeSet","title":"ExStreamClient.Model.MessageChangeSet","ref":"ExStreamClient.Model.MessageChangeSet.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageChangeSet.decode/1","ref":"ExStreamClient.Model.MessageChangeSet.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageChangeSet.nested_components/0","ref":"ExStreamClient.Model.MessageChangeSet.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageChangeSet.t/0","ref":"ExStreamClient.Model.MessageChangeSet.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageDeletedEvent","title":"ExStreamClient.Model.MessageDeletedEvent","ref":"ExStreamClient.Model.MessageDeletedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageDeletedEvent.decode/1","ref":"ExStreamClient.Model.MessageDeletedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageDeletedEvent.nested_components/0","ref":"ExStreamClient.Model.MessageDeletedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageDeletedEvent.t/0","ref":"ExStreamClient.Model.MessageDeletedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageFlagResponse","title":"ExStreamClient.Model.MessageFlagResponse","ref":"ExStreamClient.Model.MessageFlagResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageFlagResponse.decode/1","ref":"ExStreamClient.Model.MessageFlagResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageFlagResponse.nested_components/0","ref":"ExStreamClient.Model.MessageFlagResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageFlagResponse.t/0","ref":"ExStreamClient.Model.MessageFlagResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageFlaggedEvent","title":"ExStreamClient.Model.MessageFlaggedEvent","ref":"ExStreamClient.Model.MessageFlaggedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageFlaggedEvent.decode/1","ref":"ExStreamClient.Model.MessageFlaggedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageFlaggedEvent.nested_components/0","ref":"ExStreamClient.Model.MessageFlaggedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageFlaggedEvent.t/0","ref":"ExStreamClient.Model.MessageFlaggedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageHistoryEntryResponse","title":"ExStreamClient.Model.MessageHistoryEntryResponse","ref":"ExStreamClient.Model.MessageHistoryEntryResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageHistoryEntryResponse.decode/1","ref":"ExStreamClient.Model.MessageHistoryEntryResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageHistoryEntryResponse.nested_components/0","ref":"ExStreamClient.Model.MessageHistoryEntryResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageHistoryEntryResponse.t/0","ref":"ExStreamClient.Model.MessageHistoryEntryResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageModerationResult","title":"ExStreamClient.Model.MessageModerationResult","ref":"ExStreamClient.Model.MessageModerationResult.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageModerationResult.decode/1","ref":"ExStreamClient.Model.MessageModerationResult.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageModerationResult.nested_components/0","ref":"ExStreamClient.Model.MessageModerationResult.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageModerationResult.t/0","ref":"ExStreamClient.Model.MessageModerationResult.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageNewEvent","title":"ExStreamClient.Model.MessageNewEvent","ref":"ExStreamClient.Model.MessageNewEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageNewEvent.decode/1","ref":"ExStreamClient.Model.MessageNewEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageNewEvent.nested_components/0","ref":"ExStreamClient.Model.MessageNewEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageNewEvent.t/0","ref":"ExStreamClient.Model.MessageNewEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageOptions","title":"ExStreamClient.Model.MessageOptions","ref":"ExStreamClient.Model.MessageOptions.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageOptions.decode/1","ref":"ExStreamClient.Model.MessageOptions.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageOptions.nested_components/0","ref":"ExStreamClient.Model.MessageOptions.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageOptions.t/0","ref":"ExStreamClient.Model.MessageOptions.html#t:t/0"},{"type":"module","doc":"Schema representing a MessagePaginationParams","title":"ExStreamClient.Model.MessagePaginationParams","ref":"ExStreamClient.Model.MessagePaginationParams.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessagePaginationParams.decode/1","ref":"ExStreamClient.Model.MessagePaginationParams.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessagePaginationParams.nested_components/0","ref":"ExStreamClient.Model.MessagePaginationParams.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessagePaginationParams.t/0","ref":"ExStreamClient.Model.MessagePaginationParams.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageReadEvent","title":"ExStreamClient.Model.MessageReadEvent","ref":"ExStreamClient.Model.MessageReadEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageReadEvent.decode/1","ref":"ExStreamClient.Model.MessageReadEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageReadEvent.nested_components/0","ref":"ExStreamClient.Model.MessageReadEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageReadEvent.t/0","ref":"ExStreamClient.Model.MessageReadEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageRequest","title":"ExStreamClient.Model.MessageRequest","ref":"ExStreamClient.Model.MessageRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageRequest.decode/1","ref":"ExStreamClient.Model.MessageRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageRequest.nested_components/0","ref":"ExStreamClient.Model.MessageRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageRequest.t/0","ref":"ExStreamClient.Model.MessageRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageResponse","title":"ExStreamClient.Model.MessageResponse","ref":"ExStreamClient.Model.MessageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageResponse.decode/1","ref":"ExStreamClient.Model.MessageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageResponse.nested_components/0","ref":"ExStreamClient.Model.MessageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageResponse.t/0","ref":"ExStreamClient.Model.MessageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageUnblockedEvent","title":"ExStreamClient.Model.MessageUnblockedEvent","ref":"ExStreamClient.Model.MessageUnblockedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageUnblockedEvent.decode/1","ref":"ExStreamClient.Model.MessageUnblockedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageUnblockedEvent.nested_components/0","ref":"ExStreamClient.Model.MessageUnblockedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageUnblockedEvent.t/0","ref":"ExStreamClient.Model.MessageUnblockedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageUndeletedEvent","title":"ExStreamClient.Model.MessageUndeletedEvent","ref":"ExStreamClient.Model.MessageUndeletedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageUndeletedEvent.decode/1","ref":"ExStreamClient.Model.MessageUndeletedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageUndeletedEvent.nested_components/0","ref":"ExStreamClient.Model.MessageUndeletedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageUndeletedEvent.t/0","ref":"ExStreamClient.Model.MessageUndeletedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageUpdate","title":"ExStreamClient.Model.MessageUpdate","ref":"ExStreamClient.Model.MessageUpdate.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageUpdate.decode/1","ref":"ExStreamClient.Model.MessageUpdate.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageUpdate.nested_components/0","ref":"ExStreamClient.Model.MessageUpdate.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageUpdate.t/0","ref":"ExStreamClient.Model.MessageUpdate.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageUpdatedEvent","title":"ExStreamClient.Model.MessageUpdatedEvent","ref":"ExStreamClient.Model.MessageUpdatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageUpdatedEvent.decode/1","ref":"ExStreamClient.Model.MessageUpdatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageUpdatedEvent.nested_components/0","ref":"ExStreamClient.Model.MessageUpdatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageUpdatedEvent.t/0","ref":"ExStreamClient.Model.MessageUpdatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a MessageWithChannelResponse","title":"ExStreamClient.Model.MessageWithChannelResponse","ref":"ExStreamClient.Model.MessageWithChannelResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MessageWithChannelResponse.decode/1","ref":"ExStreamClient.Model.MessageWithChannelResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MessageWithChannelResponse.nested_components/0","ref":"ExStreamClient.Model.MessageWithChannelResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MessageWithChannelResponse.t/0","ref":"ExStreamClient.Model.MessageWithChannelResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ModerationActionConfig","title":"ExStreamClient.Model.ModerationActionConfig","ref":"ExStreamClient.Model.ModerationActionConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ModerationActionConfig.decode/1","ref":"ExStreamClient.Model.ModerationActionConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ModerationActionConfig.nested_components/0","ref":"ExStreamClient.Model.ModerationActionConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ModerationActionConfig.t/0","ref":"ExStreamClient.Model.ModerationActionConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a ModerationCheckCompletedEvent","title":"ExStreamClient.Model.ModerationCheckCompletedEvent","ref":"ExStreamClient.Model.ModerationCheckCompletedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ModerationCheckCompletedEvent.decode/1","ref":"ExStreamClient.Model.ModerationCheckCompletedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ModerationCheckCompletedEvent.nested_components/0","ref":"ExStreamClient.Model.ModerationCheckCompletedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ModerationCheckCompletedEvent.t/0","ref":"ExStreamClient.Model.ModerationCheckCompletedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ModerationCustomActionEvent","title":"ExStreamClient.Model.ModerationCustomActionEvent","ref":"ExStreamClient.Model.ModerationCustomActionEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ModerationCustomActionEvent.decode/1","ref":"ExStreamClient.Model.ModerationCustomActionEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ModerationCustomActionEvent.nested_components/0","ref":"ExStreamClient.Model.ModerationCustomActionEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ModerationCustomActionEvent.t/0","ref":"ExStreamClient.Model.ModerationCustomActionEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ModerationDashboardPreferences","title":"ExStreamClient.Model.ModerationDashboardPreferences","ref":"ExStreamClient.Model.ModerationDashboardPreferences.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ModerationDashboardPreferences.decode/1","ref":"ExStreamClient.Model.ModerationDashboardPreferences.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ModerationDashboardPreferences.nested_components/0","ref":"ExStreamClient.Model.ModerationDashboardPreferences.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ModerationDashboardPreferences.t/0","ref":"ExStreamClient.Model.ModerationDashboardPreferences.html#t:t/0"},{"type":"module","doc":"Schema representing a ModerationFlagResponse","title":"ExStreamClient.Model.ModerationFlagResponse","ref":"ExStreamClient.Model.ModerationFlagResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ModerationFlagResponse.decode/1","ref":"ExStreamClient.Model.ModerationFlagResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ModerationFlagResponse.nested_components/0","ref":"ExStreamClient.Model.ModerationFlagResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ModerationFlagResponse.t/0","ref":"ExStreamClient.Model.ModerationFlagResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ModerationFlaggedEvent","title":"ExStreamClient.Model.ModerationFlaggedEvent","ref":"ExStreamClient.Model.ModerationFlaggedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ModerationFlaggedEvent.decode/1","ref":"ExStreamClient.Model.ModerationFlaggedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ModerationFlaggedEvent.nested_components/0","ref":"ExStreamClient.Model.ModerationFlaggedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ModerationFlaggedEvent.t/0","ref":"ExStreamClient.Model.ModerationFlaggedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ModerationMarkReviewedEvent","title":"ExStreamClient.Model.ModerationMarkReviewedEvent","ref":"ExStreamClient.Model.ModerationMarkReviewedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ModerationMarkReviewedEvent.decode/1","ref":"ExStreamClient.Model.ModerationMarkReviewedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ModerationMarkReviewedEvent.nested_components/0","ref":"ExStreamClient.Model.ModerationMarkReviewedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ModerationMarkReviewedEvent.t/0","ref":"ExStreamClient.Model.ModerationMarkReviewedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ModerationPayload","title":"ExStreamClient.Model.ModerationPayload","ref":"ExStreamClient.Model.ModerationPayload.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ModerationPayload.decode/1","ref":"ExStreamClient.Model.ModerationPayload.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ModerationPayload.nested_components/0","ref":"ExStreamClient.Model.ModerationPayload.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ModerationPayload.t/0","ref":"ExStreamClient.Model.ModerationPayload.html#t:t/0"},{"type":"module","doc":"Schema representing a ModerationResponse","title":"ExStreamClient.Model.ModerationResponse","ref":"ExStreamClient.Model.ModerationResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ModerationResponse.decode/1","ref":"ExStreamClient.Model.ModerationResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ModerationResponse.nested_components/0","ref":"ExStreamClient.Model.ModerationResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ModerationResponse.t/0","ref":"ExStreamClient.Model.ModerationResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ModerationV2Response","title":"ExStreamClient.Model.ModerationV2Response","ref":"ExStreamClient.Model.ModerationV2Response.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ModerationV2Response.decode/1","ref":"ExStreamClient.Model.ModerationV2Response.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ModerationV2Response.nested_components/0","ref":"ExStreamClient.Model.ModerationV2Response.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ModerationV2Response.t/0","ref":"ExStreamClient.Model.ModerationV2Response.html#t:t/0"},{"type":"module","doc":"Schema representing a MuteChannelRequest","title":"ExStreamClient.Model.MuteChannelRequest","ref":"ExStreamClient.Model.MuteChannelRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MuteChannelRequest.decode/1","ref":"ExStreamClient.Model.MuteChannelRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MuteChannelRequest.nested_components/0","ref":"ExStreamClient.Model.MuteChannelRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MuteChannelRequest.t/0","ref":"ExStreamClient.Model.MuteChannelRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a MuteChannelResponse","title":"ExStreamClient.Model.MuteChannelResponse","ref":"ExStreamClient.Model.MuteChannelResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MuteChannelResponse.decode/1","ref":"ExStreamClient.Model.MuteChannelResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MuteChannelResponse.nested_components/0","ref":"ExStreamClient.Model.MuteChannelResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MuteChannelResponse.t/0","ref":"ExStreamClient.Model.MuteChannelResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a MuteRequest","title":"ExStreamClient.Model.MuteRequest","ref":"ExStreamClient.Model.MuteRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MuteRequest.decode/1","ref":"ExStreamClient.Model.MuteRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MuteRequest.nested_components/0","ref":"ExStreamClient.Model.MuteRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MuteRequest.t/0","ref":"ExStreamClient.Model.MuteRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a MuteResponse","title":"ExStreamClient.Model.MuteResponse","ref":"ExStreamClient.Model.MuteResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.MuteResponse.decode/1","ref":"ExStreamClient.Model.MuteResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.MuteResponse.nested_components/0","ref":"ExStreamClient.Model.MuteResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.MuteResponse.t/0","ref":"ExStreamClient.Model.MuteResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a NoiseCancellationSettings","title":"ExStreamClient.Model.NoiseCancellationSettings","ref":"ExStreamClient.Model.NoiseCancellationSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.NoiseCancellationSettings.decode/1","ref":"ExStreamClient.Model.NoiseCancellationSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.NoiseCancellationSettings.nested_components/0","ref":"ExStreamClient.Model.NoiseCancellationSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.NoiseCancellationSettings.t/0","ref":"ExStreamClient.Model.NoiseCancellationSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a NotificationMarkUnreadEvent","title":"ExStreamClient.Model.NotificationMarkUnreadEvent","ref":"ExStreamClient.Model.NotificationMarkUnreadEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.NotificationMarkUnreadEvent.decode/1","ref":"ExStreamClient.Model.NotificationMarkUnreadEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.NotificationMarkUnreadEvent.nested_components/0","ref":"ExStreamClient.Model.NotificationMarkUnreadEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.NotificationMarkUnreadEvent.t/0","ref":"ExStreamClient.Model.NotificationMarkUnreadEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a NotificationSettings","title":"ExStreamClient.Model.NotificationSettings","ref":"ExStreamClient.Model.NotificationSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.NotificationSettings.decode/1","ref":"ExStreamClient.Model.NotificationSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.NotificationSettings.nested_components/0","ref":"ExStreamClient.Model.NotificationSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.NotificationSettings.t/0","ref":"ExStreamClient.Model.NotificationSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a NullTime","title":"ExStreamClient.Model.NullTime","ref":"ExStreamClient.Model.NullTime.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.NullTime.decode/1","ref":"ExStreamClient.Model.NullTime.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.NullTime.nested_components/0","ref":"ExStreamClient.Model.NullTime.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.NullTime.t/0","ref":"ExStreamClient.Model.NullTime.html#t:t/0"},{"type":"module","doc":"Schema representing a OCRRule","title":"ExStreamClient.Model.OCRRule","ref":"ExStreamClient.Model.OCRRule.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.OCRRule.decode/1","ref":"ExStreamClient.Model.OCRRule.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.OCRRule.nested_components/0","ref":"ExStreamClient.Model.OCRRule.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.OCRRule.t/0","ref":"ExStreamClient.Model.OCRRule.html#t:t/0"},{"type":"module","doc":"Schema representing a OnlyUserID","title":"ExStreamClient.Model.OnlyUserID","ref":"ExStreamClient.Model.OnlyUserID.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.OnlyUserID.decode/1","ref":"ExStreamClient.Model.OnlyUserID.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.OnlyUserID.nested_components/0","ref":"ExStreamClient.Model.OnlyUserID.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.OnlyUserID.t/0","ref":"ExStreamClient.Model.OnlyUserID.html#t:t/0"},{"type":"module","doc":"Schema representing a OwnUser","title":"ExStreamClient.Model.OwnUser","ref":"ExStreamClient.Model.OwnUser.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.OwnUser.decode/1","ref":"ExStreamClient.Model.OwnUser.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.OwnUser.nested_components/0","ref":"ExStreamClient.Model.OwnUser.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.OwnUser.t/0","ref":"ExStreamClient.Model.OwnUser.html#t:t/0"},{"type":"module","doc":"Schema representing a OwnUserResponse","title":"ExStreamClient.Model.OwnUserResponse","ref":"ExStreamClient.Model.OwnUserResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.OwnUserResponse.decode/1","ref":"ExStreamClient.Model.OwnUserResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.OwnUserResponse.nested_components/0","ref":"ExStreamClient.Model.OwnUserResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.OwnUserResponse.t/0","ref":"ExStreamClient.Model.OwnUserResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a PagerResponse","title":"ExStreamClient.Model.PagerResponse","ref":"ExStreamClient.Model.PagerResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PagerResponse.decode/1","ref":"ExStreamClient.Model.PagerResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PagerResponse.nested_components/0","ref":"ExStreamClient.Model.PagerResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PagerResponse.t/0","ref":"ExStreamClient.Model.PagerResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a PaginationParams","title":"ExStreamClient.Model.PaginationParams","ref":"ExStreamClient.Model.PaginationParams.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PaginationParams.decode/1","ref":"ExStreamClient.Model.PaginationParams.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PaginationParams.nested_components/0","ref":"ExStreamClient.Model.PaginationParams.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PaginationParams.t/0","ref":"ExStreamClient.Model.PaginationParams.html#t:t/0"},{"type":"module","doc":"Schema representing a PendingMessageResponse","title":"ExStreamClient.Model.PendingMessageResponse","ref":"ExStreamClient.Model.PendingMessageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PendingMessageResponse.decode/1","ref":"ExStreamClient.Model.PendingMessageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PendingMessageResponse.nested_components/0","ref":"ExStreamClient.Model.PendingMessageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PendingMessageResponse.t/0","ref":"ExStreamClient.Model.PendingMessageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a Permission","title":"ExStreamClient.Model.Permission","ref":"ExStreamClient.Model.Permission.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Permission.decode/1","ref":"ExStreamClient.Model.Permission.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Permission.nested_components/0","ref":"ExStreamClient.Model.Permission.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Permission.t/0","ref":"ExStreamClient.Model.Permission.html#t:t/0"},{"type":"module","doc":"Schema representing a Policy","title":"ExStreamClient.Model.Policy","ref":"ExStreamClient.Model.Policy.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Policy.decode/1","ref":"ExStreamClient.Model.Policy.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Policy.nested_components/0","ref":"ExStreamClient.Model.Policy.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Policy.t/0","ref":"ExStreamClient.Model.Policy.html#t:t/0"},{"type":"module","doc":"Schema representing a PolicyRequest","title":"ExStreamClient.Model.PolicyRequest","ref":"ExStreamClient.Model.PolicyRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PolicyRequest.decode/1","ref":"ExStreamClient.Model.PolicyRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PolicyRequest.nested_components/0","ref":"ExStreamClient.Model.PolicyRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PolicyRequest.t/0","ref":"ExStreamClient.Model.PolicyRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a Poll","title":"ExStreamClient.Model.Poll","ref":"ExStreamClient.Model.Poll.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Poll.decode/1","ref":"ExStreamClient.Model.Poll.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Poll.nested_components/0","ref":"ExStreamClient.Model.Poll.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Poll.t/0","ref":"ExStreamClient.Model.Poll.html#t:t/0"},{"type":"module","doc":"Schema representing a PollOption","title":"ExStreamClient.Model.PollOption","ref":"ExStreamClient.Model.PollOption.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PollOption.decode/1","ref":"ExStreamClient.Model.PollOption.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PollOption.nested_components/0","ref":"ExStreamClient.Model.PollOption.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PollOption.t/0","ref":"ExStreamClient.Model.PollOption.html#t:t/0"},{"type":"module","doc":"Schema representing a PollOptionInput","title":"ExStreamClient.Model.PollOptionInput","ref":"ExStreamClient.Model.PollOptionInput.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PollOptionInput.decode/1","ref":"ExStreamClient.Model.PollOptionInput.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PollOptionInput.nested_components/0","ref":"ExStreamClient.Model.PollOptionInput.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PollOptionInput.t/0","ref":"ExStreamClient.Model.PollOptionInput.html#t:t/0"},{"type":"module","doc":"Schema representing a PollOptionRequest","title":"ExStreamClient.Model.PollOptionRequest","ref":"ExStreamClient.Model.PollOptionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PollOptionRequest.decode/1","ref":"ExStreamClient.Model.PollOptionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PollOptionRequest.nested_components/0","ref":"ExStreamClient.Model.PollOptionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PollOptionRequest.t/0","ref":"ExStreamClient.Model.PollOptionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a PollOptionResponse","title":"ExStreamClient.Model.PollOptionResponse","ref":"ExStreamClient.Model.PollOptionResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PollOptionResponse.decode/1","ref":"ExStreamClient.Model.PollOptionResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PollOptionResponse.nested_components/0","ref":"ExStreamClient.Model.PollOptionResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PollOptionResponse.t/0","ref":"ExStreamClient.Model.PollOptionResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a PollOptionResponseData","title":"ExStreamClient.Model.PollOptionResponseData","ref":"ExStreamClient.Model.PollOptionResponseData.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PollOptionResponseData.decode/1","ref":"ExStreamClient.Model.PollOptionResponseData.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PollOptionResponseData.nested_components/0","ref":"ExStreamClient.Model.PollOptionResponseData.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PollOptionResponseData.t/0","ref":"ExStreamClient.Model.PollOptionResponseData.html#t:t/0"},{"type":"module","doc":"Schema representing a PollResponse","title":"ExStreamClient.Model.PollResponse","ref":"ExStreamClient.Model.PollResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PollResponse.decode/1","ref":"ExStreamClient.Model.PollResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PollResponse.nested_components/0","ref":"ExStreamClient.Model.PollResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PollResponse.t/0","ref":"ExStreamClient.Model.PollResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a PollResponseData","title":"ExStreamClient.Model.PollResponseData","ref":"ExStreamClient.Model.PollResponseData.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PollResponseData.decode/1","ref":"ExStreamClient.Model.PollResponseData.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PollResponseData.nested_components/0","ref":"ExStreamClient.Model.PollResponseData.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PollResponseData.t/0","ref":"ExStreamClient.Model.PollResponseData.html#t:t/0"},{"type":"module","doc":"Schema representing a PollVote","title":"ExStreamClient.Model.PollVote","ref":"ExStreamClient.Model.PollVote.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PollVote.decode/1","ref":"ExStreamClient.Model.PollVote.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PollVote.nested_components/0","ref":"ExStreamClient.Model.PollVote.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PollVote.t/0","ref":"ExStreamClient.Model.PollVote.html#t:t/0"},{"type":"module","doc":"Schema representing a PollVoteResponse","title":"ExStreamClient.Model.PollVoteResponse","ref":"ExStreamClient.Model.PollVoteResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PollVoteResponse.decode/1","ref":"ExStreamClient.Model.PollVoteResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PollVoteResponse.nested_components/0","ref":"ExStreamClient.Model.PollVoteResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PollVoteResponse.t/0","ref":"ExStreamClient.Model.PollVoteResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a PollVoteResponseData","title":"ExStreamClient.Model.PollVoteResponseData","ref":"ExStreamClient.Model.PollVoteResponseData.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PollVoteResponseData.decode/1","ref":"ExStreamClient.Model.PollVoteResponseData.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PollVoteResponseData.nested_components/0","ref":"ExStreamClient.Model.PollVoteResponseData.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PollVoteResponseData.t/0","ref":"ExStreamClient.Model.PollVoteResponseData.html#t:t/0"},{"type":"module","doc":"Schema representing a PollVotesResponse","title":"ExStreamClient.Model.PollVotesResponse","ref":"ExStreamClient.Model.PollVotesResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PollVotesResponse.decode/1","ref":"ExStreamClient.Model.PollVotesResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PollVotesResponse.nested_components/0","ref":"ExStreamClient.Model.PollVotesResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PollVotesResponse.t/0","ref":"ExStreamClient.Model.PollVotesResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a PrivacySettings","title":"ExStreamClient.Model.PrivacySettings","ref":"ExStreamClient.Model.PrivacySettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PrivacySettings.decode/1","ref":"ExStreamClient.Model.PrivacySettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PrivacySettings.nested_components/0","ref":"ExStreamClient.Model.PrivacySettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PrivacySettings.t/0","ref":"ExStreamClient.Model.PrivacySettings.html#t:t/0"},{"type":"module","doc":"Schema representing a PrivacySettingsResponse","title":"ExStreamClient.Model.PrivacySettingsResponse","ref":"ExStreamClient.Model.PrivacySettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PrivacySettingsResponse.decode/1","ref":"ExStreamClient.Model.PrivacySettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PrivacySettingsResponse.nested_components/0","ref":"ExStreamClient.Model.PrivacySettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PrivacySettingsResponse.t/0","ref":"ExStreamClient.Model.PrivacySettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a PushConfig","title":"ExStreamClient.Model.PushConfig","ref":"ExStreamClient.Model.PushConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PushConfig.decode/1","ref":"ExStreamClient.Model.PushConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PushConfig.nested_components/0","ref":"ExStreamClient.Model.PushConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PushConfig.t/0","ref":"ExStreamClient.Model.PushConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a PushNotificationFields","title":"ExStreamClient.Model.PushNotificationFields","ref":"ExStreamClient.Model.PushNotificationFields.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PushNotificationFields.decode/1","ref":"ExStreamClient.Model.PushNotificationFields.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PushNotificationFields.nested_components/0","ref":"ExStreamClient.Model.PushNotificationFields.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PushNotificationFields.t/0","ref":"ExStreamClient.Model.PushNotificationFields.html#t:t/0"},{"type":"module","doc":"Schema representing a PushNotificationSettingsResponse","title":"ExStreamClient.Model.PushNotificationSettingsResponse","ref":"ExStreamClient.Model.PushNotificationSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PushNotificationSettingsResponse.decode/1","ref":"ExStreamClient.Model.PushNotificationSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PushNotificationSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.PushNotificationSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PushNotificationSettingsResponse.t/0","ref":"ExStreamClient.Model.PushNotificationSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a PushPreferenceInput","title":"ExStreamClient.Model.PushPreferenceInput","ref":"ExStreamClient.Model.PushPreferenceInput.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PushPreferenceInput.decode/1","ref":"ExStreamClient.Model.PushPreferenceInput.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PushPreferenceInput.nested_components/0","ref":"ExStreamClient.Model.PushPreferenceInput.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PushPreferenceInput.t/0","ref":"ExStreamClient.Model.PushPreferenceInput.html#t:t/0"},{"type":"module","doc":"Schema representing a PushPreferences","title":"ExStreamClient.Model.PushPreferences","ref":"ExStreamClient.Model.PushPreferences.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PushPreferences.decode/1","ref":"ExStreamClient.Model.PushPreferences.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PushPreferences.nested_components/0","ref":"ExStreamClient.Model.PushPreferences.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PushPreferences.t/0","ref":"ExStreamClient.Model.PushPreferences.html#t:t/0"},{"type":"module","doc":"Schema representing a PushProvider","title":"ExStreamClient.Model.PushProvider","ref":"ExStreamClient.Model.PushProvider.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PushProvider.decode/1","ref":"ExStreamClient.Model.PushProvider.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PushProvider.nested_components/0","ref":"ExStreamClient.Model.PushProvider.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PushProvider.t/0","ref":"ExStreamClient.Model.PushProvider.html#t:t/0"},{"type":"module","doc":"Schema representing a PushProviderResponse","title":"ExStreamClient.Model.PushProviderResponse","ref":"ExStreamClient.Model.PushProviderResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PushProviderResponse.decode/1","ref":"ExStreamClient.Model.PushProviderResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PushProviderResponse.nested_components/0","ref":"ExStreamClient.Model.PushProviderResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PushProviderResponse.t/0","ref":"ExStreamClient.Model.PushProviderResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a PushTemplate","title":"ExStreamClient.Model.PushTemplate","ref":"ExStreamClient.Model.PushTemplate.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.PushTemplate.decode/1","ref":"ExStreamClient.Model.PushTemplate.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.PushTemplate.nested_components/0","ref":"ExStreamClient.Model.PushTemplate.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.PushTemplate.t/0","ref":"ExStreamClient.Model.PushTemplate.html#t:t/0"},{"type":"module","doc":"Schema representing a Quality","title":"ExStreamClient.Model.Quality","ref":"ExStreamClient.Model.Quality.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Quality.decode/1","ref":"ExStreamClient.Model.Quality.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Quality.nested_components/0","ref":"ExStreamClient.Model.Quality.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Quality.t/0","ref":"ExStreamClient.Model.Quality.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryBannedUsersPayload","title":"ExStreamClient.Model.QueryBannedUsersPayload","ref":"ExStreamClient.Model.QueryBannedUsersPayload.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryBannedUsersPayload.decode/1","ref":"ExStreamClient.Model.QueryBannedUsersPayload.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryBannedUsersPayload.nested_components/0","ref":"ExStreamClient.Model.QueryBannedUsersPayload.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryBannedUsersPayload.t/0","ref":"ExStreamClient.Model.QueryBannedUsersPayload.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryBannedUsersResponse","title":"ExStreamClient.Model.QueryBannedUsersResponse","ref":"ExStreamClient.Model.QueryBannedUsersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryBannedUsersResponse.decode/1","ref":"ExStreamClient.Model.QueryBannedUsersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryBannedUsersResponse.nested_components/0","ref":"ExStreamClient.Model.QueryBannedUsersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryBannedUsersResponse.t/0","ref":"ExStreamClient.Model.QueryBannedUsersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryCampaignsRequest","title":"ExStreamClient.Model.QueryCampaignsRequest","ref":"ExStreamClient.Model.QueryCampaignsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryCampaignsRequest.decode/1","ref":"ExStreamClient.Model.QueryCampaignsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryCampaignsRequest.nested_components/0","ref":"ExStreamClient.Model.QueryCampaignsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryCampaignsRequest.t/0","ref":"ExStreamClient.Model.QueryCampaignsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryCampaignsResponse","title":"ExStreamClient.Model.QueryCampaignsResponse","ref":"ExStreamClient.Model.QueryCampaignsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryCampaignsResponse.decode/1","ref":"ExStreamClient.Model.QueryCampaignsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryCampaignsResponse.nested_components/0","ref":"ExStreamClient.Model.QueryCampaignsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryCampaignsResponse.t/0","ref":"ExStreamClient.Model.QueryCampaignsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryChannelsRequest","title":"ExStreamClient.Model.QueryChannelsRequest","ref":"ExStreamClient.Model.QueryChannelsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryChannelsRequest.decode/1","ref":"ExStreamClient.Model.QueryChannelsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryChannelsRequest.nested_components/0","ref":"ExStreamClient.Model.QueryChannelsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryChannelsRequest.t/0","ref":"ExStreamClient.Model.QueryChannelsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryChannelsResponse","title":"ExStreamClient.Model.QueryChannelsResponse","ref":"ExStreamClient.Model.QueryChannelsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryChannelsResponse.decode/1","ref":"ExStreamClient.Model.QueryChannelsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryChannelsResponse.nested_components/0","ref":"ExStreamClient.Model.QueryChannelsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryChannelsResponse.t/0","ref":"ExStreamClient.Model.QueryChannelsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryDraftsRequest","title":"ExStreamClient.Model.QueryDraftsRequest","ref":"ExStreamClient.Model.QueryDraftsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryDraftsRequest.decode/1","ref":"ExStreamClient.Model.QueryDraftsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryDraftsRequest.nested_components/0","ref":"ExStreamClient.Model.QueryDraftsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryDraftsRequest.t/0","ref":"ExStreamClient.Model.QueryDraftsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryDraftsResponse","title":"ExStreamClient.Model.QueryDraftsResponse","ref":"ExStreamClient.Model.QueryDraftsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryDraftsResponse.decode/1","ref":"ExStreamClient.Model.QueryDraftsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryDraftsResponse.nested_components/0","ref":"ExStreamClient.Model.QueryDraftsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryDraftsResponse.t/0","ref":"ExStreamClient.Model.QueryDraftsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryFeedModerationTemplate","title":"ExStreamClient.Model.QueryFeedModerationTemplate","ref":"ExStreamClient.Model.QueryFeedModerationTemplate.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryFeedModerationTemplate.decode/1","ref":"ExStreamClient.Model.QueryFeedModerationTemplate.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryFeedModerationTemplate.nested_components/0","ref":"ExStreamClient.Model.QueryFeedModerationTemplate.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryFeedModerationTemplate.t/0","ref":"ExStreamClient.Model.QueryFeedModerationTemplate.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryFeedModerationTemplatesResponse","title":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse","ref":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.decode/1","ref":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.nested_components/0","ref":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.t/0","ref":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryMembersPayload","title":"ExStreamClient.Model.QueryMembersPayload","ref":"ExStreamClient.Model.QueryMembersPayload.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryMembersPayload.decode/1","ref":"ExStreamClient.Model.QueryMembersPayload.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryMembersPayload.nested_components/0","ref":"ExStreamClient.Model.QueryMembersPayload.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryMembersPayload.t/0","ref":"ExStreamClient.Model.QueryMembersPayload.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryMessageFlagsPayload","title":"ExStreamClient.Model.QueryMessageFlagsPayload","ref":"ExStreamClient.Model.QueryMessageFlagsPayload.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryMessageFlagsPayload.decode/1","ref":"ExStreamClient.Model.QueryMessageFlagsPayload.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryMessageFlagsPayload.nested_components/0","ref":"ExStreamClient.Model.QueryMessageFlagsPayload.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryMessageFlagsPayload.t/0","ref":"ExStreamClient.Model.QueryMessageFlagsPayload.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryMessageFlagsResponse","title":"ExStreamClient.Model.QueryMessageFlagsResponse","ref":"ExStreamClient.Model.QueryMessageFlagsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryMessageFlagsResponse.decode/1","ref":"ExStreamClient.Model.QueryMessageFlagsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryMessageFlagsResponse.nested_components/0","ref":"ExStreamClient.Model.QueryMessageFlagsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryMessageFlagsResponse.t/0","ref":"ExStreamClient.Model.QueryMessageFlagsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryMessageHistoryRequest","title":"ExStreamClient.Model.QueryMessageHistoryRequest","ref":"ExStreamClient.Model.QueryMessageHistoryRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryMessageHistoryRequest.decode/1","ref":"ExStreamClient.Model.QueryMessageHistoryRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryMessageHistoryRequest.nested_components/0","ref":"ExStreamClient.Model.QueryMessageHistoryRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryMessageHistoryRequest.t/0","ref":"ExStreamClient.Model.QueryMessageHistoryRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryMessageHistoryResponse","title":"ExStreamClient.Model.QueryMessageHistoryResponse","ref":"ExStreamClient.Model.QueryMessageHistoryResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryMessageHistoryResponse.decode/1","ref":"ExStreamClient.Model.QueryMessageHistoryResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryMessageHistoryResponse.nested_components/0","ref":"ExStreamClient.Model.QueryMessageHistoryResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryMessageHistoryResponse.t/0","ref":"ExStreamClient.Model.QueryMessageHistoryResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryModerationConfigsRequest","title":"ExStreamClient.Model.QueryModerationConfigsRequest","ref":"ExStreamClient.Model.QueryModerationConfigsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryModerationConfigsRequest.decode/1","ref":"ExStreamClient.Model.QueryModerationConfigsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryModerationConfigsRequest.nested_components/0","ref":"ExStreamClient.Model.QueryModerationConfigsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryModerationConfigsRequest.t/0","ref":"ExStreamClient.Model.QueryModerationConfigsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryModerationConfigsResponse","title":"ExStreamClient.Model.QueryModerationConfigsResponse","ref":"ExStreamClient.Model.QueryModerationConfigsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryModerationConfigsResponse.decode/1","ref":"ExStreamClient.Model.QueryModerationConfigsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryModerationConfigsResponse.nested_components/0","ref":"ExStreamClient.Model.QueryModerationConfigsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryModerationConfigsResponse.t/0","ref":"ExStreamClient.Model.QueryModerationConfigsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryModerationFlagsRequest","title":"ExStreamClient.Model.QueryModerationFlagsRequest","ref":"ExStreamClient.Model.QueryModerationFlagsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryModerationFlagsRequest.decode/1","ref":"ExStreamClient.Model.QueryModerationFlagsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryModerationFlagsRequest.nested_components/0","ref":"ExStreamClient.Model.QueryModerationFlagsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryModerationFlagsRequest.t/0","ref":"ExStreamClient.Model.QueryModerationFlagsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryModerationFlagsResponse","title":"ExStreamClient.Model.QueryModerationFlagsResponse","ref":"ExStreamClient.Model.QueryModerationFlagsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryModerationFlagsResponse.decode/1","ref":"ExStreamClient.Model.QueryModerationFlagsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryModerationFlagsResponse.nested_components/0","ref":"ExStreamClient.Model.QueryModerationFlagsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryModerationFlagsResponse.t/0","ref":"ExStreamClient.Model.QueryModerationFlagsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryModerationLogsRequest","title":"ExStreamClient.Model.QueryModerationLogsRequest","ref":"ExStreamClient.Model.QueryModerationLogsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryModerationLogsRequest.decode/1","ref":"ExStreamClient.Model.QueryModerationLogsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryModerationLogsRequest.nested_components/0","ref":"ExStreamClient.Model.QueryModerationLogsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryModerationLogsRequest.t/0","ref":"ExStreamClient.Model.QueryModerationLogsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryModerationLogsResponse","title":"ExStreamClient.Model.QueryModerationLogsResponse","ref":"ExStreamClient.Model.QueryModerationLogsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryModerationLogsResponse.decode/1","ref":"ExStreamClient.Model.QueryModerationLogsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryModerationLogsResponse.nested_components/0","ref":"ExStreamClient.Model.QueryModerationLogsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryModerationLogsResponse.t/0","ref":"ExStreamClient.Model.QueryModerationLogsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryPollVotesRequest","title":"ExStreamClient.Model.QueryPollVotesRequest","ref":"ExStreamClient.Model.QueryPollVotesRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryPollVotesRequest.decode/1","ref":"ExStreamClient.Model.QueryPollVotesRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryPollVotesRequest.nested_components/0","ref":"ExStreamClient.Model.QueryPollVotesRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryPollVotesRequest.t/0","ref":"ExStreamClient.Model.QueryPollVotesRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryPollsRequest","title":"ExStreamClient.Model.QueryPollsRequest","ref":"ExStreamClient.Model.QueryPollsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryPollsRequest.decode/1","ref":"ExStreamClient.Model.QueryPollsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryPollsRequest.nested_components/0","ref":"ExStreamClient.Model.QueryPollsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryPollsRequest.t/0","ref":"ExStreamClient.Model.QueryPollsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryPollsResponse","title":"ExStreamClient.Model.QueryPollsResponse","ref":"ExStreamClient.Model.QueryPollsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryPollsResponse.decode/1","ref":"ExStreamClient.Model.QueryPollsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryPollsResponse.nested_components/0","ref":"ExStreamClient.Model.QueryPollsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryPollsResponse.t/0","ref":"ExStreamClient.Model.QueryPollsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryReactionsRequest","title":"ExStreamClient.Model.QueryReactionsRequest","ref":"ExStreamClient.Model.QueryReactionsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryReactionsRequest.decode/1","ref":"ExStreamClient.Model.QueryReactionsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryReactionsRequest.nested_components/0","ref":"ExStreamClient.Model.QueryReactionsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryReactionsRequest.t/0","ref":"ExStreamClient.Model.QueryReactionsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryReactionsResponse","title":"ExStreamClient.Model.QueryReactionsResponse","ref":"ExStreamClient.Model.QueryReactionsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryReactionsResponse.decode/1","ref":"ExStreamClient.Model.QueryReactionsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryReactionsResponse.nested_components/0","ref":"ExStreamClient.Model.QueryReactionsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryReactionsResponse.t/0","ref":"ExStreamClient.Model.QueryReactionsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryReviewQueueRequest","title":"ExStreamClient.Model.QueryReviewQueueRequest","ref":"ExStreamClient.Model.QueryReviewQueueRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryReviewQueueRequest.decode/1","ref":"ExStreamClient.Model.QueryReviewQueueRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryReviewQueueRequest.nested_components/0","ref":"ExStreamClient.Model.QueryReviewQueueRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryReviewQueueRequest.t/0","ref":"ExStreamClient.Model.QueryReviewQueueRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryReviewQueueResponse","title":"ExStreamClient.Model.QueryReviewQueueResponse","ref":"ExStreamClient.Model.QueryReviewQueueResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryReviewQueueResponse.decode/1","ref":"ExStreamClient.Model.QueryReviewQueueResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryReviewQueueResponse.nested_components/0","ref":"ExStreamClient.Model.QueryReviewQueueResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryReviewQueueResponse.t/0","ref":"ExStreamClient.Model.QueryReviewQueueResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QuerySegmentTargetsRequest","title":"ExStreamClient.Model.QuerySegmentTargetsRequest","ref":"ExStreamClient.Model.QuerySegmentTargetsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QuerySegmentTargetsRequest.decode/1","ref":"ExStreamClient.Model.QuerySegmentTargetsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QuerySegmentTargetsRequest.nested_components/0","ref":"ExStreamClient.Model.QuerySegmentTargetsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QuerySegmentTargetsRequest.t/0","ref":"ExStreamClient.Model.QuerySegmentTargetsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QuerySegmentTargetsResponse","title":"ExStreamClient.Model.QuerySegmentTargetsResponse","ref":"ExStreamClient.Model.QuerySegmentTargetsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QuerySegmentTargetsResponse.decode/1","ref":"ExStreamClient.Model.QuerySegmentTargetsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QuerySegmentTargetsResponse.nested_components/0","ref":"ExStreamClient.Model.QuerySegmentTargetsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QuerySegmentTargetsResponse.t/0","ref":"ExStreamClient.Model.QuerySegmentTargetsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QuerySegmentsRequest","title":"ExStreamClient.Model.QuerySegmentsRequest","ref":"ExStreamClient.Model.QuerySegmentsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QuerySegmentsRequest.decode/1","ref":"ExStreamClient.Model.QuerySegmentsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QuerySegmentsRequest.nested_components/0","ref":"ExStreamClient.Model.QuerySegmentsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QuerySegmentsRequest.t/0","ref":"ExStreamClient.Model.QuerySegmentsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QuerySegmentsResponse","title":"ExStreamClient.Model.QuerySegmentsResponse","ref":"ExStreamClient.Model.QuerySegmentsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QuerySegmentsResponse.decode/1","ref":"ExStreamClient.Model.QuerySegmentsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QuerySegmentsResponse.nested_components/0","ref":"ExStreamClient.Model.QuerySegmentsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QuerySegmentsResponse.t/0","ref":"ExStreamClient.Model.QuerySegmentsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryThreadsRequest","title":"ExStreamClient.Model.QueryThreadsRequest","ref":"ExStreamClient.Model.QueryThreadsRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryThreadsRequest.decode/1","ref":"ExStreamClient.Model.QueryThreadsRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryThreadsRequest.nested_components/0","ref":"ExStreamClient.Model.QueryThreadsRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryThreadsRequest.t/0","ref":"ExStreamClient.Model.QueryThreadsRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryThreadsResponse","title":"ExStreamClient.Model.QueryThreadsResponse","ref":"ExStreamClient.Model.QueryThreadsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryThreadsResponse.decode/1","ref":"ExStreamClient.Model.QueryThreadsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryThreadsResponse.nested_components/0","ref":"ExStreamClient.Model.QueryThreadsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryThreadsResponse.t/0","ref":"ExStreamClient.Model.QueryThreadsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryUsersPayload","title":"ExStreamClient.Model.QueryUsersPayload","ref":"ExStreamClient.Model.QueryUsersPayload.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryUsersPayload.decode/1","ref":"ExStreamClient.Model.QueryUsersPayload.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryUsersPayload.nested_components/0","ref":"ExStreamClient.Model.QueryUsersPayload.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryUsersPayload.t/0","ref":"ExStreamClient.Model.QueryUsersPayload.html#t:t/0"},{"type":"module","doc":"Schema representing a QueryUsersResponse","title":"ExStreamClient.Model.QueryUsersResponse","ref":"ExStreamClient.Model.QueryUsersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.QueryUsersResponse.decode/1","ref":"ExStreamClient.Model.QueryUsersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.QueryUsersResponse.nested_components/0","ref":"ExStreamClient.Model.QueryUsersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.QueryUsersResponse.t/0","ref":"ExStreamClient.Model.QueryUsersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a RTMPEgressConfig","title":"ExStreamClient.Model.RTMPEgressConfig","ref":"ExStreamClient.Model.RTMPEgressConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RTMPEgressConfig.decode/1","ref":"ExStreamClient.Model.RTMPEgressConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RTMPEgressConfig.nested_components/0","ref":"ExStreamClient.Model.RTMPEgressConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RTMPEgressConfig.t/0","ref":"ExStreamClient.Model.RTMPEgressConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a RTMPIngress","title":"ExStreamClient.Model.RTMPIngress","ref":"ExStreamClient.Model.RTMPIngress.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RTMPIngress.decode/1","ref":"ExStreamClient.Model.RTMPIngress.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RTMPIngress.nested_components/0","ref":"ExStreamClient.Model.RTMPIngress.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RTMPIngress.t/0","ref":"ExStreamClient.Model.RTMPIngress.html#t:t/0"},{"type":"module","doc":"Schema representing a RTMPLocation","title":"ExStreamClient.Model.RTMPLocation","ref":"ExStreamClient.Model.RTMPLocation.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RTMPLocation.decode/1","ref":"ExStreamClient.Model.RTMPLocation.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RTMPLocation.nested_components/0","ref":"ExStreamClient.Model.RTMPLocation.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RTMPLocation.t/0","ref":"ExStreamClient.Model.RTMPLocation.html#t:t/0"},{"type":"module","doc":"Schema representing a RTMPSettings","title":"ExStreamClient.Model.RTMPSettings","ref":"ExStreamClient.Model.RTMPSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RTMPSettings.decode/1","ref":"ExStreamClient.Model.RTMPSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RTMPSettings.nested_components/0","ref":"ExStreamClient.Model.RTMPSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RTMPSettings.t/0","ref":"ExStreamClient.Model.RTMPSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a RTMPSettingsResponse","title":"ExStreamClient.Model.RTMPSettingsResponse","ref":"ExStreamClient.Model.RTMPSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RTMPSettingsResponse.decode/1","ref":"ExStreamClient.Model.RTMPSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RTMPSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.RTMPSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RTMPSettingsResponse.t/0","ref":"ExStreamClient.Model.RTMPSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a Reaction","title":"ExStreamClient.Model.Reaction","ref":"ExStreamClient.Model.Reaction.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Reaction.decode/1","ref":"ExStreamClient.Model.Reaction.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Reaction.nested_components/0","ref":"ExStreamClient.Model.Reaction.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Reaction.t/0","ref":"ExStreamClient.Model.Reaction.html#t:t/0"},{"type":"module","doc":"Schema representing a ReactionDeletedEvent","title":"ExStreamClient.Model.ReactionDeletedEvent","ref":"ExStreamClient.Model.ReactionDeletedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReactionDeletedEvent.decode/1","ref":"ExStreamClient.Model.ReactionDeletedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReactionDeletedEvent.nested_components/0","ref":"ExStreamClient.Model.ReactionDeletedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReactionDeletedEvent.t/0","ref":"ExStreamClient.Model.ReactionDeletedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ReactionGroupResponse","title":"ExStreamClient.Model.ReactionGroupResponse","ref":"ExStreamClient.Model.ReactionGroupResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReactionGroupResponse.decode/1","ref":"ExStreamClient.Model.ReactionGroupResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReactionGroupResponse.nested_components/0","ref":"ExStreamClient.Model.ReactionGroupResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReactionGroupResponse.t/0","ref":"ExStreamClient.Model.ReactionGroupResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ReactionNewEvent","title":"ExStreamClient.Model.ReactionNewEvent","ref":"ExStreamClient.Model.ReactionNewEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReactionNewEvent.decode/1","ref":"ExStreamClient.Model.ReactionNewEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReactionNewEvent.nested_components/0","ref":"ExStreamClient.Model.ReactionNewEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReactionNewEvent.t/0","ref":"ExStreamClient.Model.ReactionNewEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ReactionRequest","title":"ExStreamClient.Model.ReactionRequest","ref":"ExStreamClient.Model.ReactionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReactionRequest.decode/1","ref":"ExStreamClient.Model.ReactionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReactionRequest.nested_components/0","ref":"ExStreamClient.Model.ReactionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReactionRequest.t/0","ref":"ExStreamClient.Model.ReactionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a ReactionResponse","title":"ExStreamClient.Model.ReactionResponse","ref":"ExStreamClient.Model.ReactionResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReactionResponse.decode/1","ref":"ExStreamClient.Model.ReactionResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReactionResponse.nested_components/0","ref":"ExStreamClient.Model.ReactionResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReactionResponse.t/0","ref":"ExStreamClient.Model.ReactionResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ReactionUpdatedEvent","title":"ExStreamClient.Model.ReactionUpdatedEvent","ref":"ExStreamClient.Model.ReactionUpdatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReactionUpdatedEvent.decode/1","ref":"ExStreamClient.Model.ReactionUpdatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReactionUpdatedEvent.nested_components/0","ref":"ExStreamClient.Model.ReactionUpdatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReactionUpdatedEvent.t/0","ref":"ExStreamClient.Model.ReactionUpdatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ReactivateUserRequest","title":"ExStreamClient.Model.ReactivateUserRequest","ref":"ExStreamClient.Model.ReactivateUserRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReactivateUserRequest.decode/1","ref":"ExStreamClient.Model.ReactivateUserRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReactivateUserRequest.nested_components/0","ref":"ExStreamClient.Model.ReactivateUserRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReactivateUserRequest.t/0","ref":"ExStreamClient.Model.ReactivateUserRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a ReactivateUserResponse","title":"ExStreamClient.Model.ReactivateUserResponse","ref":"ExStreamClient.Model.ReactivateUserResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReactivateUserResponse.decode/1","ref":"ExStreamClient.Model.ReactivateUserResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReactivateUserResponse.nested_components/0","ref":"ExStreamClient.Model.ReactivateUserResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReactivateUserResponse.t/0","ref":"ExStreamClient.Model.ReactivateUserResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ReactivateUsersRequest","title":"ExStreamClient.Model.ReactivateUsersRequest","ref":"ExStreamClient.Model.ReactivateUsersRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReactivateUsersRequest.decode/1","ref":"ExStreamClient.Model.ReactivateUsersRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReactivateUsersRequest.nested_components/0","ref":"ExStreamClient.Model.ReactivateUsersRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReactivateUsersRequest.t/0","ref":"ExStreamClient.Model.ReactivateUsersRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a ReactivateUsersResponse","title":"ExStreamClient.Model.ReactivateUsersResponse","ref":"ExStreamClient.Model.ReactivateUsersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReactivateUsersResponse.decode/1","ref":"ExStreamClient.Model.ReactivateUsersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReactivateUsersResponse.nested_components/0","ref":"ExStreamClient.Model.ReactivateUsersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReactivateUsersResponse.t/0","ref":"ExStreamClient.Model.ReactivateUsersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ReadReceipts","title":"ExStreamClient.Model.ReadReceipts","ref":"ExStreamClient.Model.ReadReceipts.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReadReceipts.decode/1","ref":"ExStreamClient.Model.ReadReceipts.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReadReceipts.nested_components/0","ref":"ExStreamClient.Model.ReadReceipts.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReadReceipts.t/0","ref":"ExStreamClient.Model.ReadReceipts.html#t:t/0"},{"type":"module","doc":"Schema representing a ReadReceiptsResponse","title":"ExStreamClient.Model.ReadReceiptsResponse","ref":"ExStreamClient.Model.ReadReceiptsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReadReceiptsResponse.decode/1","ref":"ExStreamClient.Model.ReadReceiptsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReadReceiptsResponse.nested_components/0","ref":"ExStreamClient.Model.ReadReceiptsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReadReceiptsResponse.t/0","ref":"ExStreamClient.Model.ReadReceiptsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ReadStateResponse","title":"ExStreamClient.Model.ReadStateResponse","ref":"ExStreamClient.Model.ReadStateResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReadStateResponse.decode/1","ref":"ExStreamClient.Model.ReadStateResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReadStateResponse.nested_components/0","ref":"ExStreamClient.Model.ReadStateResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReadStateResponse.t/0","ref":"ExStreamClient.Model.ReadStateResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a RecordSettings","title":"ExStreamClient.Model.RecordSettings","ref":"ExStreamClient.Model.RecordSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RecordSettings.decode/1","ref":"ExStreamClient.Model.RecordSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RecordSettings.nested_components/0","ref":"ExStreamClient.Model.RecordSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RecordSettings.t/0","ref":"ExStreamClient.Model.RecordSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a RecordSettingsResponse","title":"ExStreamClient.Model.RecordSettingsResponse","ref":"ExStreamClient.Model.RecordSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RecordSettingsResponse.decode/1","ref":"ExStreamClient.Model.RecordSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RecordSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.RecordSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RecordSettingsResponse.t/0","ref":"ExStreamClient.Model.RecordSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a RecordingEgressConfig","title":"ExStreamClient.Model.RecordingEgressConfig","ref":"ExStreamClient.Model.RecordingEgressConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RecordingEgressConfig.decode/1","ref":"ExStreamClient.Model.RecordingEgressConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RecordingEgressConfig.nested_components/0","ref":"ExStreamClient.Model.RecordingEgressConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RecordingEgressConfig.t/0","ref":"ExStreamClient.Model.RecordingEgressConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a Response","title":"ExStreamClient.Model.Response","ref":"ExStreamClient.Model.Response.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Response.decode/1","ref":"ExStreamClient.Model.Response.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Response.nested_components/0","ref":"ExStreamClient.Model.Response.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Response.t/0","ref":"ExStreamClient.Model.Response.html#t:t/0"},{"type":"module","doc":"Schema representing a RestoreActionRequest","title":"ExStreamClient.Model.RestoreActionRequest","ref":"ExStreamClient.Model.RestoreActionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RestoreActionRequest.decode/1","ref":"ExStreamClient.Model.RestoreActionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RestoreActionRequest.nested_components/0","ref":"ExStreamClient.Model.RestoreActionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RestoreActionRequest.t/0","ref":"ExStreamClient.Model.RestoreActionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a RestoreUsersRequest","title":"ExStreamClient.Model.RestoreUsersRequest","ref":"ExStreamClient.Model.RestoreUsersRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RestoreUsersRequest.decode/1","ref":"ExStreamClient.Model.RestoreUsersRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RestoreUsersRequest.nested_components/0","ref":"ExStreamClient.Model.RestoreUsersRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RestoreUsersRequest.t/0","ref":"ExStreamClient.Model.RestoreUsersRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a ReviewQueueItem","title":"ExStreamClient.Model.ReviewQueueItem","ref":"ExStreamClient.Model.ReviewQueueItem.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReviewQueueItem.decode/1","ref":"ExStreamClient.Model.ReviewQueueItem.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReviewQueueItem.nested_components/0","ref":"ExStreamClient.Model.ReviewQueueItem.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReviewQueueItem.t/0","ref":"ExStreamClient.Model.ReviewQueueItem.html#t:t/0"},{"type":"module","doc":"Schema representing a ReviewQueueItemNewEvent","title":"ExStreamClient.Model.ReviewQueueItemNewEvent","ref":"ExStreamClient.Model.ReviewQueueItemNewEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReviewQueueItemNewEvent.decode/1","ref":"ExStreamClient.Model.ReviewQueueItemNewEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReviewQueueItemNewEvent.nested_components/0","ref":"ExStreamClient.Model.ReviewQueueItemNewEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReviewQueueItemNewEvent.t/0","ref":"ExStreamClient.Model.ReviewQueueItemNewEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a ReviewQueueItemResponse","title":"ExStreamClient.Model.ReviewQueueItemResponse","ref":"ExStreamClient.Model.ReviewQueueItemResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReviewQueueItemResponse.decode/1","ref":"ExStreamClient.Model.ReviewQueueItemResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReviewQueueItemResponse.nested_components/0","ref":"ExStreamClient.Model.ReviewQueueItemResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReviewQueueItemResponse.t/0","ref":"ExStreamClient.Model.ReviewQueueItemResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ReviewQueueItemUpdatedEvent","title":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent","ref":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.decode/1","ref":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.nested_components/0","ref":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.t/0","ref":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a RingSettings","title":"ExStreamClient.Model.RingSettings","ref":"ExStreamClient.Model.RingSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RingSettings.decode/1","ref":"ExStreamClient.Model.RingSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RingSettings.nested_components/0","ref":"ExStreamClient.Model.RingSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RingSettings.t/0","ref":"ExStreamClient.Model.RingSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a RingSettingsResponse","title":"ExStreamClient.Model.RingSettingsResponse","ref":"ExStreamClient.Model.RingSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RingSettingsResponse.decode/1","ref":"ExStreamClient.Model.RingSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RingSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.RingSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RingSettingsResponse.t/0","ref":"ExStreamClient.Model.RingSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a Role","title":"ExStreamClient.Model.Role","ref":"ExStreamClient.Model.Role.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Role.decode/1","ref":"ExStreamClient.Model.Role.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Role.nested_components/0","ref":"ExStreamClient.Model.Role.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Role.t/0","ref":"ExStreamClient.Model.Role.html#t:t/0"},{"type":"module","doc":"Schema representing a RuleBuilderAction","title":"ExStreamClient.Model.RuleBuilderAction","ref":"ExStreamClient.Model.RuleBuilderAction.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RuleBuilderAction.decode/1","ref":"ExStreamClient.Model.RuleBuilderAction.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RuleBuilderAction.nested_components/0","ref":"ExStreamClient.Model.RuleBuilderAction.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RuleBuilderAction.t/0","ref":"ExStreamClient.Model.RuleBuilderAction.html#t:t/0"},{"type":"module","doc":"Schema representing a RuleBuilderCondition","title":"ExStreamClient.Model.RuleBuilderCondition","ref":"ExStreamClient.Model.RuleBuilderCondition.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RuleBuilderCondition.decode/1","ref":"ExStreamClient.Model.RuleBuilderCondition.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RuleBuilderCondition.nested_components/0","ref":"ExStreamClient.Model.RuleBuilderCondition.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RuleBuilderCondition.t/0","ref":"ExStreamClient.Model.RuleBuilderCondition.html#t:t/0"},{"type":"module","doc":"Schema representing a RuleBuilderConfig","title":"ExStreamClient.Model.RuleBuilderConfig","ref":"ExStreamClient.Model.RuleBuilderConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RuleBuilderConfig.decode/1","ref":"ExStreamClient.Model.RuleBuilderConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RuleBuilderConfig.nested_components/0","ref":"ExStreamClient.Model.RuleBuilderConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RuleBuilderConfig.t/0","ref":"ExStreamClient.Model.RuleBuilderConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a RuleBuilderRule","title":"ExStreamClient.Model.RuleBuilderRule","ref":"ExStreamClient.Model.RuleBuilderRule.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.RuleBuilderRule.decode/1","ref":"ExStreamClient.Model.RuleBuilderRule.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.RuleBuilderRule.nested_components/0","ref":"ExStreamClient.Model.RuleBuilderRule.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.RuleBuilderRule.t/0","ref":"ExStreamClient.Model.RuleBuilderRule.html#t:t/0"},{"type":"module","doc":"Schema representing a S3Request","title":"ExStreamClient.Model.S3Request","ref":"ExStreamClient.Model.S3Request.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.S3Request.decode/1","ref":"ExStreamClient.Model.S3Request.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.S3Request.nested_components/0","ref":"ExStreamClient.Model.S3Request.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.S3Request.t/0","ref":"ExStreamClient.Model.S3Request.html#t:t/0"},{"type":"module","doc":"Schema representing a SFUIDLastSeen","title":"ExStreamClient.Model.SFUIDLastSeen","ref":"ExStreamClient.Model.SFUIDLastSeen.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SFUIDLastSeen.decode/1","ref":"ExStreamClient.Model.SFUIDLastSeen.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SFUIDLastSeen.nested_components/0","ref":"ExStreamClient.Model.SFUIDLastSeen.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SFUIDLastSeen.t/0","ref":"ExStreamClient.Model.SFUIDLastSeen.html#t:t/0"},{"type":"module","doc":"Schema representing a STTEgressConfig","title":"ExStreamClient.Model.STTEgressConfig","ref":"ExStreamClient.Model.STTEgressConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.STTEgressConfig.decode/1","ref":"ExStreamClient.Model.STTEgressConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.STTEgressConfig.nested_components/0","ref":"ExStreamClient.Model.STTEgressConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.STTEgressConfig.t/0","ref":"ExStreamClient.Model.STTEgressConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a ScreensharingSettings","title":"ExStreamClient.Model.ScreensharingSettings","ref":"ExStreamClient.Model.ScreensharingSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ScreensharingSettings.decode/1","ref":"ExStreamClient.Model.ScreensharingSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ScreensharingSettings.nested_components/0","ref":"ExStreamClient.Model.ScreensharingSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ScreensharingSettings.t/0","ref":"ExStreamClient.Model.ScreensharingSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a ScreensharingSettingsResponse","title":"ExStreamClient.Model.ScreensharingSettingsResponse","ref":"ExStreamClient.Model.ScreensharingSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ScreensharingSettingsResponse.decode/1","ref":"ExStreamClient.Model.ScreensharingSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ScreensharingSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.ScreensharingSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ScreensharingSettingsResponse.t/0","ref":"ExStreamClient.Model.ScreensharingSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a SearchPayload","title":"ExStreamClient.Model.SearchPayload","ref":"ExStreamClient.Model.SearchPayload.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SearchPayload.decode/1","ref":"ExStreamClient.Model.SearchPayload.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SearchPayload.nested_components/0","ref":"ExStreamClient.Model.SearchPayload.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SearchPayload.t/0","ref":"ExStreamClient.Model.SearchPayload.html#t:t/0"},{"type":"module","doc":"Schema representing a SearchResponse","title":"ExStreamClient.Model.SearchResponse","ref":"ExStreamClient.Model.SearchResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SearchResponse.decode/1","ref":"ExStreamClient.Model.SearchResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SearchResponse.nested_components/0","ref":"ExStreamClient.Model.SearchResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SearchResponse.t/0","ref":"ExStreamClient.Model.SearchResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a SearchResult","title":"ExStreamClient.Model.SearchResult","ref":"ExStreamClient.Model.SearchResult.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SearchResult.decode/1","ref":"ExStreamClient.Model.SearchResult.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SearchResult.nested_components/0","ref":"ExStreamClient.Model.SearchResult.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SearchResult.t/0","ref":"ExStreamClient.Model.SearchResult.html#t:t/0"},{"type":"module","doc":"Schema representing a SearchResultMessage","title":"ExStreamClient.Model.SearchResultMessage","ref":"ExStreamClient.Model.SearchResultMessage.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SearchResultMessage.decode/1","ref":"ExStreamClient.Model.SearchResultMessage.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SearchResultMessage.nested_components/0","ref":"ExStreamClient.Model.SearchResultMessage.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SearchResultMessage.t/0","ref":"ExStreamClient.Model.SearchResultMessage.html#t:t/0"},{"type":"module","doc":"Schema representing a SearchWarning","title":"ExStreamClient.Model.SearchWarning","ref":"ExStreamClient.Model.SearchWarning.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SearchWarning.decode/1","ref":"ExStreamClient.Model.SearchWarning.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SearchWarning.nested_components/0","ref":"ExStreamClient.Model.SearchWarning.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SearchWarning.t/0","ref":"ExStreamClient.Model.SearchWarning.html#t:t/0"},{"type":"module","doc":"Schema representing a Segment","title":"ExStreamClient.Model.Segment","ref":"ExStreamClient.Model.Segment.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Segment.decode/1","ref":"ExStreamClient.Model.Segment.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Segment.nested_components/0","ref":"ExStreamClient.Model.Segment.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Segment.t/0","ref":"ExStreamClient.Model.Segment.html#t:t/0"},{"type":"module","doc":"Schema representing a SegmentResponse","title":"ExStreamClient.Model.SegmentResponse","ref":"ExStreamClient.Model.SegmentResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SegmentResponse.decode/1","ref":"ExStreamClient.Model.SegmentResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SegmentResponse.nested_components/0","ref":"ExStreamClient.Model.SegmentResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SegmentResponse.t/0","ref":"ExStreamClient.Model.SegmentResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a SegmentTargetResponse","title":"ExStreamClient.Model.SegmentTargetResponse","ref":"ExStreamClient.Model.SegmentTargetResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SegmentTargetResponse.decode/1","ref":"ExStreamClient.Model.SegmentTargetResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SegmentTargetResponse.nested_components/0","ref":"ExStreamClient.Model.SegmentTargetResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SegmentTargetResponse.t/0","ref":"ExStreamClient.Model.SegmentTargetResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a SendEventRequest","title":"ExStreamClient.Model.SendEventRequest","ref":"ExStreamClient.Model.SendEventRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SendEventRequest.decode/1","ref":"ExStreamClient.Model.SendEventRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SendEventRequest.nested_components/0","ref":"ExStreamClient.Model.SendEventRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SendEventRequest.t/0","ref":"ExStreamClient.Model.SendEventRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a SendMessageRequest","title":"ExStreamClient.Model.SendMessageRequest","ref":"ExStreamClient.Model.SendMessageRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SendMessageRequest.decode/1","ref":"ExStreamClient.Model.SendMessageRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SendMessageRequest.nested_components/0","ref":"ExStreamClient.Model.SendMessageRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SendMessageRequest.t/0","ref":"ExStreamClient.Model.SendMessageRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a SendMessageResponse","title":"ExStreamClient.Model.SendMessageResponse","ref":"ExStreamClient.Model.SendMessageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SendMessageResponse.decode/1","ref":"ExStreamClient.Model.SendMessageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SendMessageResponse.nested_components/0","ref":"ExStreamClient.Model.SendMessageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SendMessageResponse.t/0","ref":"ExStreamClient.Model.SendMessageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a SendReactionRequest","title":"ExStreamClient.Model.SendReactionRequest","ref":"ExStreamClient.Model.SendReactionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SendReactionRequest.decode/1","ref":"ExStreamClient.Model.SendReactionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SendReactionRequest.nested_components/0","ref":"ExStreamClient.Model.SendReactionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SendReactionRequest.t/0","ref":"ExStreamClient.Model.SendReactionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a SendReactionResponse","title":"ExStreamClient.Model.SendReactionResponse","ref":"ExStreamClient.Model.SendReactionResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SendReactionResponse.decode/1","ref":"ExStreamClient.Model.SendReactionResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SendReactionResponse.nested_components/0","ref":"ExStreamClient.Model.SendReactionResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SendReactionResponse.t/0","ref":"ExStreamClient.Model.SendReactionResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a SendUserCustomEventRequest","title":"ExStreamClient.Model.SendUserCustomEventRequest","ref":"ExStreamClient.Model.SendUserCustomEventRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SendUserCustomEventRequest.decode/1","ref":"ExStreamClient.Model.SendUserCustomEventRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SendUserCustomEventRequest.nested_components/0","ref":"ExStreamClient.Model.SendUserCustomEventRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SendUserCustomEventRequest.t/0","ref":"ExStreamClient.Model.SendUserCustomEventRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a SessionSettings","title":"ExStreamClient.Model.SessionSettings","ref":"ExStreamClient.Model.SessionSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SessionSettings.decode/1","ref":"ExStreamClient.Model.SessionSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SessionSettings.nested_components/0","ref":"ExStreamClient.Model.SessionSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SessionSettings.t/0","ref":"ExStreamClient.Model.SessionSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a SessionSettingsResponse","title":"ExStreamClient.Model.SessionSettingsResponse","ref":"ExStreamClient.Model.SessionSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SessionSettingsResponse.decode/1","ref":"ExStreamClient.Model.SessionSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SessionSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.SessionSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SessionSettingsResponse.t/0","ref":"ExStreamClient.Model.SessionSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ShadowBlockActionRequest","title":"ExStreamClient.Model.ShadowBlockActionRequest","ref":"ExStreamClient.Model.ShadowBlockActionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ShadowBlockActionRequest.decode/1","ref":"ExStreamClient.Model.ShadowBlockActionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ShadowBlockActionRequest.nested_components/0","ref":"ExStreamClient.Model.ShadowBlockActionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ShadowBlockActionRequest.t/0","ref":"ExStreamClient.Model.ShadowBlockActionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a ShowChannelRequest","title":"ExStreamClient.Model.ShowChannelRequest","ref":"ExStreamClient.Model.ShowChannelRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ShowChannelRequest.decode/1","ref":"ExStreamClient.Model.ShowChannelRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ShowChannelRequest.nested_components/0","ref":"ExStreamClient.Model.ShowChannelRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ShowChannelRequest.t/0","ref":"ExStreamClient.Model.ShowChannelRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a ShowChannelResponse","title":"ExStreamClient.Model.ShowChannelResponse","ref":"ExStreamClient.Model.ShowChannelResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ShowChannelResponse.decode/1","ref":"ExStreamClient.Model.ShowChannelResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ShowChannelResponse.nested_components/0","ref":"ExStreamClient.Model.ShowChannelResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ShowChannelResponse.t/0","ref":"ExStreamClient.Model.ShowChannelResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a SortParam","title":"ExStreamClient.Model.SortParam","ref":"ExStreamClient.Model.SortParam.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SortParam.decode/1","ref":"ExStreamClient.Model.SortParam.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SortParam.nested_components/0","ref":"ExStreamClient.Model.SortParam.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SortParam.t/0","ref":"ExStreamClient.Model.SortParam.html#t:t/0"},{"type":"module","doc":"Schema representing a SortParamRequest","title":"ExStreamClient.Model.SortParamRequest","ref":"ExStreamClient.Model.SortParamRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SortParamRequest.decode/1","ref":"ExStreamClient.Model.SortParamRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SortParamRequest.nested_components/0","ref":"ExStreamClient.Model.SortParamRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SortParamRequest.t/0","ref":"ExStreamClient.Model.SortParamRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a StartCampaignRequest","title":"ExStreamClient.Model.StartCampaignRequest","ref":"ExStreamClient.Model.StartCampaignRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.StartCampaignRequest.decode/1","ref":"ExStreamClient.Model.StartCampaignRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.StartCampaignRequest.nested_components/0","ref":"ExStreamClient.Model.StartCampaignRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.StartCampaignRequest.t/0","ref":"ExStreamClient.Model.StartCampaignRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a StartCampaignResponse","title":"ExStreamClient.Model.StartCampaignResponse","ref":"ExStreamClient.Model.StartCampaignResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.StartCampaignResponse.decode/1","ref":"ExStreamClient.Model.StartCampaignResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.StartCampaignResponse.nested_components/0","ref":"ExStreamClient.Model.StartCampaignResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.StartCampaignResponse.t/0","ref":"ExStreamClient.Model.StartCampaignResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a StopCampaignRequest","title":"ExStreamClient.Model.StopCampaignRequest","ref":"ExStreamClient.Model.StopCampaignRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.StopCampaignRequest.decode/1","ref":"ExStreamClient.Model.StopCampaignRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.StopCampaignRequest.nested_components/0","ref":"ExStreamClient.Model.StopCampaignRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.StopCampaignRequest.t/0","ref":"ExStreamClient.Model.StopCampaignRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a SubmitActionRequest","title":"ExStreamClient.Model.SubmitActionRequest","ref":"ExStreamClient.Model.SubmitActionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SubmitActionRequest.decode/1","ref":"ExStreamClient.Model.SubmitActionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SubmitActionRequest.nested_components/0","ref":"ExStreamClient.Model.SubmitActionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SubmitActionRequest.t/0","ref":"ExStreamClient.Model.SubmitActionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a SubmitActionResponse","title":"ExStreamClient.Model.SubmitActionResponse","ref":"ExStreamClient.Model.SubmitActionResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.SubmitActionResponse.decode/1","ref":"ExStreamClient.Model.SubmitActionResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.SubmitActionResponse.nested_components/0","ref":"ExStreamClient.Model.SubmitActionResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.SubmitActionResponse.t/0","ref":"ExStreamClient.Model.SubmitActionResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a TargetResolution","title":"ExStreamClient.Model.TargetResolution","ref":"ExStreamClient.Model.TargetResolution.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.TargetResolution.decode/1","ref":"ExStreamClient.Model.TargetResolution.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.TargetResolution.nested_components/0","ref":"ExStreamClient.Model.TargetResolution.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.TargetResolution.t/0","ref":"ExStreamClient.Model.TargetResolution.html#t:t/0"},{"type":"module","doc":"Schema representing a ThreadParticipant","title":"ExStreamClient.Model.ThreadParticipant","ref":"ExStreamClient.Model.ThreadParticipant.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ThreadParticipant.decode/1","ref":"ExStreamClient.Model.ThreadParticipant.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ThreadParticipant.nested_components/0","ref":"ExStreamClient.Model.ThreadParticipant.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ThreadParticipant.t/0","ref":"ExStreamClient.Model.ThreadParticipant.html#t:t/0"},{"type":"module","doc":"Schema representing a ThreadResponse","title":"ExStreamClient.Model.ThreadResponse","ref":"ExStreamClient.Model.ThreadResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ThreadResponse.decode/1","ref":"ExStreamClient.Model.ThreadResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ThreadResponse.nested_components/0","ref":"ExStreamClient.Model.ThreadResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ThreadResponse.t/0","ref":"ExStreamClient.Model.ThreadResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ThreadStateResponse","title":"ExStreamClient.Model.ThreadStateResponse","ref":"ExStreamClient.Model.ThreadStateResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ThreadStateResponse.decode/1","ref":"ExStreamClient.Model.ThreadStateResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ThreadStateResponse.nested_components/0","ref":"ExStreamClient.Model.ThreadStateResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ThreadStateResponse.t/0","ref":"ExStreamClient.Model.ThreadStateResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ThreadUpdatedEvent","title":"ExStreamClient.Model.ThreadUpdatedEvent","ref":"ExStreamClient.Model.ThreadUpdatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ThreadUpdatedEvent.decode/1","ref":"ExStreamClient.Model.ThreadUpdatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ThreadUpdatedEvent.nested_components/0","ref":"ExStreamClient.Model.ThreadUpdatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ThreadUpdatedEvent.t/0","ref":"ExStreamClient.Model.ThreadUpdatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a Thresholds","title":"ExStreamClient.Model.Thresholds","ref":"ExStreamClient.Model.Thresholds.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Thresholds.decode/1","ref":"ExStreamClient.Model.Thresholds.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Thresholds.nested_components/0","ref":"ExStreamClient.Model.Thresholds.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Thresholds.t/0","ref":"ExStreamClient.Model.Thresholds.html#t:t/0"},{"type":"module","doc":"Schema representing a ThumbnailResponse","title":"ExStreamClient.Model.ThumbnailResponse","ref":"ExStreamClient.Model.ThumbnailResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ThumbnailResponse.decode/1","ref":"ExStreamClient.Model.ThumbnailResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ThumbnailResponse.nested_components/0","ref":"ExStreamClient.Model.ThumbnailResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ThumbnailResponse.t/0","ref":"ExStreamClient.Model.ThumbnailResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a ThumbnailsSettings","title":"ExStreamClient.Model.ThumbnailsSettings","ref":"ExStreamClient.Model.ThumbnailsSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ThumbnailsSettings.decode/1","ref":"ExStreamClient.Model.ThumbnailsSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ThumbnailsSettings.nested_components/0","ref":"ExStreamClient.Model.ThumbnailsSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ThumbnailsSettings.t/0","ref":"ExStreamClient.Model.ThumbnailsSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a ThumbnailsSettingsResponse","title":"ExStreamClient.Model.ThumbnailsSettingsResponse","ref":"ExStreamClient.Model.ThumbnailsSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.ThumbnailsSettingsResponse.decode/1","ref":"ExStreamClient.Model.ThumbnailsSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.ThumbnailsSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.ThumbnailsSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.ThumbnailsSettingsResponse.t/0","ref":"ExStreamClient.Model.ThumbnailsSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a Time","title":"ExStreamClient.Model.Time","ref":"ExStreamClient.Model.Time.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.Time.decode/1","ref":"ExStreamClient.Model.Time.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.Time.nested_components/0","ref":"ExStreamClient.Model.Time.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.Time.t/0","ref":"ExStreamClient.Model.Time.html#t:t/0"},{"type":"module","doc":"Schema representing a TranscriptionSettings","title":"ExStreamClient.Model.TranscriptionSettings","ref":"ExStreamClient.Model.TranscriptionSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.TranscriptionSettings.decode/1","ref":"ExStreamClient.Model.TranscriptionSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.TranscriptionSettings.nested_components/0","ref":"ExStreamClient.Model.TranscriptionSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.TranscriptionSettings.t/0","ref":"ExStreamClient.Model.TranscriptionSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a TranscriptionSettingsResponse","title":"ExStreamClient.Model.TranscriptionSettingsResponse","ref":"ExStreamClient.Model.TranscriptionSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.TranscriptionSettingsResponse.decode/1","ref":"ExStreamClient.Model.TranscriptionSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.TranscriptionSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.TranscriptionSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.TranscriptionSettingsResponse.t/0","ref":"ExStreamClient.Model.TranscriptionSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a TranslateMessageRequest","title":"ExStreamClient.Model.TranslateMessageRequest","ref":"ExStreamClient.Model.TranslateMessageRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.TranslateMessageRequest.decode/1","ref":"ExStreamClient.Model.TranslateMessageRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.TranslateMessageRequest.nested_components/0","ref":"ExStreamClient.Model.TranslateMessageRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.TranslateMessageRequest.t/0","ref":"ExStreamClient.Model.TranslateMessageRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a TruncateChannelRequest","title":"ExStreamClient.Model.TruncateChannelRequest","ref":"ExStreamClient.Model.TruncateChannelRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.TruncateChannelRequest.decode/1","ref":"ExStreamClient.Model.TruncateChannelRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.TruncateChannelRequest.nested_components/0","ref":"ExStreamClient.Model.TruncateChannelRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.TruncateChannelRequest.t/0","ref":"ExStreamClient.Model.TruncateChannelRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a TruncateChannelResponse","title":"ExStreamClient.Model.TruncateChannelResponse","ref":"ExStreamClient.Model.TruncateChannelResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.TruncateChannelResponse.decode/1","ref":"ExStreamClient.Model.TruncateChannelResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.TruncateChannelResponse.nested_components/0","ref":"ExStreamClient.Model.TruncateChannelResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.TruncateChannelResponse.t/0","ref":"ExStreamClient.Model.TruncateChannelResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a TypingIndicators","title":"ExStreamClient.Model.TypingIndicators","ref":"ExStreamClient.Model.TypingIndicators.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.TypingIndicators.decode/1","ref":"ExStreamClient.Model.TypingIndicators.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.TypingIndicators.nested_components/0","ref":"ExStreamClient.Model.TypingIndicators.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.TypingIndicators.t/0","ref":"ExStreamClient.Model.TypingIndicators.html#t:t/0"},{"type":"module","doc":"Schema representing a TypingIndicatorsResponse","title":"ExStreamClient.Model.TypingIndicatorsResponse","ref":"ExStreamClient.Model.TypingIndicatorsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.TypingIndicatorsResponse.decode/1","ref":"ExStreamClient.Model.TypingIndicatorsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.TypingIndicatorsResponse.nested_components/0","ref":"ExStreamClient.Model.TypingIndicatorsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.TypingIndicatorsResponse.t/0","ref":"ExStreamClient.Model.TypingIndicatorsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UnbanActionRequest","title":"ExStreamClient.Model.UnbanActionRequest","ref":"ExStreamClient.Model.UnbanActionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnbanActionRequest.decode/1","ref":"ExStreamClient.Model.UnbanActionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnbanActionRequest.nested_components/0","ref":"ExStreamClient.Model.UnbanActionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnbanActionRequest.t/0","ref":"ExStreamClient.Model.UnbanActionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UnbanRequest","title":"ExStreamClient.Model.UnbanRequest","ref":"ExStreamClient.Model.UnbanRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnbanRequest.decode/1","ref":"ExStreamClient.Model.UnbanRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnbanRequest.nested_components/0","ref":"ExStreamClient.Model.UnbanRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnbanRequest.t/0","ref":"ExStreamClient.Model.UnbanRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UnbanResponse","title":"ExStreamClient.Model.UnbanResponse","ref":"ExStreamClient.Model.UnbanResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnbanResponse.decode/1","ref":"ExStreamClient.Model.UnbanResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnbanResponse.nested_components/0","ref":"ExStreamClient.Model.UnbanResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnbanResponse.t/0","ref":"ExStreamClient.Model.UnbanResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UnblockActionRequest","title":"ExStreamClient.Model.UnblockActionRequest","ref":"ExStreamClient.Model.UnblockActionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnblockActionRequest.decode/1","ref":"ExStreamClient.Model.UnblockActionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnblockActionRequest.nested_components/0","ref":"ExStreamClient.Model.UnblockActionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnblockActionRequest.t/0","ref":"ExStreamClient.Model.UnblockActionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UnblockUsersRequest","title":"ExStreamClient.Model.UnblockUsersRequest","ref":"ExStreamClient.Model.UnblockUsersRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnblockUsersRequest.decode/1","ref":"ExStreamClient.Model.UnblockUsersRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnblockUsersRequest.nested_components/0","ref":"ExStreamClient.Model.UnblockUsersRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnblockUsersRequest.t/0","ref":"ExStreamClient.Model.UnblockUsersRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UnblockUsersResponse","title":"ExStreamClient.Model.UnblockUsersResponse","ref":"ExStreamClient.Model.UnblockUsersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnblockUsersResponse.decode/1","ref":"ExStreamClient.Model.UnblockUsersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnblockUsersResponse.nested_components/0","ref":"ExStreamClient.Model.UnblockUsersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnblockUsersResponse.t/0","ref":"ExStreamClient.Model.UnblockUsersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UnmuteChannelRequest","title":"ExStreamClient.Model.UnmuteChannelRequest","ref":"ExStreamClient.Model.UnmuteChannelRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnmuteChannelRequest.decode/1","ref":"ExStreamClient.Model.UnmuteChannelRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnmuteChannelRequest.nested_components/0","ref":"ExStreamClient.Model.UnmuteChannelRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnmuteChannelRequest.t/0","ref":"ExStreamClient.Model.UnmuteChannelRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UnmuteRequest","title":"ExStreamClient.Model.UnmuteRequest","ref":"ExStreamClient.Model.UnmuteRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnmuteRequest.decode/1","ref":"ExStreamClient.Model.UnmuteRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnmuteRequest.nested_components/0","ref":"ExStreamClient.Model.UnmuteRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnmuteRequest.t/0","ref":"ExStreamClient.Model.UnmuteRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UnmuteResponse","title":"ExStreamClient.Model.UnmuteResponse","ref":"ExStreamClient.Model.UnmuteResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnmuteResponse.decode/1","ref":"ExStreamClient.Model.UnmuteResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnmuteResponse.nested_components/0","ref":"ExStreamClient.Model.UnmuteResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnmuteResponse.t/0","ref":"ExStreamClient.Model.UnmuteResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UnreadCountsBatchRequest","title":"ExStreamClient.Model.UnreadCountsBatchRequest","ref":"ExStreamClient.Model.UnreadCountsBatchRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnreadCountsBatchRequest.decode/1","ref":"ExStreamClient.Model.UnreadCountsBatchRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnreadCountsBatchRequest.nested_components/0","ref":"ExStreamClient.Model.UnreadCountsBatchRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnreadCountsBatchRequest.t/0","ref":"ExStreamClient.Model.UnreadCountsBatchRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UnreadCountsBatchResponse","title":"ExStreamClient.Model.UnreadCountsBatchResponse","ref":"ExStreamClient.Model.UnreadCountsBatchResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnreadCountsBatchResponse.decode/1","ref":"ExStreamClient.Model.UnreadCountsBatchResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnreadCountsBatchResponse.nested_components/0","ref":"ExStreamClient.Model.UnreadCountsBatchResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnreadCountsBatchResponse.t/0","ref":"ExStreamClient.Model.UnreadCountsBatchResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UnreadCountsChannel","title":"ExStreamClient.Model.UnreadCountsChannel","ref":"ExStreamClient.Model.UnreadCountsChannel.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnreadCountsChannel.decode/1","ref":"ExStreamClient.Model.UnreadCountsChannel.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnreadCountsChannel.nested_components/0","ref":"ExStreamClient.Model.UnreadCountsChannel.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnreadCountsChannel.t/0","ref":"ExStreamClient.Model.UnreadCountsChannel.html#t:t/0"},{"type":"module","doc":"Schema representing a UnreadCountsChannelType","title":"ExStreamClient.Model.UnreadCountsChannelType","ref":"ExStreamClient.Model.UnreadCountsChannelType.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnreadCountsChannelType.decode/1","ref":"ExStreamClient.Model.UnreadCountsChannelType.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnreadCountsChannelType.nested_components/0","ref":"ExStreamClient.Model.UnreadCountsChannelType.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnreadCountsChannelType.t/0","ref":"ExStreamClient.Model.UnreadCountsChannelType.html#t:t/0"},{"type":"module","doc":"Schema representing a UnreadCountsResponse","title":"ExStreamClient.Model.UnreadCountsResponse","ref":"ExStreamClient.Model.UnreadCountsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnreadCountsResponse.decode/1","ref":"ExStreamClient.Model.UnreadCountsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnreadCountsResponse.nested_components/0","ref":"ExStreamClient.Model.UnreadCountsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnreadCountsResponse.t/0","ref":"ExStreamClient.Model.UnreadCountsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UnreadCountsThread","title":"ExStreamClient.Model.UnreadCountsThread","ref":"ExStreamClient.Model.UnreadCountsThread.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UnreadCountsThread.decode/1","ref":"ExStreamClient.Model.UnreadCountsThread.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UnreadCountsThread.nested_components/0","ref":"ExStreamClient.Model.UnreadCountsThread.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UnreadCountsThread.t/0","ref":"ExStreamClient.Model.UnreadCountsThread.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateAppRequest","title":"ExStreamClient.Model.UpdateAppRequest","ref":"ExStreamClient.Model.UpdateAppRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateAppRequest.decode/1","ref":"ExStreamClient.Model.UpdateAppRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateAppRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateAppRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateAppRequest.t/0","ref":"ExStreamClient.Model.UpdateAppRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateBlockListRequest","title":"ExStreamClient.Model.UpdateBlockListRequest","ref":"ExStreamClient.Model.UpdateBlockListRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateBlockListRequest.decode/1","ref":"ExStreamClient.Model.UpdateBlockListRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateBlockListRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateBlockListRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateBlockListRequest.t/0","ref":"ExStreamClient.Model.UpdateBlockListRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateBlockListResponse","title":"ExStreamClient.Model.UpdateBlockListResponse","ref":"ExStreamClient.Model.UpdateBlockListResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateBlockListResponse.decode/1","ref":"ExStreamClient.Model.UpdateBlockListResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateBlockListResponse.nested_components/0","ref":"ExStreamClient.Model.UpdateBlockListResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateBlockListResponse.t/0","ref":"ExStreamClient.Model.UpdateBlockListResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateChannelPartialRequest","title":"ExStreamClient.Model.UpdateChannelPartialRequest","ref":"ExStreamClient.Model.UpdateChannelPartialRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateChannelPartialRequest.decode/1","ref":"ExStreamClient.Model.UpdateChannelPartialRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateChannelPartialRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateChannelPartialRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateChannelPartialRequest.t/0","ref":"ExStreamClient.Model.UpdateChannelPartialRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateChannelPartialResponse","title":"ExStreamClient.Model.UpdateChannelPartialResponse","ref":"ExStreamClient.Model.UpdateChannelPartialResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateChannelPartialResponse.decode/1","ref":"ExStreamClient.Model.UpdateChannelPartialResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateChannelPartialResponse.nested_components/0","ref":"ExStreamClient.Model.UpdateChannelPartialResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateChannelPartialResponse.t/0","ref":"ExStreamClient.Model.UpdateChannelPartialResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateChannelRequest","title":"ExStreamClient.Model.UpdateChannelRequest","ref":"ExStreamClient.Model.UpdateChannelRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateChannelRequest.decode/1","ref":"ExStreamClient.Model.UpdateChannelRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateChannelRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateChannelRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateChannelRequest.t/0","ref":"ExStreamClient.Model.UpdateChannelRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateChannelResponse","title":"ExStreamClient.Model.UpdateChannelResponse","ref":"ExStreamClient.Model.UpdateChannelResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateChannelResponse.decode/1","ref":"ExStreamClient.Model.UpdateChannelResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateChannelResponse.nested_components/0","ref":"ExStreamClient.Model.UpdateChannelResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateChannelResponse.t/0","ref":"ExStreamClient.Model.UpdateChannelResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateChannelTypeRequest","title":"ExStreamClient.Model.UpdateChannelTypeRequest","ref":"ExStreamClient.Model.UpdateChannelTypeRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateChannelTypeRequest.decode/1","ref":"ExStreamClient.Model.UpdateChannelTypeRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateChannelTypeRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateChannelTypeRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateChannelTypeRequest.t/0","ref":"ExStreamClient.Model.UpdateChannelTypeRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateChannelTypeResponse","title":"ExStreamClient.Model.UpdateChannelTypeResponse","ref":"ExStreamClient.Model.UpdateChannelTypeResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateChannelTypeResponse.decode/1","ref":"ExStreamClient.Model.UpdateChannelTypeResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateChannelTypeResponse.nested_components/0","ref":"ExStreamClient.Model.UpdateChannelTypeResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateChannelTypeResponse.t/0","ref":"ExStreamClient.Model.UpdateChannelTypeResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateCommandRequest","title":"ExStreamClient.Model.UpdateCommandRequest","ref":"ExStreamClient.Model.UpdateCommandRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateCommandRequest.decode/1","ref":"ExStreamClient.Model.UpdateCommandRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateCommandRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateCommandRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateCommandRequest.t/0","ref":"ExStreamClient.Model.UpdateCommandRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateCommandResponse","title":"ExStreamClient.Model.UpdateCommandResponse","ref":"ExStreamClient.Model.UpdateCommandResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateCommandResponse.decode/1","ref":"ExStreamClient.Model.UpdateCommandResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateCommandResponse.nested_components/0","ref":"ExStreamClient.Model.UpdateCommandResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateCommandResponse.t/0","ref":"ExStreamClient.Model.UpdateCommandResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateExternalStorageRequest","title":"ExStreamClient.Model.UpdateExternalStorageRequest","ref":"ExStreamClient.Model.UpdateExternalStorageRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateExternalStorageRequest.decode/1","ref":"ExStreamClient.Model.UpdateExternalStorageRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateExternalStorageRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateExternalStorageRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateExternalStorageRequest.t/0","ref":"ExStreamClient.Model.UpdateExternalStorageRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateExternalStorageResponse","title":"ExStreamClient.Model.UpdateExternalStorageResponse","ref":"ExStreamClient.Model.UpdateExternalStorageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateExternalStorageResponse.decode/1","ref":"ExStreamClient.Model.UpdateExternalStorageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateExternalStorageResponse.nested_components/0","ref":"ExStreamClient.Model.UpdateExternalStorageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateExternalStorageResponse.t/0","ref":"ExStreamClient.Model.UpdateExternalStorageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateMemberPartialRequest","title":"ExStreamClient.Model.UpdateMemberPartialRequest","ref":"ExStreamClient.Model.UpdateMemberPartialRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateMemberPartialRequest.decode/1","ref":"ExStreamClient.Model.UpdateMemberPartialRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateMemberPartialRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateMemberPartialRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateMemberPartialRequest.t/0","ref":"ExStreamClient.Model.UpdateMemberPartialRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateMemberPartialResponse","title":"ExStreamClient.Model.UpdateMemberPartialResponse","ref":"ExStreamClient.Model.UpdateMemberPartialResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateMemberPartialResponse.decode/1","ref":"ExStreamClient.Model.UpdateMemberPartialResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateMemberPartialResponse.nested_components/0","ref":"ExStreamClient.Model.UpdateMemberPartialResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateMemberPartialResponse.t/0","ref":"ExStreamClient.Model.UpdateMemberPartialResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateMessagePartialRequest","title":"ExStreamClient.Model.UpdateMessagePartialRequest","ref":"ExStreamClient.Model.UpdateMessagePartialRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateMessagePartialRequest.decode/1","ref":"ExStreamClient.Model.UpdateMessagePartialRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateMessagePartialRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateMessagePartialRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateMessagePartialRequest.t/0","ref":"ExStreamClient.Model.UpdateMessagePartialRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateMessagePartialResponse","title":"ExStreamClient.Model.UpdateMessagePartialResponse","ref":"ExStreamClient.Model.UpdateMessagePartialResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateMessagePartialResponse.decode/1","ref":"ExStreamClient.Model.UpdateMessagePartialResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateMessagePartialResponse.nested_components/0","ref":"ExStreamClient.Model.UpdateMessagePartialResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateMessagePartialResponse.t/0","ref":"ExStreamClient.Model.UpdateMessagePartialResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateMessageRequest","title":"ExStreamClient.Model.UpdateMessageRequest","ref":"ExStreamClient.Model.UpdateMessageRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateMessageRequest.decode/1","ref":"ExStreamClient.Model.UpdateMessageRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateMessageRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateMessageRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateMessageRequest.t/0","ref":"ExStreamClient.Model.UpdateMessageRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateMessageResponse","title":"ExStreamClient.Model.UpdateMessageResponse","ref":"ExStreamClient.Model.UpdateMessageResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateMessageResponse.decode/1","ref":"ExStreamClient.Model.UpdateMessageResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateMessageResponse.nested_components/0","ref":"ExStreamClient.Model.UpdateMessageResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateMessageResponse.t/0","ref":"ExStreamClient.Model.UpdateMessageResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdatePollOptionRequest","title":"ExStreamClient.Model.UpdatePollOptionRequest","ref":"ExStreamClient.Model.UpdatePollOptionRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdatePollOptionRequest.decode/1","ref":"ExStreamClient.Model.UpdatePollOptionRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdatePollOptionRequest.nested_components/0","ref":"ExStreamClient.Model.UpdatePollOptionRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdatePollOptionRequest.t/0","ref":"ExStreamClient.Model.UpdatePollOptionRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdatePollPartialRequest","title":"ExStreamClient.Model.UpdatePollPartialRequest","ref":"ExStreamClient.Model.UpdatePollPartialRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdatePollPartialRequest.decode/1","ref":"ExStreamClient.Model.UpdatePollPartialRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdatePollPartialRequest.nested_components/0","ref":"ExStreamClient.Model.UpdatePollPartialRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdatePollPartialRequest.t/0","ref":"ExStreamClient.Model.UpdatePollPartialRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdatePollRequest","title":"ExStreamClient.Model.UpdatePollRequest","ref":"ExStreamClient.Model.UpdatePollRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdatePollRequest.decode/1","ref":"ExStreamClient.Model.UpdatePollRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdatePollRequest.nested_components/0","ref":"ExStreamClient.Model.UpdatePollRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdatePollRequest.t/0","ref":"ExStreamClient.Model.UpdatePollRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateThreadPartialRequest","title":"ExStreamClient.Model.UpdateThreadPartialRequest","ref":"ExStreamClient.Model.UpdateThreadPartialRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateThreadPartialRequest.decode/1","ref":"ExStreamClient.Model.UpdateThreadPartialRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateThreadPartialRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateThreadPartialRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateThreadPartialRequest.t/0","ref":"ExStreamClient.Model.UpdateThreadPartialRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateThreadPartialResponse","title":"ExStreamClient.Model.UpdateThreadPartialResponse","ref":"ExStreamClient.Model.UpdateThreadPartialResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateThreadPartialResponse.decode/1","ref":"ExStreamClient.Model.UpdateThreadPartialResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateThreadPartialResponse.nested_components/0","ref":"ExStreamClient.Model.UpdateThreadPartialResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateThreadPartialResponse.t/0","ref":"ExStreamClient.Model.UpdateThreadPartialResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateUserPartialRequest","title":"ExStreamClient.Model.UpdateUserPartialRequest","ref":"ExStreamClient.Model.UpdateUserPartialRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateUserPartialRequest.decode/1","ref":"ExStreamClient.Model.UpdateUserPartialRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateUserPartialRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateUserPartialRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateUserPartialRequest.t/0","ref":"ExStreamClient.Model.UpdateUserPartialRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateUsersPartialRequest","title":"ExStreamClient.Model.UpdateUsersPartialRequest","ref":"ExStreamClient.Model.UpdateUsersPartialRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateUsersPartialRequest.decode/1","ref":"ExStreamClient.Model.UpdateUsersPartialRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateUsersPartialRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateUsersPartialRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateUsersPartialRequest.t/0","ref":"ExStreamClient.Model.UpdateUsersPartialRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateUsersRequest","title":"ExStreamClient.Model.UpdateUsersRequest","ref":"ExStreamClient.Model.UpdateUsersRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateUsersRequest.decode/1","ref":"ExStreamClient.Model.UpdateUsersRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateUsersRequest.nested_components/0","ref":"ExStreamClient.Model.UpdateUsersRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateUsersRequest.t/0","ref":"ExStreamClient.Model.UpdateUsersRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpdateUsersResponse","title":"ExStreamClient.Model.UpdateUsersResponse","ref":"ExStreamClient.Model.UpdateUsersResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpdateUsersResponse.decode/1","ref":"ExStreamClient.Model.UpdateUsersResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpdateUsersResponse.nested_components/0","ref":"ExStreamClient.Model.UpdateUsersResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpdateUsersResponse.t/0","ref":"ExStreamClient.Model.UpdateUsersResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpsertConfigRequest","title":"ExStreamClient.Model.UpsertConfigRequest","ref":"ExStreamClient.Model.UpsertConfigRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpsertConfigRequest.decode/1","ref":"ExStreamClient.Model.UpsertConfigRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpsertConfigRequest.nested_components/0","ref":"ExStreamClient.Model.UpsertConfigRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpsertConfigRequest.t/0","ref":"ExStreamClient.Model.UpsertConfigRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpsertConfigResponse","title":"ExStreamClient.Model.UpsertConfigResponse","ref":"ExStreamClient.Model.UpsertConfigResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpsertConfigResponse.decode/1","ref":"ExStreamClient.Model.UpsertConfigResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpsertConfigResponse.nested_components/0","ref":"ExStreamClient.Model.UpsertConfigResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpsertConfigResponse.t/0","ref":"ExStreamClient.Model.UpsertConfigResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpsertModerationTemplateRequest","title":"ExStreamClient.Model.UpsertModerationTemplateRequest","ref":"ExStreamClient.Model.UpsertModerationTemplateRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpsertModerationTemplateRequest.decode/1","ref":"ExStreamClient.Model.UpsertModerationTemplateRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpsertModerationTemplateRequest.nested_components/0","ref":"ExStreamClient.Model.UpsertModerationTemplateRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpsertModerationTemplateRequest.t/0","ref":"ExStreamClient.Model.UpsertModerationTemplateRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpsertModerationTemplateResponse","title":"ExStreamClient.Model.UpsertModerationTemplateResponse","ref":"ExStreamClient.Model.UpsertModerationTemplateResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpsertModerationTemplateResponse.decode/1","ref":"ExStreamClient.Model.UpsertModerationTemplateResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpsertModerationTemplateResponse.nested_components/0","ref":"ExStreamClient.Model.UpsertModerationTemplateResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpsertModerationTemplateResponse.t/0","ref":"ExStreamClient.Model.UpsertModerationTemplateResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpsertPushPreferencesRequest","title":"ExStreamClient.Model.UpsertPushPreferencesRequest","ref":"ExStreamClient.Model.UpsertPushPreferencesRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpsertPushPreferencesRequest.decode/1","ref":"ExStreamClient.Model.UpsertPushPreferencesRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpsertPushPreferencesRequest.nested_components/0","ref":"ExStreamClient.Model.UpsertPushPreferencesRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpsertPushPreferencesRequest.t/0","ref":"ExStreamClient.Model.UpsertPushPreferencesRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpsertPushPreferencesResponse","title":"ExStreamClient.Model.UpsertPushPreferencesResponse","ref":"ExStreamClient.Model.UpsertPushPreferencesResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpsertPushPreferencesResponse.decode/1","ref":"ExStreamClient.Model.UpsertPushPreferencesResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpsertPushPreferencesResponse.nested_components/0","ref":"ExStreamClient.Model.UpsertPushPreferencesResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpsertPushPreferencesResponse.t/0","ref":"ExStreamClient.Model.UpsertPushPreferencesResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpsertPushProviderRequest","title":"ExStreamClient.Model.UpsertPushProviderRequest","ref":"ExStreamClient.Model.UpsertPushProviderRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpsertPushProviderRequest.decode/1","ref":"ExStreamClient.Model.UpsertPushProviderRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpsertPushProviderRequest.nested_components/0","ref":"ExStreamClient.Model.UpsertPushProviderRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpsertPushProviderRequest.t/0","ref":"ExStreamClient.Model.UpsertPushProviderRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpsertPushProviderResponse","title":"ExStreamClient.Model.UpsertPushProviderResponse","ref":"ExStreamClient.Model.UpsertPushProviderResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpsertPushProviderResponse.decode/1","ref":"ExStreamClient.Model.UpsertPushProviderResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpsertPushProviderResponse.nested_components/0","ref":"ExStreamClient.Model.UpsertPushProviderResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpsertPushProviderResponse.t/0","ref":"ExStreamClient.Model.UpsertPushProviderResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UpsertPushTemplateRequest","title":"ExStreamClient.Model.UpsertPushTemplateRequest","ref":"ExStreamClient.Model.UpsertPushTemplateRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpsertPushTemplateRequest.decode/1","ref":"ExStreamClient.Model.UpsertPushTemplateRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpsertPushTemplateRequest.nested_components/0","ref":"ExStreamClient.Model.UpsertPushTemplateRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpsertPushTemplateRequest.t/0","ref":"ExStreamClient.Model.UpsertPushTemplateRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UpsertPushTemplateResponse","title":"ExStreamClient.Model.UpsertPushTemplateResponse","ref":"ExStreamClient.Model.UpsertPushTemplateResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UpsertPushTemplateResponse.decode/1","ref":"ExStreamClient.Model.UpsertPushTemplateResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UpsertPushTemplateResponse.nested_components/0","ref":"ExStreamClient.Model.UpsertPushTemplateResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UpsertPushTemplateResponse.t/0","ref":"ExStreamClient.Model.UpsertPushTemplateResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a User","title":"ExStreamClient.Model.User","ref":"ExStreamClient.Model.User.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.User.decode/1","ref":"ExStreamClient.Model.User.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.User.nested_components/0","ref":"ExStreamClient.Model.User.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.User.t/0","ref":"ExStreamClient.Model.User.html#t:t/0"},{"type":"module","doc":"Schema representing a UserBannedEvent","title":"ExStreamClient.Model.UserBannedEvent","ref":"ExStreamClient.Model.UserBannedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserBannedEvent.decode/1","ref":"ExStreamClient.Model.UserBannedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserBannedEvent.nested_components/0","ref":"ExStreamClient.Model.UserBannedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserBannedEvent.t/0","ref":"ExStreamClient.Model.UserBannedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a UserCustomEventRequest","title":"ExStreamClient.Model.UserCustomEventRequest","ref":"ExStreamClient.Model.UserCustomEventRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserCustomEventRequest.decode/1","ref":"ExStreamClient.Model.UserCustomEventRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserCustomEventRequest.nested_components/0","ref":"ExStreamClient.Model.UserCustomEventRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserCustomEventRequest.t/0","ref":"ExStreamClient.Model.UserCustomEventRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UserDeactivatedEvent","title":"ExStreamClient.Model.UserDeactivatedEvent","ref":"ExStreamClient.Model.UserDeactivatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserDeactivatedEvent.decode/1","ref":"ExStreamClient.Model.UserDeactivatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserDeactivatedEvent.nested_components/0","ref":"ExStreamClient.Model.UserDeactivatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserDeactivatedEvent.t/0","ref":"ExStreamClient.Model.UserDeactivatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a UserDeletedEvent","title":"ExStreamClient.Model.UserDeletedEvent","ref":"ExStreamClient.Model.UserDeletedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserDeletedEvent.decode/1","ref":"ExStreamClient.Model.UserDeletedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserDeletedEvent.nested_components/0","ref":"ExStreamClient.Model.UserDeletedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserDeletedEvent.t/0","ref":"ExStreamClient.Model.UserDeletedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a UserFlaggedEvent","title":"ExStreamClient.Model.UserFlaggedEvent","ref":"ExStreamClient.Model.UserFlaggedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserFlaggedEvent.decode/1","ref":"ExStreamClient.Model.UserFlaggedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserFlaggedEvent.nested_components/0","ref":"ExStreamClient.Model.UserFlaggedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserFlaggedEvent.t/0","ref":"ExStreamClient.Model.UserFlaggedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a UserMute","title":"ExStreamClient.Model.UserMute","ref":"ExStreamClient.Model.UserMute.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserMute.decode/1","ref":"ExStreamClient.Model.UserMute.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserMute.nested_components/0","ref":"ExStreamClient.Model.UserMute.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserMute.t/0","ref":"ExStreamClient.Model.UserMute.html#t:t/0"},{"type":"module","doc":"Schema representing a UserMuteResponse","title":"ExStreamClient.Model.UserMuteResponse","ref":"ExStreamClient.Model.UserMuteResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserMuteResponse.decode/1","ref":"ExStreamClient.Model.UserMuteResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserMuteResponse.nested_components/0","ref":"ExStreamClient.Model.UserMuteResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserMuteResponse.t/0","ref":"ExStreamClient.Model.UserMuteResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UserMutedEvent","title":"ExStreamClient.Model.UserMutedEvent","ref":"ExStreamClient.Model.UserMutedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserMutedEvent.decode/1","ref":"ExStreamClient.Model.UserMutedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserMutedEvent.nested_components/0","ref":"ExStreamClient.Model.UserMutedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserMutedEvent.t/0","ref":"ExStreamClient.Model.UserMutedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a UserReactivatedEvent","title":"ExStreamClient.Model.UserReactivatedEvent","ref":"ExStreamClient.Model.UserReactivatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserReactivatedEvent.decode/1","ref":"ExStreamClient.Model.UserReactivatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserReactivatedEvent.nested_components/0","ref":"ExStreamClient.Model.UserReactivatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserReactivatedEvent.t/0","ref":"ExStreamClient.Model.UserReactivatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a UserRequest","title":"ExStreamClient.Model.UserRequest","ref":"ExStreamClient.Model.UserRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserRequest.decode/1","ref":"ExStreamClient.Model.UserRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserRequest.nested_components/0","ref":"ExStreamClient.Model.UserRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserRequest.t/0","ref":"ExStreamClient.Model.UserRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a UserResponse","title":"ExStreamClient.Model.UserResponse","ref":"ExStreamClient.Model.UserResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserResponse.decode/1","ref":"ExStreamClient.Model.UserResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserResponse.nested_components/0","ref":"ExStreamClient.Model.UserResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserResponse.t/0","ref":"ExStreamClient.Model.UserResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a UserResponseCommonFields","title":"ExStreamClient.Model.UserResponseCommonFields","ref":"ExStreamClient.Model.UserResponseCommonFields.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserResponseCommonFields.decode/1","ref":"ExStreamClient.Model.UserResponseCommonFields.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserResponseCommonFields.nested_components/0","ref":"ExStreamClient.Model.UserResponseCommonFields.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserResponseCommonFields.t/0","ref":"ExStreamClient.Model.UserResponseCommonFields.html#t:t/0"},{"type":"module","doc":"Schema representing a UserResponsePrivacyFields","title":"ExStreamClient.Model.UserResponsePrivacyFields","ref":"ExStreamClient.Model.UserResponsePrivacyFields.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserResponsePrivacyFields.decode/1","ref":"ExStreamClient.Model.UserResponsePrivacyFields.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserResponsePrivacyFields.nested_components/0","ref":"ExStreamClient.Model.UserResponsePrivacyFields.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserResponsePrivacyFields.t/0","ref":"ExStreamClient.Model.UserResponsePrivacyFields.html#t:t/0"},{"type":"module","doc":"Schema representing a UserUnbannedEvent","title":"ExStreamClient.Model.UserUnbannedEvent","ref":"ExStreamClient.Model.UserUnbannedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserUnbannedEvent.decode/1","ref":"ExStreamClient.Model.UserUnbannedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserUnbannedEvent.nested_components/0","ref":"ExStreamClient.Model.UserUnbannedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserUnbannedEvent.t/0","ref":"ExStreamClient.Model.UserUnbannedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a UserUnmutedEvent","title":"ExStreamClient.Model.UserUnmutedEvent","ref":"ExStreamClient.Model.UserUnmutedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserUnmutedEvent.decode/1","ref":"ExStreamClient.Model.UserUnmutedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserUnmutedEvent.nested_components/0","ref":"ExStreamClient.Model.UserUnmutedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserUnmutedEvent.t/0","ref":"ExStreamClient.Model.UserUnmutedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a UserUnreadReminderEvent","title":"ExStreamClient.Model.UserUnreadReminderEvent","ref":"ExStreamClient.Model.UserUnreadReminderEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserUnreadReminderEvent.decode/1","ref":"ExStreamClient.Model.UserUnreadReminderEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserUnreadReminderEvent.nested_components/0","ref":"ExStreamClient.Model.UserUnreadReminderEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserUnreadReminderEvent.t/0","ref":"ExStreamClient.Model.UserUnreadReminderEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a UserUpdatedEvent","title":"ExStreamClient.Model.UserUpdatedEvent","ref":"ExStreamClient.Model.UserUpdatedEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.UserUpdatedEvent.decode/1","ref":"ExStreamClient.Model.UserUpdatedEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.UserUpdatedEvent.nested_components/0","ref":"ExStreamClient.Model.UserUpdatedEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.UserUpdatedEvent.t/0","ref":"ExStreamClient.Model.UserUpdatedEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a VelocityFilterConfig","title":"ExStreamClient.Model.VelocityFilterConfig","ref":"ExStreamClient.Model.VelocityFilterConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.VelocityFilterConfig.decode/1","ref":"ExStreamClient.Model.VelocityFilterConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.VelocityFilterConfig.nested_components/0","ref":"ExStreamClient.Model.VelocityFilterConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.VelocityFilterConfig.t/0","ref":"ExStreamClient.Model.VelocityFilterConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a VelocityFilterConfigRule","title":"ExStreamClient.Model.VelocityFilterConfigRule","ref":"ExStreamClient.Model.VelocityFilterConfigRule.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.VelocityFilterConfigRule.decode/1","ref":"ExStreamClient.Model.VelocityFilterConfigRule.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.VelocityFilterConfigRule.nested_components/0","ref":"ExStreamClient.Model.VelocityFilterConfigRule.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.VelocityFilterConfigRule.t/0","ref":"ExStreamClient.Model.VelocityFilterConfigRule.html#t:t/0"},{"type":"module","doc":"Schema representing a VideoCallRuleConfig","title":"ExStreamClient.Model.VideoCallRuleConfig","ref":"ExStreamClient.Model.VideoCallRuleConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.VideoCallRuleConfig.decode/1","ref":"ExStreamClient.Model.VideoCallRuleConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.VideoCallRuleConfig.nested_components/0","ref":"ExStreamClient.Model.VideoCallRuleConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.VideoCallRuleConfig.t/0","ref":"ExStreamClient.Model.VideoCallRuleConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a VideoEndCallRequest","title":"ExStreamClient.Model.VideoEndCallRequest","ref":"ExStreamClient.Model.VideoEndCallRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.VideoEndCallRequest.decode/1","ref":"ExStreamClient.Model.VideoEndCallRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.VideoEndCallRequest.nested_components/0","ref":"ExStreamClient.Model.VideoEndCallRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.VideoEndCallRequest.t/0","ref":"ExStreamClient.Model.VideoEndCallRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a VideoKickUserRequest","title":"ExStreamClient.Model.VideoKickUserRequest","ref":"ExStreamClient.Model.VideoKickUserRequest.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.VideoKickUserRequest.decode/1","ref":"ExStreamClient.Model.VideoKickUserRequest.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.VideoKickUserRequest.nested_components/0","ref":"ExStreamClient.Model.VideoKickUserRequest.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.VideoKickUserRequest.t/0","ref":"ExStreamClient.Model.VideoKickUserRequest.html#t:t/0"},{"type":"module","doc":"Schema representing a VideoOrientation","title":"ExStreamClient.Model.VideoOrientation","ref":"ExStreamClient.Model.VideoOrientation.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.VideoOrientation.decode/1","ref":"ExStreamClient.Model.VideoOrientation.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.VideoOrientation.nested_components/0","ref":"ExStreamClient.Model.VideoOrientation.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.VideoOrientation.t/0","ref":"ExStreamClient.Model.VideoOrientation.html#t:t/0"},{"type":"module","doc":"Schema representing a VideoSettings","title":"ExStreamClient.Model.VideoSettings","ref":"ExStreamClient.Model.VideoSettings.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.VideoSettings.decode/1","ref":"ExStreamClient.Model.VideoSettings.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.VideoSettings.nested_components/0","ref":"ExStreamClient.Model.VideoSettings.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.VideoSettings.t/0","ref":"ExStreamClient.Model.VideoSettings.html#t:t/0"},{"type":"module","doc":"Schema representing a VideoSettingsResponse","title":"ExStreamClient.Model.VideoSettingsResponse","ref":"ExStreamClient.Model.VideoSettingsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.VideoSettingsResponse.decode/1","ref":"ExStreamClient.Model.VideoSettingsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.VideoSettingsResponse.nested_components/0","ref":"ExStreamClient.Model.VideoSettingsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.VideoSettingsResponse.t/0","ref":"ExStreamClient.Model.VideoSettingsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a VoteData","title":"ExStreamClient.Model.VoteData","ref":"ExStreamClient.Model.VoteData.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.VoteData.decode/1","ref":"ExStreamClient.Model.VoteData.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.VoteData.nested_components/0","ref":"ExStreamClient.Model.VoteData.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.VoteData.t/0","ref":"ExStreamClient.Model.VoteData.html#t:t/0"},{"type":"module","doc":"Schema representing a WSEvent","title":"ExStreamClient.Model.WSEvent","ref":"ExStreamClient.Model.WSEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.WSEvent.decode/1","ref":"ExStreamClient.Model.WSEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.WSEvent.nested_components/0","ref":"ExStreamClient.Model.WSEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.WSEvent.t/0","ref":"ExStreamClient.Model.WSEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a WebhookEvent","title":"ExStreamClient.Model.WebhookEvent","ref":"ExStreamClient.Model.WebhookEvent.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.WebhookEvent.decode/1","ref":"ExStreamClient.Model.WebhookEvent.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.WebhookEvent.nested_components/0","ref":"ExStreamClient.Model.WebhookEvent.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.WebhookEvent.t/0","ref":"ExStreamClient.Model.WebhookEvent.html#t:t/0"},{"type":"module","doc":"Schema representing a WrappedUnreadCountsResponse","title":"ExStreamClient.Model.WrappedUnreadCountsResponse","ref":"ExStreamClient.Model.WrappedUnreadCountsResponse.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.WrappedUnreadCountsResponse.decode/1","ref":"ExStreamClient.Model.WrappedUnreadCountsResponse.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.WrappedUnreadCountsResponse.nested_components/0","ref":"ExStreamClient.Model.WrappedUnreadCountsResponse.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.WrappedUnreadCountsResponse.t/0","ref":"ExStreamClient.Model.WrappedUnreadCountsResponse.html#t:t/0"},{"type":"module","doc":"Schema representing a XiaomiConfig","title":"ExStreamClient.Model.XiaomiConfig","ref":"ExStreamClient.Model.XiaomiConfig.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.XiaomiConfig.decode/1","ref":"ExStreamClient.Model.XiaomiConfig.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.XiaomiConfig.nested_components/0","ref":"ExStreamClient.Model.XiaomiConfig.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.XiaomiConfig.t/0","ref":"ExStreamClient.Model.XiaomiConfig.html#t:t/0"},{"type":"module","doc":"Schema representing a XiaomiConfigFields","title":"ExStreamClient.Model.XiaomiConfigFields","ref":"ExStreamClient.Model.XiaomiConfigFields.html"},{"type":"function","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","title":"ExStreamClient.Model.XiaomiConfigFields.decode/1","ref":"ExStreamClient.Model.XiaomiConfigFields.html#decode/1"},{"type":"function","doc":"","title":"ExStreamClient.Model.XiaomiConfigFields.nested_components/0","ref":"ExStreamClient.Model.XiaomiConfigFields.html#nested_components/0"},{"type":"type","doc":"","title":"ExStreamClient.Model.XiaomiConfigFields.t/0","ref":"ExStreamClient.Model.XiaomiConfigFields.html#t:t/0"},{"type":"extras","doc":"# ex_stream_client\n\nA client for [Stream](https://getstream.io) REST APIs in Elixir - auto generated from their [OpenAPI specification](https://github.com/GetStream/protocol).","title":"ex_stream_client","ref":"readme.html"},{"type":"extras","doc":"- Auto-generated from the OpenAPI specification\n- Fully typed and documented APIs\n- Utilizes [Req](https://github.com/wojtekmach/req) for HTTP requests by default.","title":"Features - ex_stream_client","ref":"readme.html#features"},{"type":"extras","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `ex_stream_client` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_stream_client, \"~> 0.1.0\"}\n  ]\nend\n```","title":"Installation - ex_stream_client","ref":"readme.html#installation"},{"type":"extras","doc":"The client requires the following configuration to be set in your `config.exs` file:\n\n```elixir\nconfig :ex_stream_client,\n  api_key: \"your-api-key\",\n  api_key_secret: \"your-api-key-secret\"\n```\n\nYou can also configure the endpoint if you are using a custom one:\n\n```elixir\nconfig :ex_stream_client,\n  endpoint: \"https://your-custom-endpoint.com\"\n```","title":"Configuration - ex_stream_client","ref":"readme.html#configuration"},{"type":"extras","doc":"The client supports logging of requests and responses. You can enable it by configuring the `log` option in your `config.exs` file:\n\n```elixir\nconfig :ex_stream_client,\n  log: [\n    level: :info,\n    request: [:url, :body],\n    response: [:status]\n  ]\n```\n\nThe `level` key sets the log level for all log messages. The `request` and `response` keys are lists of touchpoints to log. The available touchpoints are:\n\n- `:url` - logs the request URL\n- `:body` - logs the request body, if found\n- `:status` - logs the response status\n\nBy default, all touchpoints are disabled, so nothing will be logged.","title":"Logging - ex_stream_client","ref":"readme.html#logging"},{"type":"extras","doc":"This project includes code adapted from [ex_openai](https://github.com/dvcrn/ex_openai),\nwhich is licensed under the MIT License. We thought the idea to generate client code via the Elixir AST was a great one!","title":"Acknowledgements - ex_stream_client","ref":"readme.html#acknowledgements"},{"type":"extras","doc":"# Changelog","title":"Changelog","ref":"changelog.html"},{"type":"extras","doc":"- Update docs","title":"ex_stream_client v0.1.1 - Changelog","ref":"changelog.html#ex_stream_client-v0-1-1"},{"type":"extras","doc":"- Initial release","title":"ex_stream_client v0.1.0 - Changelog","ref":"changelog.html#ex_stream_client-v0-1-0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}